open import Lib.Equality as Eq using (_==_ ; auto)
open import Lib.Proposition
open import Lib.Maybe
open import Lib.Boolean
open import Lib.List
open import Lib.Word
open import Lib.Word-Lemmas
open import Lib.Word-Tactics

open Monoid-Equational
open Rewriting
open Associative
open InContext

open import Lib.MaybeEq
open import Lib.MaybeEq-Instances
open import Gate
open import CosetNF
open CosetNF.Legacy

open import Step3.Rel
open import Step3.PD3

module Step3.PD4 where

p105-act : let X = Gate in let Γ = Rel in (g : X) -> (rep : Word X) ->  Maybe (∃ λ (rep' : Word X) -> ∃ λ (g' : Word X) -> Γ ⊢ gen g • rep === rep' • g')
p105-act Swap01-gen ε = Just ( Swap01 , ε , general-assoc auto )
p105-act Swap01-gen (gen Swap01-gen) = Just ( ε , ε , up-to-assoc auto (axiom ax-Swap01-Swap01=ε) )
p105-act Swap01-gen (gen CX01-gen) = Just ( CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CX01=CX01-CX10) )
p105-act Swap01-gen (gen CX01-gen • gen CCX2-gen) = Just ( CX01 • CCX2 , CX12 • CX10 , up-to-assoc auto (axiom ax-Swap01-CX01-CCX2=CX01-CCX2-CX12-CX10) )
p105-act Swap01-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX10 • CCX2 • CCX1 , ε , up-to-assoc auto (axiom ax-Swap01-CX01-CCX2-CCX0-Swap01=CX10-CCX2-CCX1) )
p105-act Swap01-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX10 • CCX2 • CCX1 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CX01-CCX2-CCX0-CX01=CX10-CCX2-CCX1-CX01-CX10) )
p105-act Swap01-gen (gen CX01-gen • gen CX20-gen • gen CCX2-gen) = Just ( CX01 • CX20 • CCX2 , CX12 • CX10 , up-to-assoc auto (axiom ax-Swap01-CX01-CX20-CCX2=CX01-CX20-CCX2-CX12-CX10) )
p105-act Swap01-gen (gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX10 • CCX1 , ε , up-to-assoc auto (axiom ax-Swap01-CX01-CCX0-Swap01=CX10-CCX1) )
p105-act Swap01-gen (gen CX01-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX01 • CCX0 • CX02 , CX12 • CX10 , up-to-assoc auto (axiom ax-Swap01-CX01-CCX0-CX02=CX01-CCX0-CX02-CX12-CX10) )
p105-act Swap01-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • CX10 • CCX1 , CX12 , up-to-assoc auto (axiom ax-Swap01-CX01-CCX0-CCX2-Swap01=CCX2-CX10-CCX1-CX12) )
p105-act Swap01-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX10 • CCX1 • CCX2 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CX01-CCX0-CCX2-CX01=CX10-CCX1-CCX2-CX01-CX10) )
p105-act Swap01-gen (gen CX02-gen) = Just ( CX12 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CX02=CX12-Swap01) )
p105-act Swap01-gen (gen CX02-gen • gen CX01-gen) = Just ( CX02 • CX01 , CX12 • CX10 , up-to-assoc auto (axiom ax-Swap01-CX02-CX01=CX02-CX01-CX12-CX10) )
p105-act Swap01-gen (gen CX02-gen • gen CCX1-gen) = Just ( CX12 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CX02-CCX1=CX12-CCX0-Swap01) )
p105-act Swap01-gen (gen CX02-gen • gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX1 • CCX0 • CX01 • CCX2 , CX12 • CX10 • CCX0 , up-to-assoc auto (axiom ax-Swap01-CX02-CCX1-CCX0-CX02=CCX1-CCX0-CX01-CCX2-CX12-CX10-CCX0) )
p105-act Swap01-gen (gen CX02-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX12 • CX01 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CX02-CX10-CCX1=CX12-CX01-CCX0-Swap01) )
p105-act Swap01-gen (gen CX02-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX12 • CCX1 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CX02-CCX0-CX01=CX12-CCX1-CX01-CX10) )
p105-act Swap01-gen (gen CCX1-gen) = Just ( CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CCX1=CCX0-Swap01) )
p105-act Swap01-gen (gen CCX1-gen • gen CX01-gen) = Just ( CCX0 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CCX1-CX01=CCX0-CX01-CX10) )
p105-act Swap01-gen (gen CCX1-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX0 • CX01 • CCX2 , CX12 • CX10 , up-to-assoc auto (axiom ax-Swap01-CCX1-CX01-CCX2=CCX0-CX01-CCX2-CX12-CX10) )
p105-act Swap01-gen (gen CCX1-gen • gen CX02-gen) = Just ( CCX0 • CX12 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CCX1-CX02=CCX0-CX12-Swap01) )
p105-act Swap01-gen (gen CCX1-gen • gen CCX2-gen) = Just ( CCX0 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CCX1-CCX2=CCX0-CCX2-Swap01) )
p105-act Swap01-gen (gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX2 , CX20 • CCX0 , up-to-assoc auto (axiom ax-Swap01-CCX1-CCX2-Swap01=CX20-CCX2-CX20-CCX0) )
p105-act Swap01-gen (gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CCX2 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CCX1-CCX2-CX01=CCX0-CCX2-CX01-CX10) )
p105-act Swap01-gen (gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX0 • CX12 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CCX1-CCX2-CX02=CCX0-CX12-CCX2-Swap01) )
p105-act Swap01-gen (gen CCX1-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CCX2 • CCX1 , ε , up-to-assoc auto (axiom ax-Swap01-CCX1-CCX2-CCX0-Swap01=CCX0-CCX2-CCX1) )
p105-act Swap01-gen (gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CX02 , ε , up-to-assoc auto (axiom ax-Swap01-CCX1-CX12-Swap01=CCX0-CX02) )
p105-act Swap01-gen (gen CCX1-gen • gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CX02 • CCX1 , ε , up-to-assoc auto (axiom ax-Swap01-CCX1-CX12-CCX0-Swap01=CCX0-CX02-CCX1) )
p105-act Swap01-gen (gen CCX1-gen • gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX0 • Swap12 • CCX1 • CCX2 • Swap01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-Swap01-CCX1-CX20-CCX2-CX02=CCX0-Swap12-CCX1-CCX2-Swap01-CX20-CCX0) )
p105-act Swap01-gen (gen CCX1-gen • gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX02 • CCX1 • CCX0 • CX02 , CX12 • CCX0 , up-to-assoc auto (axiom ax-Swap01-CCX1-CCX0-CX01-CCX2=CX02-CCX1-CCX0-CX02-CX12-CCX0) )
p105-act Swap01-gen (gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX0 • CCX1 • CX12 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CCX1-CCX0-CX02=CCX0-CCX1-CX12-Swap01) )
p105-act Swap01-gen (gen CCX1-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CCX2 , ε , up-to-assoc auto (axiom ax-Swap01-CCX1-CCX0-CCX2-Swap01=CCX0-CCX1-CCX2) )
p105-act Swap01-gen (gen CCX1-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-Swap01-CCX1-CCX0-CX12-Swap01=CCX0-CCX1-CX02) )
p105-act Swap01-gen (gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • CCX2 • Swap01 , Swap12 , up-to-assoc auto (axiom ax-Swap01-CCX1-CCX0-Swap12-Swap01=CCX0-Swap12-CCX2-Swap01-Swap12) )
p105-act Swap01-gen (gen CCX2-gen) = Just ( CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CCX2=CCX2-Swap01) )
p105-act Swap01-gen (gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 , ε , up-to-assoc auto (axiom ax-Swap01-CCX2-Swap01=CCX2) )
p105-act Swap01-gen (gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CCX2-CX01=CCX2-CX01-CX10) )
p105-act Swap01-gen (gen CCX2-gen • gen CX02-gen) = Just ( CX12 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CCX2-CX02=CX12-CCX2-Swap01) )
p105-act Swap01-gen (gen CCX2-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX12 • CCX2 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CCX2-CX02-CCX1=CX12-CCX2-CCX0-Swap01) )
p105-act Swap01-gen (gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CCX2-CCX1=CCX2-CCX0-Swap01) )
p105-act Swap01-gen (gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX2 • CCX0 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CCX2-CCX1-CX01=CCX2-CCX0-CX01-CX10) )
p105-act Swap01-gen (gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX2 • CCX0 • CX12 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CCX2-CCX1-CX02=CCX2-CCX0-CX12-Swap01) )
p105-act Swap01-gen (gen CCX2-gen • gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( X1 • CCX0 • CCX2 • CCX1 , X1 • CX21 • CX20 , up-to-assoc auto (axiom ax-Swap01-CCX2-CCX1-CCX0-Swap12-Swap01=X1-CCX0-CCX2-CCX1-X1-CX21-CX20) )
p105-act Swap01-gen (gen CCX2-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX01 • CCX0 • CCX2 • Swap01 , CX12 , up-to-assoc auto (axiom ax-Swap01-CCX2-CX10-CCX1=CX01-CCX0-CCX2-Swap01-CX12) )
p105-act Swap01-gen (gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX2 • CCX1 , ε , up-to-assoc auto (axiom ax-Swap01-CCX2-CCX0-Swap01=CCX2-CCX1) )
p105-act Swap01-gen (gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CCX2 • CCX1 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CCX2-CCX0-CX01=CCX2-CCX1-CX01-CX10) )
p105-act Swap01-gen (gen CCX2-gen • gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX20 • CCX1 • CCX2 • CX02 , CX21 • CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-Swap01-CCX2-CCX0-CX02-CCX1=CX20-CCX1-CCX2-CX02-CX21-CX12-CX10-CX20-CCX0) )
p105-act Swap01-gen (gen CCX2-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX2 • CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-Swap01-CCX2-CCX0-CX12-Swap01=CCX2-CCX1-CX02) )
p105-act Swap01-gen (gen X1-gen • gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( X2 • CCX0 • CCX2 • CCX1 , X1 • X2 • CX21 • X0 • CX10 , up-to-assoc auto (axiom ax-Swap01-X1-CCX0-CCX1-CCX2=X2-CCX0-CCX2-CCX1-X1-X2-CX21-X0-CX10) )
p105-act Swap01-gen (gen X1-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CCX1 • CCX0 • Swap12 • Swap01 , X1 • CX21 • CX20 , up-to-assoc auto (axiom ax-Swap01-X1-CCX0-CCX2-CCX1=CCX2-CCX1-CCX0-Swap12-Swap01-X1-CX21-CX20) )
p105-act Swap01-gen (gen X2-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( X1 • CCX0 • CCX1 • CCX2 , X2 • CX21 • X0 • CX10 • CX20 , up-to-assoc auto (axiom ax-Swap01-X2-CCX0-CCX2-CCX1=X1-CCX0-CCX1-CCX2-X2-CX21-X0-CX10-CX20) )
p105-act Swap01-gen (gen CX12-gen • gen Swap01-gen) = Just ( CX02 , ε , up-to-assoc auto (axiom ax-Swap01-CX12-Swap01=CX02) )
p105-act Swap01-gen (gen CX12-gen • gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX02 • CX10 • CCX1 , ε , up-to-assoc auto (axiom ax-Swap01-CX12-CX01-CCX0-Swap01=CX02-CX10-CCX1) )
p105-act Swap01-gen (gen CX12-gen • gen CCX1-gen) = Just ( CX20 • CCX2 • Swap01 , CX21 • CX12 , up-to-assoc auto (axiom ax-Swap01-CX12-CCX1=CX20-CCX2-Swap01-CX21-CX12) )
p105-act Swap01-gen (gen CX12-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX02 • CCX0 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CX12-CCX1-CX01=CX02-CCX0-CX01-CX10) )
p105-act Swap01-gen (gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX20 • CX01 • CCX2 , Swap12 • CX20 , up-to-assoc auto (axiom ax-Swap01-CX12-CCX1-CX02=CX20-CX01-CCX2-Swap12-CX20) )
p105-act Swap01-gen (gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • CX02 , ε , up-to-assoc auto (axiom ax-Swap01-CX12-CCX2-Swap01=CCX2-CX02) )
p105-act Swap01-gen (gen CX12-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX2 • CX02 • CCX1 , ε , up-to-assoc auto (axiom ax-Swap01-CX12-CCX2-CCX0-Swap01=CCX2-CX02-CCX1) )
p105-act Swap01-gen (gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX02 • CCX1 , ε , up-to-assoc auto (axiom ax-Swap01-CX12-CCX0-Swap01=CX02-CCX1) )
p105-act Swap01-gen (gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CCX2 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CX21-CCX2-CX01=CX20-CCX2-CX01-CX10) )
p105-act Swap01-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX1 • CCX2 , ε , up-to-assoc auto (axiom ax-Swap01-CX21-CCX0-CCX2-Swap01=CX20-CCX1-CCX2) )
p105-act Swap01-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CCX1 • CCX2 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CX21-CCX0-CCX2-CX01=CX20-CCX1-CCX2-CX01-CX10) )
p105-act Swap01-gen (gen Swap12-gen • gen Swap01-gen) = Just ( Swap12 • Swap01 , Swap12 , up-to-assoc auto (axiom ax-Swap01-Swap12-Swap01=Swap12-Swap01-Swap12) )
p105-act Swap01-gen (gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • CX02 , CX20 • CCX0 , up-to-assoc auto (axiom ax-Swap01-Swap12-CCX1-CCX2-Swap01=CX20-CCX2-CX02-CX20-CCX0) )
p105-act Swap01-gen (gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • Swap01 , Swap12 , up-to-assoc auto (axiom ax-Swap01-Swap12-CCX2-Swap01=CCX0-Swap12-Swap01-Swap12) )
p105-act Swap01-gen (gen CX10-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX10 • CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-Swap01-CX10-CX02-CCX1=CX10-CCX1-CX02) )
p105-act Swap01-gen (gen CX10-gen • gen CCX1-gen) = Just ( CX01 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CX10-CCX1=CX01-CCX0-Swap01) )
p105-act Swap01-gen (gen CX10-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX10 • CX02 • CCX1 , ε , up-to-assoc auto (axiom ax-Swap01-CX10-CCX1-CX02=CX10-CX02-CCX1) )
p105-act Swap01-gen (gen CX10-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX01 • CCX0 • CCX2 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CX10-CCX1-CCX2-CX01=CX01-CCX0-CCX2-CX01-CX10) )
p105-act Swap01-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX01 • CCX2 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CX10-CCX2-CCX1=CX01-CCX2-CCX0-Swap01) )
p105-act Swap01-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX01 • CCX2 • CCX0 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CX10-CCX2-CCX1-CX01=CX01-CCX2-CCX0-CX01-CX10) )
p105-act Swap01-gen (gen CX10-gen • gen CX12-gen • gen CCX1-gen) = Just ( CX20 • CCX1 • CCX2 • Swap01 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-Swap01-CX10-CX12-CCX1=CX20-CCX1-CCX2-Swap01-Swap12-CX10-CX20-CCX0) )
p105-act Swap01-gen (gen CX10-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX10 • Swap12 • CCX2 • Swap01 , CX12 , up-to-assoc auto (axiom ax-Swap01-CX10-Swap12-CCX2-Swap01=CX10-Swap12-CCX2-Swap01-CX12) )
p105-act Swap01-gen (gen CX20-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX12 • CCX1 • CX02 , Swap12 • CX10 , up-to-assoc auto (axiom ax-Swap01-CX20-CX01-CCX2=CX12-CCX1-CX02-Swap12-CX10) )
p105-act Swap01-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX21 • CCX0 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CX20-CCX1-CCX2=CX21-CCX0-CCX2-Swap01) )
p105-act Swap01-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX10 • CX12 • CCX1 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-Swap01-CX20-CCX1-CCX2-Swap01=CX10-CX12-CCX1-Swap12-CX10-CX20-CCX0) )
p105-act Swap01-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX21 • CCX0 • CCX2 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CX20-CCX1-CCX2-CX01=CX21-CCX0-CCX2-CX01-CX10) )
p105-act Swap01-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX2 • CCX0 • CX02 • CCX1 , CX12 • CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-Swap01-CX20-CCX1-CCX2-CX02=CCX2-CCX0-CX02-CCX1-CX12-CX21-CX10-CX20-CCX0) )
p105-act Swap01-gen (gen CX20-gen • gen CCX2-gen) = Just ( CCX1 • CCX2 • Swap01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-Swap01-CX20-CCX2=CCX1-CCX2-Swap01-CX20-CCX0) )
p105-act Swap01-gen (gen CX20-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX12 • CCX1 , CX12 • CX21 , up-to-assoc auto (axiom ax-Swap01-CX20-CCX2-Swap01=CX12-CCX1-CX12-CX21) )
p105-act Swap01-gen (gen CX20-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX21 • CCX2 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CX20-CCX2-CX01=CX21-CCX2-CX01-CX10) )
p105-act Swap01-gen (gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( Swap12 • CCX1 • CCX2 • Swap01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-Swap01-CX20-CCX2-CX02=Swap12-CCX1-CCX2-Swap01-CX20-CCX0) )
p105-act Swap01-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX0 • CCX1 • CCX2 • Swap01 , CX21 • CCX0 , up-to-assoc auto (axiom ax-Swap01-CX20-CCX2-CCX1=CCX0-CCX1-CCX2-Swap01-CX21-CCX0) )
p105-act Swap01-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX0 • CX21 • CCX2 • CX01 , CX21 • CX10 • CX20 , up-to-assoc auto (axiom ax-Swap01-CX20-CCX2-CCX1-CX01=CCX0-CX21-CCX2-CX01-CX21-CX10-CX20) )
p105-act Swap01-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX0 • CX12 • CCX1 • CX02 , CX21 • CX12 • CX10 • CX20 , up-to-assoc auto (axiom ax-Swap01-CX20-CCX2-CCX1-CX02=CCX0-CX12-CCX1-CX02-CX21-CX12-CX10-CX20) )
p105-act Swap01-gen (gen CX20-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CX21 • CCX2 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CX20-CX21-CCX2-CX01=CX20-CX21-CCX2-CX01-CX10) )
p105-act Swap01-gen (gen CCX0-gen • gen Swap01-gen) = Just ( CCX1 , ε , up-to-assoc auto (axiom ax-Swap01-CCX0-Swap01=CCX1) )
p105-act Swap01-gen (gen CCX0-gen • gen CX01-gen) = Just ( CCX1 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CCX0-CX01=CCX1-CX01-CX10) )
p105-act Swap01-gen (gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX1 • CX01 • CCX2 , CX12 • CX10 , up-to-assoc auto (axiom ax-Swap01-CCX0-CX01-CCX2=CCX1-CX01-CCX2-CX12-CX10) )
p105-act Swap01-gen (gen CCX0-gen • gen CX02-gen) = Just ( CCX1 • CX12 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CCX0-CX02=CCX1-CX12-Swap01) )
p105-act Swap01-gen (gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX1 • CX12 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CCX0-CX02-CCX1=CCX1-CX12-CCX0-Swap01) )
p105-act Swap01-gen (gen CCX0-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CCX0 • CX12 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CCX0-CCX1-CX02=CCX1-CCX0-CX12-Swap01) )
p105-act Swap01-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX1 • CCX0 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CCX0-CCX1-CCX2=CCX1-CCX0-CCX2-Swap01) )
p105-act Swap01-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • CCX1 , CX21 • CX20 • CCX0 , up-to-assoc auto (axiom ax-Swap01-CCX0-CCX1-CCX2-Swap01=CX20-CCX2-CCX1-CX21-CX20-CCX0) )
p105-act Swap01-gen (gen CCX0-gen • gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CX02 , ε , up-to-assoc auto (axiom ax-Swap01-CCX0-CCX1-CX12-Swap01=CCX1-CCX0-CX02) )
p105-act Swap01-gen (gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 , ε , up-to-assoc auto (axiom ax-Swap01-CCX0-CCX2-Swap01=CCX1-CCX2) )
p105-act Swap01-gen (gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CCX2 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap01-CCX0-CCX2-CX01=CCX1-CCX2-CX01-CX10) )
p105-act Swap01-gen (gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX1 • CCX2 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap01-CCX0-CCX2-CCX1=CCX1-CCX2-CCX0-Swap01) )
p105-act Swap01-gen (gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-Swap01-CCX0-CX12-Swap01=CCX1-CX02) )
p105-act Swap01-gen (gen CCX0-gen • gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CCX1 • CX02 , CX12 • CX21 • CX20 , up-to-assoc auto (axiom ax-Swap01-CCX0-CX12-CCX1-CX02=CX20-CCX2-CCX1-CX02-CX12-CX21-CX20) )
p105-act Swap01-gen (gen CCX0-gen • gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • CX02 , ε , up-to-assoc auto (axiom ax-Swap01-CCX0-CX12-CCX2-Swap01=CCX1-CCX2-CX02) )
p105-act Swap01-gen (gen CCX0-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CCX2 • CCX1 • CX01 , CX21 • CX10 , up-to-assoc auto (axiom ax-Swap01-CCX0-CX21-CCX2-CX01=CX20-CCX2-CCX1-CX01-CX21-CX10) )
p105-act Swap01-gen (gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( Swap12 • CCX2 • Swap01 , Swap12 , up-to-assoc auto (axiom ax-Swap01-CCX0-Swap12-Swap01=Swap12-CCX2-Swap01-Swap12) )
p105-act Swap01-gen (gen CCX0-gen • gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CX20 • CCX2 • CX02 , CX20 • CCX0 , up-to-assoc auto (axiom ax-Swap01-CCX0-Swap12-CCX1-CCX2-Swap01=CCX1-CX20-CCX2-CX02-CX20-CCX0) )
p105-act Swap01-gen (gen CCX0-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • Swap12 • Swap01 , Swap12 , up-to-assoc auto (axiom ax-Swap01-CCX0-Swap12-CCX2-Swap01=CCX1-CCX0-Swap12-Swap01-Swap12) )
p105-act CX01-gen ε = Just ( CX01 , ε , refl )
p105-act CX01-gen (gen Swap01-gen) = Just ( Swap01 , CX10 , up-to-assoc auto (axiom ax-CX01-Swap01=Swap01-CX10) )
p105-act CX01-gen (gen CX01-gen) = Just ( ε , ε , up-to-assoc auto (axiom ax-CX01-CX01=ε) )
p105-act CX01-gen (gen CX01-gen • gen CCX2-gen) = Just ( CCX2 , ε , up-to-assoc auto (axiom ax-CX01-CX01-CCX2=CCX2) )
p105-act CX01-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CX01-CX01-CCX2-CCX0-Swap01=CCX2-CCX0-Swap01) )
p105-act CX01-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CCX2 • CCX0 • CX01 , ε , up-to-assoc auto (axiom ax-CX01-CX01-CCX2-CCX0-CX01=CCX2-CCX0-CX01) )
p105-act CX01-gen (gen CX01-gen • gen CX20-gen • gen CCX2-gen) = Just ( CX20 • CCX2 , ε , up-to-assoc auto (axiom ax-CX01-CX01-CX20-CCX2=CX20-CCX2) )
p105-act CX01-gen (gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CX01-CX01-CCX0-Swap01=CCX0-Swap01) )
p105-act CX01-gen (gen CX01-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX0 • CX02 , ε , up-to-assoc auto (axiom ax-CX01-CX01-CCX0-CX02=CCX0-CX02) )
p105-act CX01-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CX01-CX01-CCX0-CCX2-Swap01=CCX0-CCX2-Swap01) )
p105-act CX01-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CX01-CX01-CCX0-CCX2-CX01=CCX0-CCX2-CX01) )
p105-act CX01-gen (gen CX02-gen) = Just ( CX02 • CX01 , ε , up-to-assoc auto (axiom ax-CX01-CX02=CX02-CX01) )
p105-act CX01-gen (gen CX02-gen • gen CX01-gen) = Just ( CX02 , ε , up-to-assoc auto (axiom ax-CX01-CX02-CX01=CX02) )
p105-act CX01-gen (gen CX02-gen • gen CCX1-gen) = Just ( CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-CX01-CX02-CCX1=CCX1-CX02) )
p105-act CX01-gen (gen CX02-gen • gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CCX1 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX01-CX02-CCX1-CCX0-CX02=CX20-CCX2-CCX1-CX21-CX20) )
p105-act CX01-gen (gen CX02-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX02 • CCX0 • CX01 , CX10 , up-to-assoc auto (axiom ax-CX01-CX02-CX10-CCX1=CX02-CCX0-CX01-CX10) )
p105-act CX01-gen (gen CX02-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX02 • CX10 • CCX1 , CX10 , up-to-assoc auto (axiom ax-CX01-CX02-CCX0-CX01=CX02-CX10-CCX1-CX10) )
p105-act CX01-gen (gen CCX1-gen) = Just ( CCX1 • CX01 , ε , up-to-assoc auto (axiom ax-CX01-CCX1=CCX1-CX01) )
p105-act CX01-gen (gen CCX1-gen • gen CX01-gen) = Just ( CCX1 , ε , up-to-assoc auto (axiom ax-CX01-CCX1-CX01=CCX1) )
p105-act CX01-gen (gen CCX1-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX1 • CCX2 , ε , up-to-assoc auto (axiom ax-CX01-CCX1-CX01-CCX2=CCX1-CCX2) )
p105-act CX01-gen (gen CCX1-gen • gen CX02-gen) = Just ( CX02 • CCX1 , ε , up-to-assoc auto (axiom ax-CX01-CCX1-CX02=CX02-CCX1) )
p105-act CX01-gen (gen CCX1-gen • gen CCX2-gen) = Just ( CCX1 • CX01 • CCX2 , ε , up-to-assoc auto (axiom ax-CX01-CCX1-CCX2=CCX1-CX01-CCX2) )
p105-act CX01-gen (gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX01-CCX1-CCX2-Swap01=CCX1-CCX2-Swap01-CX12-CX10) )
p105-act CX01-gen (gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CCX2 • CX02 , ε , up-to-assoc auto (axiom ax-CX01-CCX1-CCX2-CX01=CCX1-CCX2-CX02) )
p105-act CX01-gen (gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX1 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CX01-CCX1-CCX2-CX02=CCX1-CCX2-CX01) )
p105-act CX01-gen (gen CCX1-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX21 • CCX0 • CCX2 • Swap01 , CX12 • CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX01-CCX1-CCX2-CCX0-Swap01=CX21-CCX0-CCX2-Swap01-CX12-CX21-CX10-CX20-CCX0) )
p105-act CX01-gen (gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX01-CCX1-CX12-Swap01=CCX1-CX12-Swap01-CX12-CX10) )
p105-act CX01-gen (gen CCX1-gen • gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CX02 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX01-CCX1-CX12-CCX0-Swap01=CCX0-CCX1-CX02-CX12-CX10) )
p105-act CX01-gen (gen CCX1-gen • gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX20 • CCX1 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CX01-CCX1-CX20-CCX2-CX02=CX20-CCX1-CCX2-CX01) )
p105-act CX01-gen (gen CCX1-gen • gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX0 • CCX1 • CCX2 , ε , up-to-assoc auto (axiom ax-CX01-CCX1-CCX0-CX01-CCX2=CCX0-CCX1-CCX2) )
p105-act CX01-gen (gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX0 • CX02 • CCX1 , ε , up-to-assoc auto (axiom ax-CX01-CCX1-CCX0-CX02=CCX0-CX02-CCX1) )
p105-act CX01-gen (gen CCX1-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CCX2 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX01-CCX1-CCX0-CCX2-Swap01=CCX0-CCX1-CCX2-Swap01-CX12-CX10) )
p105-act CX01-gen (gen CCX1-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CX12 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX01-CCX1-CCX0-CX12-Swap01=CCX0-CCX1-CX12-Swap01-CX12-CX10) )
p105-act CX01-gen (gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • CCX2 • Swap01 , CX12 , up-to-assoc auto (axiom ax-CX01-CCX1-CCX0-Swap12-Swap01=CCX0-Swap12-CCX2-Swap01-CX12) )
p105-act CX01-gen (gen CCX2-gen) = Just ( CX01 • CCX2 , ε , general-assoc auto )
p105-act CX01-gen (gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX01-CCX2-Swap01=CCX2-Swap01-CX12-CX10) )
p105-act CX01-gen (gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CX02 , ε , up-to-assoc auto (axiom ax-CX01-CCX2-CX01=CCX2-CX02) )
p105-act CX01-gen (gen CCX2-gen • gen CX02-gen) = Just ( CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CX01-CCX2-CX02=CCX2-CX01) )
p105-act CX01-gen (gen CCX2-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX2 • CCX1 • CX01 , ε , up-to-assoc auto (axiom ax-CX01-CCX2-CX02-CCX1=CCX2-CCX1-CX01) )
p105-act CX01-gen (gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-CX01-CCX2-CCX1=CCX2-CCX1-CX02) )
p105-act CX01-gen (gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX2 • CX02 • CCX1 , ε , up-to-assoc auto (axiom ax-CX01-CCX2-CCX1-CX01=CCX2-CX02-CCX1) )
p105-act CX01-gen (gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX2 • CCX1 , ε , up-to-assoc auto (axiom ax-CX01-CCX2-CCX1-CX02=CCX2-CCX1) )
p105-act CX01-gen (gen CCX2-gen • gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • CCX1 • CCX2 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX01-CCX2-CCX1-CCX0-Swap12-Swap01=CCX0-Swap12-CCX1-CCX2-Swap01-CX10) )
p105-act CX01-gen (gen CCX2-gen • gen CX10-gen • gen CCX1-gen) = Just ( CCX0 • CX01 • CCX2 , CX10 , up-to-assoc auto (axiom ax-CX01-CCX2-CX10-CCX1=CCX0-CX01-CCX2-CX10) )
p105-act CX01-gen (gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX01 • CCX2 • CCX0 • Swap01 , ε , general-assoc auto )
p105-act CX01-gen (gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX01 • CCX2 • CCX0 • CX01 , ε , general-assoc auto )
p105-act CX01-gen (gen CCX2-gen • gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( X2 • CCX0 • CCX2 • CCX1 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-CX01-CCX2-CCX0-CX02-CCX1=X2-CCX0-CCX2-CCX1-X2-CX12-CX10) )
p105-act CX01-gen (gen CCX2-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CX10 • CCX2 • CCX1 , ε , up-to-assoc auto (axiom ax-CX01-CCX2-CCX0-CX12-Swap01=CX10-CCX2-CCX1) )
p105-act CX01-gen (gen X1-gen • gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX0 • CX21 • CCX2 • CX01 , X1 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX01-X1-CCX0-CCX1-CCX2=CCX0-CX21-CCX2-CX01-X1-CX20-CCX0) )
p105-act CX01-gen (gen X1-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX21 • CCX0 • CCX2 • CX01 , X1 • CX21 • CCX0 , up-to-assoc auto (axiom ax-CX01-X1-CCX0-CCX2-CCX1=CX21-CCX0-CCX2-CX01-X1-CX21-CCX0) )
p105-act CX01-gen (gen X2-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CCX0 • CX02 • CCX1 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-CX01-X2-CCX0-CCX2-CCX1=CCX2-CCX0-CX02-CCX1-X2-CX12-CX10) )
p105-act CX01-gen (gen CX12-gen • gen Swap01-gen) = Just ( CX12 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX01-CX12-Swap01=CX12-Swap01-CX12-CX10) )
p105-act CX01-gen (gen CX12-gen • gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • CX01 , CX21 • CX12 • CX20 , up-to-assoc auto (axiom ax-CX01-CX12-CX01-CCX0-Swap01=CX20-CCX2-CX01-CX21-CX12-CX20) )
p105-act CX01-gen (gen CX12-gen • gen CCX1-gen) = Just ( CX12 • CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-CX01-CX12-CCX1=CX12-CCX1-CX02) )
p105-act CX01-gen (gen CX12-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX21 • CCX2 • CX01 , CX21 • CX12 , up-to-assoc auto (axiom ax-CX01-CX12-CCX1-CX01=CX21-CCX2-CX01-CX21-CX12) )
p105-act CX01-gen (gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX12 • CCX1 , ε , up-to-assoc auto (axiom ax-CX01-CX12-CCX1-CX02=CX12-CCX1) )
p105-act CX01-gen (gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX01-CX12-CCX2-Swap01=CX12-CCX2-Swap01-CX10) )
p105-act CX01-gen (gen CX12-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX10 • CCX2 • CCX1 • CX01 , ε , up-to-assoc auto (axiom ax-CX01-CX12-CCX2-CCX0-Swap01=CX10-CCX2-CCX1-CX01) )
p105-act CX01-gen (gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX10 • CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-CX01-CX12-CCX0-Swap01=CX10-CCX1-CX02) )
p105-act CX01-gen (gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX12 • CCX1 • CX01 , CX12 • CX21 , up-to-assoc auto (axiom ax-CX01-CX21-CCX2-CX01=CX12-CCX1-CX01-CX12-CX21) )
p105-act CX01-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • CCX0 • Swap01 , CX21 • CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX01-CX21-CCX0-CCX2-Swap01=CCX1-CCX2-CCX0-Swap01-CX21-CX12-CX10-CX20-CCX0) )
p105-act CX01-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( X1 • CCX0 • CCX2 • CCX1 , X1 • CX21 • CCX0 , up-to-assoc auto (axiom ax-CX01-CX21-CCX0-CCX2-CX01=X1-CCX0-CCX2-CCX1-X1-CX21-CCX0) )
p105-act CX01-gen (gen Swap12-gen • gen Swap01-gen) = Just ( Swap12 • Swap01 , CX12 , up-to-assoc auto (axiom ax-CX01-Swap12-Swap01=Swap12-Swap01-CX12) )
p105-act CX01-gen (gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX1 • CCX2 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX01-Swap12-CCX1-CCX2-Swap01=Swap12-CCX1-CCX2-Swap01-CX10) )
p105-act CX01-gen (gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX2 • Swap01 , CX12 , up-to-assoc auto (axiom ax-CX01-Swap12-CCX2-Swap01=Swap12-CCX2-Swap01-CX12) )
p105-act CX01-gen (gen CX10-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX0 • CX12 • Swap01 , ε , up-to-assoc auto (axiom ax-CX01-CX10-CX02-CCX1=CCX0-CX12-Swap01) )
p105-act CX01-gen (gen CX10-gen • gen CCX1-gen) = Just ( CCX0 • CX01 , CX10 , up-to-assoc auto (axiom ax-CX01-CX10-CCX1=CCX0-CX01-CX10) )
p105-act CX01-gen (gen CX10-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX12 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CX01-CX10-CCX1-CX02=CX12-CCX0-Swap01) )
p105-act CX01-gen (gen CX10-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CX12 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CX01-CX10-CCX1-CCX2-CX01=CCX0-CX12-CCX2-Swap01) )
p105-act CX01-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CCX0 • CX12 • Swap01 , ε , up-to-assoc auto (axiom ax-CX01-CX10-CCX2-CCX1=CCX2-CCX0-CX12-Swap01) )
p105-act CX01-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX12 • CCX2 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CX01-CX10-CCX2-CCX1-CX01=CX12-CCX2-CCX0-Swap01) )
p105-act CX01-gen (gen CX10-gen • gen CX12-gen • gen CCX1-gen) = Just ( CX20 • CX01 • CCX2 , Swap12 • CX20 , up-to-assoc auto (axiom ax-CX01-CX10-CX12-CCX1=CX20-CX01-CCX2-Swap12-CX20) )
p105-act CX01-gen (gen CX10-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • Swap01 , CX12 • CX21 , up-to-assoc auto (axiom ax-CX01-CX10-Swap12-CCX2-Swap01=CCX0-Swap12-Swap01-CX12-CX21) )
p105-act CX01-gen (gen CX20-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX10 • CX12 • CCX1 , Swap12 • CX10 , up-to-assoc auto (axiom ax-CX01-CX20-CX01-CCX2=CX10-CX12-CCX1-Swap12-CX10) )
p105-act CX01-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX20 • CCX2 • CCX1 • CX02 , CX21 , up-to-assoc auto (axiom ax-CX01-CX20-CCX1-CCX2=CX20-CCX2-CCX1-CX02-CX21) )
p105-act CX01-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • Swap01 , CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX01-CX20-CCX1-CCX2-Swap01=CX20-CCX2-Swap01-CX12-CX10-CX20-CCX0) )
p105-act CX01-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CX20 • CCX2 • CX02 , ε , up-to-assoc auto (axiom ax-CX01-CX20-CCX1-CCX2-CX01=CCX1-CX20-CCX2-CX02) )
p105-act CX01-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CCX1 • CX01 , CX21 , up-to-assoc auto (axiom ax-CX01-CX20-CCX1-CCX2-CX02=CX20-CCX2-CCX1-CX01-CX21) )
p105-act CX01-gen (gen CX20-gen • gen CCX2-gen) = Just ( CX01 • CX20 • CCX2 , ε , general-assoc auto )
p105-act CX01-gen (gen CX20-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX1 • CCX2 • Swap01 , CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX01-CX20-CCX2-Swap01=CX20-CCX1-CCX2-Swap01-CX12-CX10-CX20-CCX0) )
p105-act CX01-gen (gen CX20-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX12 • CX01 • CCX0 • Swap01 , CX12 • CX21 • CX10 , up-to-assoc auto (axiom ax-CX01-CX20-CCX2-CX01=CX12-CX01-CCX0-Swap01-CX12-CX21-CX10) )
p105-act CX01-gen (gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX20 • CX21 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CX01-CX20-CCX2-CX02=CX20-CX21-CCX2-CX01) )
p105-act CX01-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX02 • CCX1 • CCX0 • CX02 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX01-CX20-CCX2-CCX1=CX02-CCX1-CCX0-CX02-CX21-CX20) )
p105-act CX01-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX20 • CCX1 • CCX2 • CX02 , CX21 , up-to-assoc auto (axiom ax-CX01-CX20-CCX2-CCX1-CX01=CX20-CCX1-CCX2-CX02-CX21) )
p105-act CX01-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX20 • CCX1 • CCX2 , CX21 , up-to-assoc auto (axiom ax-CX01-CX20-CCX2-CCX1-CX02=CX20-CCX1-CCX2-CX21) )
p105-act CX01-gen (gen CX20-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CCX2 • CX02 , ε , up-to-assoc auto (axiom ax-CX01-CX20-CX21-CCX2-CX01=CX20-CCX2-CX02) )
p105-act CX01-gen (gen CCX0-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • Swap01 , ε , general-assoc auto )
p105-act CX01-gen (gen CCX0-gen • gen CX01-gen) = Just ( CX10 • CCX1 , CX10 , up-to-assoc auto (axiom ax-CX01-CCX0-CX01=CX10-CCX1-CX10) )
p105-act CX01-gen (gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX2 • CX10 • CCX1 , CX10 , up-to-assoc auto (axiom ax-CX01-CCX0-CX01-CCX2=CCX2-CX10-CCX1-CX10) )
p105-act CX01-gen (gen CCX0-gen • gen CX02-gen) = Just ( CX01 • CCX0 • CX02 , ε , general-assoc auto )
p105-act CX01-gen (gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX1 • CCX0 • CX02 , ε , up-to-assoc auto (axiom ax-CX01-CCX0-CX02-CCX1=CCX1-CCX0-CX02) )
p105-act CX01-gen (gen CCX0-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CX12 • CCX0 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX01-CCX0-CCX1-CX02=CCX1-CX12-CCX0-Swap01-CX12-CX10) )
p105-act CX01-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX1 • CCX0 • CX01 • CCX2 , ε , up-to-assoc auto (axiom ax-CX01-CCX0-CCX1-CCX2=CCX1-CCX0-CX01-CCX2) )
p105-act CX01-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CCX2 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX01-CCX0-CCX1-CCX2-Swap01=CCX1-CCX0-CCX2-Swap01-CX12-CX10) )
p105-act CX01-gen (gen CCX0-gen • gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CX12 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX01-CCX0-CCX1-CX12-Swap01=CCX1-CCX0-CX12-Swap01-CX12-CX10) )
p105-act CX01-gen (gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • CCX2 • Swap01 , ε , general-assoc auto )
p105-act CX01-gen (gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX01 • CCX0 • CCX2 • CX01 , ε , general-assoc auto )
p105-act CX01-gen (gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX0 • CX12 • CCX1 • CX02 , CX12 • CCX0 , up-to-assoc auto (axiom ax-CX01-CCX0-CCX2-CCX1=CCX0-CX12-CCX1-CX02-CX12-CCX0) )
p105-act CX01-gen (gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CX10 • CX02 • CCX1 , ε , up-to-assoc auto (axiom ax-CX01-CCX0-CX12-Swap01=CX10-CX02-CCX1) )
p105-act CX01-gen (gen CCX0-gen • gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX0 • CCX2 • CCX1 , CX12 • CX10 • CCX0 , up-to-assoc auto (axiom ax-CX01-CCX0-CX12-CCX1-CX02=CCX0-CCX2-CCX1-CX12-CX10-CCX0) )
p105-act CX01-gen (gen CCX0-gen • gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX10 • CCX1 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CX01-CCX0-CX12-CCX2-Swap01=CX10-CCX1-CCX2-CX01) )
p105-act CX01-gen (gen CCX0-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( X1 • CCX0 • CCX1 • CCX2 , X1 • CCX0 , up-to-assoc auto (axiom ax-CX01-CCX0-CX21-CCX2-CX01=X1-CCX0-CCX1-CCX2-X1-CCX0) )
p105-act CX01-gen (gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CX10 • Swap12 • CCX2 • Swap01 , CX21 • CX12 , up-to-assoc auto (axiom ax-CX01-CCX0-Swap12-Swap01=CX10-Swap12-CCX2-Swap01-CX21-CX12) )
p105-act CX01-gen (gen CCX0-gen • gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • CCX1 • CCX0 • Swap12 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX01-CCX0-Swap12-CCX1-CCX2-Swap01=CCX2-CCX1-CCX0-Swap12-Swap01-CX10) )
p105-act CX01-gen (gen CCX0-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • Swap12 • Swap01 , CX12 , up-to-assoc auto (axiom ax-CX01-CCX0-Swap12-CCX2-Swap01=CCX1-CCX0-Swap12-Swap01-CX12) )
p105-act CX02-gen ε = Just ( CX02 , ε , general-assoc auto )
p105-act CX02-gen (gen Swap01-gen) = Just ( Swap01 , CX12 , up-to-assoc auto (axiom ax-CX02-Swap01=Swap01-CX12) )
p105-act CX02-gen (gen CX01-gen) = Just ( CX02 • CX01 , ε , general-assoc auto )
p105-act CX02-gen (gen CX01-gen • gen CCX2-gen) = Just ( CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CX02-CX01-CCX2=CCX2-CX01) )
p105-act CX02-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • CCX2 • Swap01 , CX12 , up-to-assoc auto (axiom ax-CX02-CX01-CCX2-CCX0-Swap01=CX01-CCX0-CCX2-Swap01-CX12) )
p105-act CX02-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CCX2 • CX10 • CCX1 , CX10 , up-to-assoc auto (axiom ax-CX02-CX01-CCX2-CCX0-CX01=CCX2-CX10-CCX1-CX10) )
p105-act CX02-gen (gen CX01-gen • gen CX20-gen • gen CCX2-gen) = Just ( CX01 • CCX0 • CX02 , CX20 , up-to-assoc auto (axiom ax-CX02-CX01-CX20-CCX2=CX01-CCX0-CX02-CX20) )
p105-act CX02-gen (gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX20 • CCX1 • CCX2 • Swap01 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX02-CX01-CCX0-Swap01=CX20-CCX1-CCX2-Swap01-Swap12-CX10-CX20-CCX0) )
p105-act CX02-gen (gen CX01-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX01 • CX20 • CCX2 , CX20 , up-to-assoc auto (axiom ax-CX02-CX01-CCX0-CX02=CX01-CX20-CCX2-CX20) )
p105-act CX02-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX01 • CCX2 • CCX0 • Swap01 , CX12 , up-to-assoc auto (axiom ax-CX02-CX01-CCX0-CCX2-Swap01=CX01-CCX2-CCX0-Swap01-CX12) )
p105-act CX02-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX10 • CCX2 • CCX1 • CX01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX02-CX01-CCX0-CCX2-CX01=CX10-CCX2-CCX1-CX01-CX12-CX10) )
p105-act CX02-gen (gen CX02-gen) = Just ( ε , ε , up-to-assoc auto (axiom ax-CX02-CX02=ε) )
p105-act CX02-gen (gen CX02-gen • gen CX01-gen) = Just ( CX01 , ε , up-to-assoc auto (axiom ax-CX02-CX02-CX01=CX01) )
p105-act CX02-gen (gen CX02-gen • gen CCX1-gen) = Just ( CCX1 , ε , up-to-assoc auto (axiom ax-CX02-CX02-CCX1=CCX1) )
p105-act CX02-gen (gen CX02-gen • gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX1 • CCX0 • CX02 , ε , up-to-assoc auto (axiom ax-CX02-CX02-CCX1-CCX0-CX02=CCX1-CCX0-CX02) )
p105-act CX02-gen (gen CX02-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX10 • CCX1 , ε , up-to-assoc auto (axiom ax-CX02-CX02-CX10-CCX1=CX10-CCX1) )
p105-act CX02-gen (gen CX02-gen • gen CCX0-gen • gen CX01-gen) = Just ( CCX0 • CX01 , ε , up-to-assoc auto (axiom ax-CX02-CX02-CCX0-CX01=CCX0-CX01) )
p105-act CX02-gen (gen CCX1-gen) = Just ( CX02 • CCX1 , ε , general-assoc auto )
p105-act CX02-gen (gen CCX1-gen • gen CX01-gen) = Just ( CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-CX02-CCX1-CX01=CCX1-CX02) )
p105-act CX02-gen (gen CCX1-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX1 • CCX2 • CX02 , ε , up-to-assoc auto (axiom ax-CX02-CCX1-CX01-CCX2=CCX1-CCX2-CX02) )
p105-act CX02-gen (gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CX01 , ε , up-to-assoc auto (axiom ax-CX02-CCX1-CX02=CCX1-CX01) )
p105-act CX02-gen (gen CCX1-gen • gen CCX2-gen) = Just ( CCX1 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CX02-CCX1-CCX2=CCX1-CCX2-CX01) )
p105-act CX02-gen (gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX02-CCX1-CCX2-Swap01=CCX1-CCX2-Swap01-CX10) )
p105-act CX02-gen (gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CCX2 , ε , up-to-assoc auto (axiom ax-CX02-CCX1-CCX2-CX01=CCX1-CCX2) )
p105-act CX02-gen (gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX1 • CX01 • CCX2 , ε , up-to-assoc auto (axiom ax-CX02-CCX1-CCX2-CX02=CCX1-CX01-CCX2) )
p105-act CX02-gen (gen CCX1-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CCX2 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX02-CCX1-CCX2-CCX0-Swap01=CCX0-CCX1-CCX2-Swap01-CX10) )
p105-act CX02-gen (gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX02-CCX1-CX12-Swap01=CCX1-CX12-Swap01-CX10) )
p105-act CX02-gen (gen CCX1-gen • gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX20 • CCX1 • CCX2 • CX02 , CX21 • CX12 • CX20 , up-to-assoc auto (axiom ax-CX02-CCX1-CX12-CCX0-Swap01=CX20-CCX1-CCX2-CX02-CX21-CX12-CX20) )
p105-act CX02-gen (gen CCX1-gen • gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX0 • Swap12 • CCX2 • Swap01 , CX21 • CX12 , up-to-assoc auto (axiom ax-CX02-CCX1-CX20-CCX2-CX02=CCX0-Swap12-CCX2-Swap01-CX21-CX12) )
p105-act CX02-gen (gen CCX1-gen • gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( X1 • CCX0 • CCX1 • CCX2 , X1 • CX21 • CX20 , up-to-assoc auto (axiom ax-CX02-CCX1-CCX0-CX01-CCX2=X1-CCX0-CCX1-CCX2-X1-CX21-CX20) )
p105-act CX02-gen (gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX02 • CCX1 • CCX0 • CX02 , ε , general-assoc auto )
p105-act CX02-gen (gen CCX1-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX21 • CCX0 • CCX2 • Swap01 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX02-CCX1-CCX0-CCX2-Swap01=CX21-CCX0-CCX2-Swap01-Swap12-CX10-CX20-CCX0) )
p105-act CX02-gen (gen CCX1-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CX20 • CCX1 • CCX2 , Swap12 • CX20 , up-to-assoc auto (axiom ax-CX02-CCX1-CCX0-CX12-Swap01=CX20-CCX1-CCX2-Swap12-CX20) )
p105-act CX02-gen (gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CX20 • CCX1 • CCX2 • CX01 , Swap12 , up-to-assoc auto (axiom ax-CX02-CCX1-CCX0-Swap12-Swap01=CX20-CCX1-CCX2-CX01-Swap12) )
p105-act CX02-gen (gen CCX2-gen) = Just ( CCX2 • CX02 , ε , up-to-assoc auto (axiom ax-CX02-CCX2=CCX2-CX02) )
p105-act CX02-gen (gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • Swap01 , CX12 , up-to-assoc auto (axiom ax-CX02-CCX2-Swap01=CCX2-Swap01-CX12) )
p105-act CX02-gen (gen CCX2-gen • gen CX01-gen) = Just ( CX01 • CCX2 , ε , up-to-assoc auto (axiom ax-CX02-CCX2-CX01=CX01-CCX2) )
p105-act CX02-gen (gen CCX2-gen • gen CX02-gen) = Just ( CCX2 , ε , up-to-assoc auto (axiom ax-CX02-CCX2-CX02=CCX2) )
p105-act CX02-gen (gen CCX2-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX2 • CCX1 , ε , up-to-assoc auto (axiom ax-CX02-CCX2-CX02-CCX1=CCX2-CCX1) )
p105-act CX02-gen (gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CX02 • CCX1 , ε , up-to-assoc auto (axiom ax-CX02-CCX2-CCX1=CCX2-CX02-CCX1) )
p105-act CX02-gen (gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX2 • CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-CX02-CCX2-CCX1-CX01=CCX2-CCX1-CX02) )
p105-act CX02-gen (gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX2 • CCX1 • CX01 , ε , up-to-assoc auto (axiom ax-CX02-CCX2-CCX1-CX02=CCX2-CCX1-CX01) )
p105-act CX02-gen (gen CCX2-gen • gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CX21 • CCX0 • CCX2 • CX01 , CX12 • CX21 • CCX0 , up-to-assoc auto (axiom ax-CX02-CCX2-CCX1-CCX0-Swap12-Swap01=CX21-CCX0-CCX2-CX01-CX12-CX21-CCX0) )
p105-act CX02-gen (gen CCX2-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX01 • CCX2 • CCX0 • CX01 , CX10 , up-to-assoc auto (axiom ax-CX02-CCX2-CX10-CCX1=CX01-CCX2-CCX0-CX01-CX10) )
p105-act CX02-gen (gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CCX2 • Swap01 , CX12 , up-to-assoc auto (axiom ax-CX02-CCX2-CCX0-Swap01=CCX0-CCX2-Swap01-CX12) )
p105-act CX02-gen (gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CCX0 • CX01 • CCX2 , ε , up-to-assoc auto (axiom ax-CX02-CCX2-CCX0-CX01=CCX0-CX01-CCX2) )
p105-act CX02-gen (gen CCX2-gen • gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX0 • CCX2 • CCX1 , ε , up-to-assoc auto (axiom ax-CX02-CCX2-CCX0-CX02-CCX1=CCX0-CCX2-CCX1) )
p105-act CX02-gen (gen CCX2-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CX12 • CCX2 • Swap01 , CX12 , up-to-assoc auto (axiom ax-CX02-CCX2-CCX0-CX12-Swap01=CCX0-CX12-CCX2-Swap01-CX12) )
p105-act CX02-gen (gen X1-gen • gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX1 • CCX0 • CX01 • CCX2 , X1 • CX21 • CX20 , up-to-assoc auto (axiom ax-CX02-X1-CCX0-CCX1-CCX2=CCX1-CCX0-CX01-CCX2-X1-CX21-CX20) )
p105-act CX02-gen (gen X1-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX0 • Swap12 • CCX1 • CCX2 • Swap01 , X2 • Swap12 , up-to-assoc auto (axiom ax-CX02-X1-CCX0-CCX2-CCX1=CCX0-Swap12-CCX1-CCX2-Swap01-X2-Swap12) )
p105-act CX02-gen (gen X2-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX0 • CX12 • CCX1 • CX02 , X2 • CX10 • CCX0 , up-to-assoc auto (axiom ax-CX02-X2-CCX0-CCX2-CCX1=CCX0-CX12-CCX1-CX02-X2-CX10-CCX0) )
p105-act CX02-gen (gen CX12-gen • gen Swap01-gen) = Just ( CX12 • Swap01 , CX12 , up-to-assoc auto (axiom ax-CX02-CX12-Swap01=CX12-Swap01-CX12) )
p105-act CX02-gen (gen CX12-gen • gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX10 • CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-CX02-CX12-CX01-CCX0-Swap01=CX10-CCX1-CX02) )
p105-act CX02-gen (gen CX12-gen • gen CCX1-gen) = Just ( CX21 • CCX2 • CX01 , CX21 • CX12 , up-to-assoc auto (axiom ax-CX02-CX12-CCX1=CX21-CCX2-CX01-CX21-CX12) )
p105-act CX02-gen (gen CX12-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX12 • CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-CX02-CX12-CCX1-CX01=CX12-CCX1-CX02) )
p105-act CX02-gen (gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX12 • CCX1 • CX01 , ε , up-to-assoc auto (axiom ax-CX02-CX12-CCX1-CX02=CX12-CCX1-CX01) )
p105-act CX02-gen (gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • Swap01 , CX12 , up-to-assoc auto (axiom ax-CX02-CX12-CCX2-Swap01=CX12-CCX2-Swap01-CX12) )
p105-act CX02-gen (gen CX12-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CCX2 • CX01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX02-CX12-CCX2-CCX0-Swap01=CCX0-CCX2-CX01-CX12-CX10) )
p105-act CX02-gen (gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • CX01 , CX21 • CX12 • CX20 , up-to-assoc auto (axiom ax-CX02-CX12-CCX0-Swap01=CX20-CCX2-CX01-CX21-CX12-CX20) )
p105-act CX02-gen (gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX12 • CCX1 , CX12 • CX21 , up-to-assoc auto (axiom ax-CX02-CX21-CCX2-CX01=CX12-CCX1-CX12-CX21) )
p105-act CX02-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CCX2 • Swap01 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX02-CX21-CCX0-CCX2-Swap01=CCX1-CCX0-CCX2-Swap01-Swap12-CX10-CX20-CCX0) )
p105-act CX02-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CCX1 • CCX0 • Swap12 • Swap01 , CX21 • CX12 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX02-CX21-CCX0-CCX2-CX01=CCX2-CCX1-CCX0-Swap12-Swap01-CX21-CX12-CX20-CCX0) )
p105-act CX02-gen (gen Swap12-gen • gen Swap01-gen) = Just ( Swap12 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX02-Swap12-Swap01=Swap12-Swap01-CX10) )
p105-act CX02-gen (gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX1 • CCX2 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX02-Swap12-CCX1-CCX2-Swap01=Swap12-CCX1-CCX2-Swap01-CX12-CX10) )
p105-act CX02-gen (gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX2 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX02-Swap12-CCX2-Swap01=Swap12-CCX2-Swap01-CX12-CX10) )
p105-act CX02-gen (gen CX10-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX10 • CX12 • CCX1 , ε , up-to-assoc auto (axiom ax-CX02-CX10-CX02-CCX1=CX10-CX12-CCX1) )
p105-act CX02-gen (gen CX10-gen • gen CCX1-gen) = Just ( CX02 • CX10 • CCX1 , ε , general-assoc auto )
p105-act CX02-gen (gen CX10-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX12 • CX01 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CX02-CX10-CCX1-CX02=CX12-CX01-CCX0-Swap01) )
p105-act CX02-gen (gen CX10-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX10 • CCX2 • CCX1 , CX12 , up-to-assoc auto (axiom ax-CX02-CX10-CCX1-CCX2-CX01=CX10-CCX2-CCX1-CX12) )
p105-act CX02-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX10 • CCX1 • CCX2 • CX01 , CX12 , up-to-assoc auto (axiom ax-CX02-CX10-CCX2-CCX1=CX10-CCX1-CCX2-CX01-CX12) )
p105-act CX02-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX01 • CCX0 • CCX2 • CX01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX02-CX10-CCX2-CCX1-CX01=CX01-CCX0-CCX2-CX01-CX12-CX10) )
p105-act CX02-gen (gen CX10-gen • gen CX12-gen • gen CCX1-gen) = Just ( CX10 • CX02 • CCX1 , ε , up-to-assoc auto (axiom ax-CX02-CX10-CX12-CCX1=CX10-CX02-CCX1) )
p105-act CX02-gen (gen CX10-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CX21 • CCX2 • CX01 , CX12 , up-to-assoc auto (axiom ax-CX02-CX10-Swap12-CCX2-Swap01=CX20-CX21-CCX2-CX01-CX12) )
p105-act CX02-gen (gen CX20-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX0 • CX12 • Swap01 , Swap12 • CX10 , up-to-assoc auto (axiom ax-CX02-CX20-CX01-CCX2=CCX0-CX12-Swap01-Swap12-CX10) )
p105-act CX02-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX1 • CCX0 • CX12 • Swap01 , Swap12 • CX10 , up-to-assoc auto (axiom ax-CX02-CX20-CCX1-CCX2=CCX1-CCX0-CX12-Swap01-Swap12-CX10) )
p105-act CX02-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • Swap01 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX02-CX20-CCX1-CCX2-Swap01=CX01-CCX0-Swap01-Swap12-CX10-CX20-CCX0) )
p105-act CX02-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CCX0 • Swap12 • Swap01 , Swap12 , up-to-assoc auto (axiom ax-CX02-CX20-CCX1-CCX2-CX01=CCX1-CCX0-Swap12-Swap01-Swap12) )
p105-act CX02-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX1 • CX12 • CCX0 • Swap01 , CX12 • CX21 • CX10 , up-to-assoc auto (axiom ax-CX02-CX20-CCX1-CCX2-CX02=CCX1-CX12-CCX0-Swap01-CX12-CX21-CX10) )
p105-act CX02-gen (gen CX20-gen • gen CCX2-gen) = Just ( CCX0 • CX02 , CX20 , up-to-assoc auto (axiom ax-CX02-CX20-CCX2=CCX0-CX02-CX20) )
p105-act CX02-gen (gen CX20-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • Swap01 , CX12 • CX21 , up-to-assoc auto (axiom ax-CX02-CX20-CCX2-Swap01=CCX0-Swap01-CX12-CX21) )
p105-act CX02-gen (gen CX20-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX12 • CCX0 • Swap01 , CX12 • CX21 • CX10 , up-to-assoc auto (axiom ax-CX02-CX20-CCX2-CX01=CX12-CCX0-Swap01-CX12-CX21-CX10) )
p105-act CX02-gen (gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX0 • Swap12 • Swap01 , Swap12 , up-to-assoc auto (axiom ax-CX02-CX20-CCX2-CX02=CCX0-Swap12-Swap01-Swap12) )
p105-act CX02-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX0 • CX02 • CCX1 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX02-CX20-CCX2-CCX1=CCX0-CX02-CCX1-CX21-CX20) )
p105-act CX02-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX0 • CCX1 • CX02 , CX20 , up-to-assoc auto (axiom ax-CX02-CX20-CCX2-CCX1-CX01=CCX0-CCX1-CX02-CX20) )
p105-act CX02-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX0 • CCX1 • CX12 • Swap01 , Swap12 • CX10 , up-to-assoc auto (axiom ax-CX02-CX20-CCX2-CCX1-CX02=CCX0-CCX1-CX12-Swap01-Swap12-CX10) )
p105-act CX02-gen (gen CX20-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX10 • Swap12 • CCX2 • Swap01 , CX12 , up-to-assoc auto (axiom ax-CX02-CX20-CX21-CCX2-CX01=CX10-Swap12-CCX2-Swap01-CX12) )
p105-act CX02-gen (gen CCX0-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • Swap01 , CX21 • CX12 , up-to-assoc auto (axiom ax-CX02-CCX0-Swap01=CX20-CCX2-Swap01-CX21-CX12) )
p105-act CX02-gen (gen CCX0-gen • gen CX01-gen) = Just ( CX02 • CCX0 • CX01 , ε , general-assoc auto )
p105-act CX02-gen (gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX2 • CCX0 • CX01 , ε , up-to-assoc auto (axiom ax-CX02-CCX0-CX01-CCX2=CCX2-CCX0-CX01) )
p105-act CX02-gen (gen CCX0-gen • gen CX02-gen) = Just ( CX20 • CCX2 , CX20 , up-to-assoc auto (axiom ax-CX02-CCX0-CX02=CX20-CCX2-CX20) )
p105-act CX02-gen (gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX20 • CCX2 • CCX1 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX02-CCX0-CX02-CCX1=CX20-CCX2-CCX1-CX21-CX20) )
p105-act CX02-gen (gen CCX0-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CCX1 • CX01 , CX20 , up-to-assoc auto (axiom ax-CX02-CCX0-CCX1-CX02=CX20-CCX2-CCX1-CX01-CX20) )
p105-act CX02-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX0 • CX21 • CCX2 • CX01 , CX21 • CCX0 , up-to-assoc auto (axiom ax-CX02-CCX0-CCX1-CCX2=CCX0-CX21-CCX2-CX01-CX21-CCX0) )
p105-act CX02-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • CCX0 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX02-CCX0-CCX1-CCX2-Swap01=CCX1-CCX2-CCX0-Swap01-CX10) )
p105-act CX02-gen (gen CCX0-gen • gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • CCX1 • CX02 , Swap12 • CX20 , up-to-assoc auto (axiom ax-CX02-CCX0-CCX1-CX12-Swap01=CX20-CCX2-CCX1-CX02-Swap12-CX20) )
p105-act CX02-gen (gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • Swap01 , CX12 , up-to-assoc auto (axiom ax-CX02-CCX0-CCX2-Swap01=CCX2-CCX0-Swap01-CX12) )
p105-act CX02-gen (gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX12 • CCX2 • CCX0 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX02-CCX0-CCX2-CX01=CX12-CCX2-CCX0-Swap01-CX12-CX10) )
p105-act CX02-gen (gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CCX0 • CX02 • CCX1 , ε , up-to-assoc auto (axiom ax-CX02-CCX0-CCX2-CCX1=CCX2-CCX0-CX02-CCX1) )
p105-act CX02-gen (gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CX20 • CX01 • CCX2 , Swap12 • CX20 , up-to-assoc auto (axiom ax-CX02-CCX0-CX12-Swap01=CX20-CX01-CCX2-Swap12-CX20) )
p105-act CX02-gen (gen CCX0-gen • gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( X2 • CCX0 • CCX2 • CCX1 , X2 • CCX0 , up-to-assoc auto (axiom ax-CX02-CCX0-CX12-CCX1-CX02=X2-CCX0-CCX2-CCX1-X2-CCX0) )
p105-act CX02-gen (gen CCX0-gen • gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • CX12 • Swap01 , CX12 , up-to-assoc auto (axiom ax-CX02-CCX0-CX12-CCX2-Swap01=CCX2-CCX0-CX12-Swap01-CX12) )
p105-act CX02-gen (gen CCX0-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CCX1 • CCX2 , CX21 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX02-CCX0-CX21-CCX2-CX01=CCX0-CCX1-CCX2-CX21-CX20-CCX0) )
p105-act CX02-gen (gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • CX02 , Swap12 , up-to-assoc auto (axiom ax-CX02-CCX0-Swap12-Swap01=CX20-CCX2-CX02-Swap12) )
p105-act CX02-gen (gen CCX0-gen • gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( X1 • CCX0 • CCX2 • CCX1 , X1 • Swap12 , up-to-assoc auto (axiom ax-CX02-CCX0-Swap12-CCX1-CCX2-Swap01=X1-CCX0-CCX2-CCX1-X1-Swap12) )
p105-act CX02-gen (gen CCX0-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CX20 • CCX2 • CX02 , CX12 • CX21 , up-to-assoc auto (axiom ax-CX02-CCX0-Swap12-CCX2-Swap01=CCX1-CX20-CCX2-CX02-CX12-CX21) )
p105-act CCX1-gen ε = Just ( CCX1 , ε , general-assoc auto )
p105-act CCX1-gen (gen Swap01-gen) = Just ( Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX1-Swap01=Swap01-CCX0) )
p105-act CCX1-gen (gen CX01-gen) = Just ( CCX1 • CX01 , ε , general-assoc auto )
p105-act CCX1-gen (gen CX01-gen • gen CCX2-gen) = Just ( CCX1 • CX01 • CCX2 , ε , general-assoc auto )
p105-act CCX1-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX21 • CCX0 • CCX2 • Swap01 , CX12 • CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX1-CX01-CCX2-CCX0-Swap01=CX21-CCX0-CCX2-Swap01-CX12-CX21-CX10-CX20-CCX0) )
p105-act CCX1-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( X1 • CCX0 • CCX1 • CCX2 , X1 • CX21 • CX20 , up-to-assoc auto (axiom ax-CCX1-CX01-CCX2-CCX0-CX01=X1-CCX0-CCX1-CCX2-X1-CX21-CX20) )
p105-act CCX1-gen (gen CX01-gen • gen CX20-gen • gen CCX2-gen) = Just ( CX02 • CCX1 • CCX0 • CX02 , CX20 , up-to-assoc auto (axiom ax-CCX1-CX01-CX20-CCX2=CX02-CCX1-CCX0-CX02-CX20) )
p105-act CCX1-gen (gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • Swap01 , CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX1-CX01-CCX0-Swap01=CCX0-Swap01-CX10-CCX0) )
p105-act CCX1-gen (gen CX01-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX0 • CX02 • CCX1 , ε , up-to-assoc auto (axiom ax-CCX1-CX01-CCX0-CX02=CCX0-CX02-CCX1) )
p105-act CCX1-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CCX2 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX1-CX01-CCX0-CCX2-Swap01=CCX0-CCX1-CCX2-Swap01-CX12-CX10) )
p105-act CCX1-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX01 • CCX0 • CCX2 • CX01 , CCX0 , up-to-assoc auto (axiom ax-CCX1-CX01-CCX0-CCX2-CX01=CX01-CCX0-CCX2-CX01-CCX0) )
p105-act CCX1-gen (gen CX02-gen) = Just ( CCX1 • CX02 , ε , general-assoc auto )
p105-act CCX1-gen (gen CX02-gen • gen CX01-gen) = Just ( CX02 • CCX1 , ε , up-to-assoc auto (axiom ax-CCX1-CX02-CX01=CX02-CCX1) )
p105-act CCX1-gen (gen CX02-gen • gen CCX1-gen) = Just ( CX02 • CX01 , ε , up-to-assoc auto (axiom ax-CCX1-CX02-CCX1=CX02-CX01) )
p105-act CCX1-gen (gen CX02-gen • gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX01 • CX20 • CCX2 , CX20 , up-to-assoc auto (axiom ax-CCX1-CX02-CCX1-CCX0-CX02=CX01-CX20-CCX2-CX20) )
p105-act CCX1-gen (gen CX02-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX02 • CCX0 • CX01 , CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX1-CX02-CX10-CCX1=CX02-CCX0-CX01-CX10-CCX0) )
p105-act CCX1-gen (gen CX02-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX02 • CX10 • CCX1 , CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX1-CX02-CCX0-CX01=CX02-CX10-CCX1-CX10-CCX0) )
p105-act CCX1-gen (gen CCX1-gen) = Just ( ε , ε , up-to-assoc auto (axiom ax-CCX1-CCX1=ε) )
p105-act CCX1-gen (gen CCX1-gen • gen CX01-gen) = Just ( CX01 , ε , up-to-assoc auto (axiom ax-CCX1-CCX1-CX01=CX01) )
p105-act CCX1-gen (gen CCX1-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX01 • CCX2 , ε , up-to-assoc auto (axiom ax-CCX1-CCX1-CX01-CCX2=CX01-CCX2) )
p105-act CCX1-gen (gen CCX1-gen • gen CX02-gen) = Just ( CX02 , ε , up-to-assoc auto (axiom ax-CCX1-CCX1-CX02=CX02) )
p105-act CCX1-gen (gen CCX1-gen • gen CCX2-gen) = Just ( CCX2 , ε , up-to-assoc auto (axiom ax-CCX1-CCX1-CCX2=CCX2) )
p105-act CCX1-gen (gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX1-CCX1-CCX2-Swap01=CCX2-Swap01) )
p105-act CCX1-gen (gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CCX1-CCX1-CCX2-CX01=CCX2-CX01) )
p105-act CCX1-gen (gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX2 • CX02 , ε , up-to-assoc auto (axiom ax-CCX1-CCX1-CCX2-CX02=CCX2-CX02) )
p105-act CCX1-gen (gen CCX1-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX1-CCX1-CCX2-CCX0-Swap01=CCX2-CCX0-Swap01) )
p105-act CCX1-gen (gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CX12 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX1-CCX1-CX12-Swap01=CX12-Swap01) )
p105-act CCX1-gen (gen CCX1-gen • gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX12 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX1-CCX1-CX12-CCX0-Swap01=CX12-CCX0-Swap01) )
p105-act CCX1-gen (gen CCX1-gen • gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CX02 , ε , up-to-assoc auto (axiom ax-CCX1-CCX1-CX20-CCX2-CX02=CX20-CCX2-CX02) )
p105-act CCX1-gen (gen CCX1-gen • gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX0 • CX01 • CCX2 , ε , up-to-assoc auto (axiom ax-CCX1-CCX1-CCX0-CX01-CCX2=CCX0-CX01-CCX2) )
p105-act CCX1-gen (gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX0 • CX02 , ε , up-to-assoc auto (axiom ax-CCX1-CCX1-CCX0-CX02=CCX0-CX02) )
p105-act CCX1-gen (gen CCX1-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX1-CCX1-CCX0-CCX2-Swap01=CCX0-CCX2-Swap01) )
p105-act CCX1-gen (gen CCX1-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CX12 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX1-CCX1-CCX0-CX12-Swap01=CCX0-CX12-Swap01) )
p105-act CCX1-gen (gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX1-CCX1-CCX0-Swap12-Swap01=CCX0-Swap12-Swap01) )
p105-act CCX1-gen (gen CCX2-gen) = Just ( CCX1 • CCX2 , ε , general-assoc auto )
p105-act CCX1-gen (gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • Swap01 , ε , general-assoc auto )
p105-act CCX1-gen (gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CCX2 • CX01 , ε , general-assoc auto )
p105-act CCX1-gen (gen CCX2-gen • gen CX02-gen) = Just ( CCX1 • CCX2 • CX02 , ε , general-assoc auto )
p105-act CCX1-gen (gen CCX2-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX12 • CCX1 • CX01 , CX12 , up-to-assoc auto (axiom ax-CCX1-CCX2-CX02-CCX1=CX12-CCX1-CX01-CX12) )
p105-act CCX1-gen (gen CCX2-gen • gen CCX1-gen) = Just ( CX12 • CCX1 , CX12 , up-to-assoc auto (axiom ax-CCX1-CCX2-CCX1=CX12-CCX1-CX12) )
p105-act CCX1-gen (gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX21 • CCX2 • CX01 , CX21 , up-to-assoc auto (axiom ax-CCX1-CCX2-CCX1-CX01=CX21-CCX2-CX01-CX21) )
p105-act CCX1-gen (gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX12 • CCX1 • CX02 , CX12 , up-to-assoc auto (axiom ax-CCX1-CCX2-CCX1-CX02=CX12-CCX1-CX02-CX12) )
p105-act CCX1-gen (gen CCX2-gen • gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • CCX1 • CCX2 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX1-CCX2-CCX1-CCX0-Swap12-Swap01=CCX0-Swap12-CCX1-CCX2-Swap01-CCX0) )
p105-act CCX1-gen (gen CCX2-gen • gen CX10-gen • gen CCX1-gen) = Just ( CCX0 • CCX1 • CCX2 , CX10 , up-to-assoc auto (axiom ax-CCX1-CCX2-CX10-CCX1=CCX0-CCX1-CCX2-CX10) )
p105-act CCX1-gen (gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • CCX0 • Swap01 , ε , general-assoc auto )
p105-act CCX1-gen (gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CCX0 • CX21 • CCX2 • CX01 , CX21 • CCX0 , up-to-assoc auto (axiom ax-CCX1-CCX2-CCX0-CX01=CCX0-CX21-CCX2-CX01-CX21-CCX0) )
p105-act CCX1-gen (gen CCX2-gen • gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( X2 • CCX0 • CCX2 • CCX1 , X2 • CX12 • CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX1-CCX2-CCX0-CX02-CCX1=X2-CCX0-CCX2-CCX1-X2-CX12-CX10-CCX0) )
p105-act CCX1-gen (gen CCX2-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • CX12 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX1-CCX2-CCX0-CX12-Swap01=CCX2-CCX0-CX12-Swap01-CCX0) )
p105-act CCX1-gen (gen X1-gen • gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX01 • CCX2 • CCX0 • CX01 , X1 • CX21 • CX20 , up-to-assoc auto (axiom ax-CCX1-X1-CCX0-CCX1-CCX2=CX01-CCX2-CCX0-CX01-X1-CX21-CX20) )
p105-act CCX1-gen (gen X1-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( X1 • CCX0 • CCX2 • CCX1 , CCX0 , up-to-assoc auto (axiom ax-CCX1-X1-CCX0-CCX2-CCX1=X1-CCX0-CCX2-CCX1-CCX0) )
p105-act CCX1-gen (gen X2-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CCX0 • CX02 • CCX1 , X2 • CX12 • CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX1-X2-CCX0-CCX2-CCX1=CCX2-CCX0-CX02-CCX1-X2-CX12-CX10-CCX0) )
p105-act CCX1-gen (gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • Swap01 , ε , general-assoc auto )
p105-act CCX1-gen (gen CX12-gen • gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX20 • CCX1 • CCX2 • CX02 , CX21 • CX12 • CX20 , up-to-assoc auto (axiom ax-CCX1-CX12-CX01-CCX0-Swap01=CX20-CCX1-CCX2-CX02-CX21-CX12-CX20) )
p105-act CCX1-gen (gen CX12-gen • gen CCX1-gen) = Just ( CCX2 • CCX1 , CX12 , up-to-assoc auto (axiom ax-CCX1-CX12-CCX1=CCX2-CCX1-CX12) )
p105-act CCX1-gen (gen CX12-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX2 • CX02 • CCX1 , CX12 , up-to-assoc auto (axiom ax-CCX1-CX12-CCX1-CX01=CCX2-CX02-CCX1-CX12) )
p105-act CCX1-gen (gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX2 • CCX1 • CX02 , CX12 , up-to-assoc auto (axiom ax-CCX1-CX12-CCX1-CX02=CCX2-CCX1-CX02-CX12) )
p105-act CCX1-gen (gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX1-CX12-CCX2-Swap01=CX12-CCX2-Swap01-CCX0) )
p105-act CCX1-gen (gen CX12-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX10 • CCX2 • CCX1 • CX01 , CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX1-CX12-CCX2-CCX0-Swap01=CX10-CCX2-CCX1-CX01-CX10-CCX0) )
p105-act CCX1-gen (gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • CCX0 • Swap01 , ε , general-assoc auto )
p105-act CCX1-gen (gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CCX1 • CX01 , CX21 , up-to-assoc auto (axiom ax-CCX1-CX21-CCX2-CX01=CCX2-CCX1-CX01-CX21) )
p105-act CCX1-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX01 • CCX2 • CCX0 • Swap01 , CX21 • CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX1-CX21-CCX0-CCX2-Swap01=CX01-CCX2-CCX0-Swap01-CX21-CX12-CX10-CX20-CCX0) )
p105-act CCX1-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX21 • CCX0 • CCX2 • CX01 , CCX0 , up-to-assoc auto (axiom ax-CCX1-CX21-CCX0-CCX2-CX01=CX21-CCX0-CCX2-CX01-CCX0) )
p105-act CCX1-gen (gen Swap12-gen • gen Swap01-gen) = Just ( Swap12 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX1-Swap12-Swap01=Swap12-CCX2-Swap01) )
p105-act CCX1-gen (gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX1 • CCX2 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX1-Swap12-CCX1-CCX2-Swap01=Swap12-CCX1-CCX2-Swap01-CCX0) )
p105-act CCX1-gen (gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX1-Swap12-CCX2-Swap01=Swap12-Swap01) )
p105-act CCX1-gen (gen CX10-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX0 • CCX1 • CX12 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX1-CX10-CX02-CCX1=CCX0-CCX1-CX12-Swap01-CX12-CX10) )
p105-act CCX1-gen (gen CX10-gen • gen CCX1-gen) = Just ( CX10 • CCX1 , CCX0 , up-to-assoc auto (axiom ax-CCX1-CX10-CCX1=CX10-CCX1-CCX0) )
p105-act CCX1-gen (gen CX10-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX0 • CCX1 • CX02 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX1-CX10-CCX1-CX02=CCX0-CCX1-CX02-CX12-CX10) )
p105-act CCX1-gen (gen CX10-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CX12 • CCX2 • Swap01 , CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX1-CX10-CCX1-CCX2-CX01=CCX0-CX12-CCX2-Swap01-CX10-CCX0) )
p105-act CCX1-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX10 • CCX2 • CCX1 , CCX0 , up-to-assoc auto (axiom ax-CCX1-CX10-CCX2-CCX1=CX10-CCX2-CCX1-CCX0) )
p105-act CCX1-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX12 • CCX2 • CCX0 • Swap01 , CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX1-CX10-CCX2-CCX1-CX01=CX12-CCX2-CCX0-Swap01-CX10-CCX0) )
p105-act CCX1-gen (gen CX10-gen • gen CX12-gen • gen CCX1-gen) = Just ( CX20 • CCX1 • CCX2 , Swap12 • CX20 , up-to-assoc auto (axiom ax-CCX1-CX10-CX12-CCX1=CX20-CCX1-CCX2-Swap12-CX20) )
p105-act CCX1-gen (gen CX10-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • CCX2 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CCX1-CX10-Swap12-CCX2-Swap01=CCX0-Swap12-CCX2-Swap01-CX21) )
p105-act CCX1-gen (gen CX20-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX20 • CCX2 • CCX1 • CX02 , CX21 , up-to-assoc auto (axiom ax-CCX1-CX20-CX01-CCX2=CX20-CCX2-CCX1-CX02-CX21) )
p105-act CCX1-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX10 • CX12 • CCX1 , Swap12 • CX10 , up-to-assoc auto (axiom ax-CCX1-CX20-CCX1-CCX2=CX10-CX12-CCX1-Swap12-CX10) )
p105-act CCX1-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX1 • CCX2 • Swap01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX1-CX20-CCX1-CCX2-Swap01=CX20-CCX1-CCX2-Swap01-CX20-CCX0) )
p105-act CCX1-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CX21 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CCX1-CX20-CCX1-CCX2-CX01=CX20-CX21-CCX2-CX01) )
p105-act CCX1-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX12 • CX01 • CCX0 • Swap01 , CX12 • CX21 • CX10 , up-to-assoc auto (axiom ax-CCX1-CX20-CCX1-CCX2-CX02=CX12-CX01-CCX0-Swap01-CX12-CX21-CX10) )
p105-act CCX1-gen (gen CX20-gen • gen CCX2-gen) = Just ( CX20 • CCX2 • CCX1 , CX21 , up-to-assoc auto (axiom ax-CCX1-CX20-CCX2=CX20-CCX2-CCX1-CX21) )
p105-act CCX1-gen (gen CX20-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • Swap01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX1-CX20-CCX2-Swap01=CX20-CCX2-Swap01-CX20-CCX0) )
p105-act CCX1-gen (gen CX20-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CCX2 • CCX1 • CX01 , CX21 , up-to-assoc auto (axiom ax-CCX1-CX20-CCX2-CX01=CX20-CCX2-CCX1-CX01-CX21) )
p105-act CCX1-gen (gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX1 • CX20 • CCX2 • CX02 , ε , general-assoc auto )
p105-act CCX1-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX20 • CCX2 , CX21 , up-to-assoc auto (axiom ax-CCX1-CX20-CCX2-CCX1=CX20-CCX2-CX21) )
p105-act CCX1-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX20 • CCX2 • CX01 , CX21 , up-to-assoc auto (axiom ax-CCX1-CX20-CCX2-CCX1-CX01=CX20-CCX2-CX01-CX21) )
p105-act CCX1-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX20 • CX01 • CCX2 , CX21 , up-to-assoc auto (axiom ax-CCX1-CX20-CCX2-CCX1-CX02=CX20-CX01-CCX2-CX21) )
p105-act CCX1-gen (gen CX20-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CCX1 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CCX1-CX20-CX21-CCX2-CX01=CX20-CCX1-CCX2-CX01) )
p105-act CCX1-gen (gen CCX0-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • Swap01 , CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX1-CCX0-Swap01=CX01-CCX0-Swap01-CX10-CCX0) )
p105-act CCX1-gen (gen CCX0-gen • gen CX01-gen) = Just ( CCX0 • CX01 , CCX0 , up-to-assoc auto (axiom ax-CCX1-CCX0-CX01=CCX0-CX01-CCX0) )
p105-act CCX1-gen (gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX1 • CCX0 • CX01 • CCX2 , ε , general-assoc auto )
p105-act CCX1-gen (gen CCX0-gen • gen CX02-gen) = Just ( CCX1 • CCX0 • CX02 , ε , general-assoc auto )
p105-act CCX1-gen (gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX01 • CCX0 • CX02 , ε , up-to-assoc auto (axiom ax-CCX1-CCX0-CX02-CCX1=CX01-CCX0-CX02) )
p105-act CCX1-gen (gen CCX0-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX10 • CCX1 • CX02 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX1-CCX0-CCX1-CX02=CX10-CCX1-CX02-CX12-CX10) )
p105-act CCX1-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX2 • CX10 • CCX1 , CX10 , up-to-assoc auto (axiom ax-CCX1-CCX0-CCX1-CCX2=CCX2-CX10-CCX1-CX10) )
p105-act CCX1-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • CCX2 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX1-CCX0-CCX1-CCX2-Swap01=CX01-CCX0-CCX2-Swap01-CX12-CX10) )
p105-act CCX1-gen (gen CCX0-gen • gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CX10 • CX02 • CCX1 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX1-CCX0-CCX1-CX12-Swap01=CX10-CX02-CCX1-CX12-CX10) )
p105-act CCX1-gen (gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CCX2 • Swap01 , ε , general-assoc auto )
p105-act CCX1-gen (gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CCX2 • CX01 , CCX0 , up-to-assoc auto (axiom ax-CCX1-CCX0-CCX2-CX01=CCX0-CCX2-CX01-CCX0) )
p105-act CCX1-gen (gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX0 • CCX2 • CCX1 , CCX0 , up-to-assoc auto (axiom ax-CCX1-CCX0-CCX2-CCX1=CCX0-CCX2-CCX1-CCX0) )
p105-act CCX1-gen (gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CX12 • Swap01 , ε , general-assoc auto )
p105-act CCX1-gen (gen CCX0-gen • gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX0 • CX12 • CCX1 • CX02 , CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX1-CCX0-CX12-CCX1-CX02=CCX0-CX12-CCX1-CX02-CX10-CCX0) )
p105-act CCX1-gen (gen CCX0-gen • gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX10 • CCX1 • CCX2 • CX01 , CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX1-CCX0-CX12-CCX2-Swap01=CX10-CCX1-CCX2-CX01-CX10-CCX0) )
p105-act CCX1-gen (gen CCX0-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CCX0 • CX01 , CX21 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX1-CCX0-CX21-CCX2-CX01=CCX2-CCX0-CX01-CX21-CX20-CCX0) )
p105-act CCX1-gen (gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • Swap12 • Swap01 , ε , general-assoc auto )
p105-act CCX1-gen (gen CCX0-gen • gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • CCX1 • CCX0 • Swap12 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX1-CCX0-Swap12-CCX1-CCX2-Swap01=CCX2-CCX1-CCX0-Swap12-Swap01-CCX0) )
p105-act CCX1-gen (gen CCX0-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX10 • Swap12 • CCX2 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CCX1-CCX0-Swap12-CCX2-Swap01=CX10-Swap12-CCX2-Swap01-CX21) )
p105-act CCX2-gen ε = Just ( CCX2 , ε , general-assoc auto )
p105-act CCX2-gen (gen Swap01-gen) = Just ( CCX2 • Swap01 , ε , general-assoc auto )
p105-act CCX2-gen (gen CX01-gen) = Just ( CCX2 • CX01 , ε , general-assoc auto )
p105-act CCX2-gen (gen CX01-gen • gen CCX2-gen) = Just ( CX02 • CX01 , ε , up-to-assoc auto (axiom ax-CCX2-CX01-CCX2=CX02-CX01) )
p105-act CCX2-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX20 • CCX1 • CCX2 • Swap01 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX2-CX01-CCX2-CCX0-Swap01=CX20-CCX1-CCX2-Swap01-Swap12-CX10-CX20-CCX0) )
p105-act CCX2-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX02 • CX10 • CCX1 , CX10 , up-to-assoc auto (axiom ax-CCX2-CX01-CCX2-CCX0-CX01=CX02-CX10-CCX1-CX10) )
p105-act CCX2-gen (gen CX01-gen • gen CX20-gen • gen CCX2-gen) = Just ( CX01 • CCX0 • CX02 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX2-CX01-CX20-CCX2=CX01-CCX0-CX02-CX20-CCX0) )
p105-act CCX2-gen (gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • CCX2 • Swap01 , CX12 , up-to-assoc auto (axiom ax-CCX2-CX01-CCX0-Swap01=CX01-CCX0-CCX2-Swap01-CX12) )
p105-act CCX2-gen (gen CX01-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX01 • CX20 • CCX2 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX2-CX01-CCX0-CX02=CX01-CX20-CCX2-CX20-CCX0) )
p105-act CCX2-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • Swap01 , CX12 , up-to-assoc auto (axiom ax-CCX2-CX01-CCX0-CCX2-Swap01=CX01-CCX0-Swap01-CX12) )
p105-act CCX2-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX10 • CCX1 • CX02 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX2-CX01-CCX0-CCX2-CX01=CX10-CCX1-CX02-CX12-CX10) )
p105-act CCX2-gen (gen CX02-gen) = Just ( CCX2 • CX02 , ε , general-assoc auto )
p105-act CCX2-gen (gen CX02-gen • gen CX01-gen) = Just ( CX01 • CCX2 , ε , up-to-assoc auto (axiom ax-CCX2-CX02-CX01=CX01-CCX2) )
p105-act CCX2-gen (gen CX02-gen • gen CCX1-gen) = Just ( CCX2 • CX02 • CCX1 , ε , general-assoc auto )
p105-act CCX2-gen (gen CX02-gen • gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( X2 • CCX0 • CCX2 • CCX1 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-CCX2-CX02-CCX1-CCX0-CX02=X2-CCX0-CCX2-CCX1-X2-CX12-CX10) )
p105-act CCX2-gen (gen CX02-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX01 • CCX2 • CCX0 • CX01 , CX10 , up-to-assoc auto (axiom ax-CCX2-CX02-CX10-CCX1=CX01-CCX2-CCX0-CX01-CX10) )
p105-act CCX2-gen (gen CX02-gen • gen CCX0-gen • gen CX01-gen) = Just ( CCX0 • CX01 • CCX2 , ε , up-to-assoc auto (axiom ax-CCX2-CX02-CCX0-CX01=CCX0-CX01-CCX2) )
p105-act CCX2-gen (gen CCX1-gen) = Just ( CCX2 • CCX1 , ε , general-assoc auto )
p105-act CCX2-gen (gen CCX1-gen • gen CX01-gen) = Just ( CCX2 • CCX1 • CX01 , ε , general-assoc auto )
p105-act CCX2-gen (gen CCX1-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX12 • CCX1 • CX01 , CX12 , up-to-assoc auto (axiom ax-CCX2-CCX1-CX01-CCX2=CX12-CCX1-CX01-CX12) )
p105-act CCX2-gen (gen CCX1-gen • gen CX02-gen) = Just ( CCX2 • CCX1 • CX02 , ε , general-assoc auto )
p105-act CCX2-gen (gen CCX1-gen • gen CCX2-gen) = Just ( CX12 • CCX1 , CX12 , up-to-assoc auto (axiom ax-CCX2-CCX1-CCX2=CX12-CCX1-CX12) )
p105-act CCX2-gen (gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX2-CCX1-CCX2-Swap01=CCX1-CCX2-Swap01-CCX0) )
p105-act CCX2-gen (gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX21 • CCX2 • CX01 , CX21 , up-to-assoc auto (axiom ax-CCX2-CCX1-CCX2-CX01=CX21-CCX2-CX01-CX21) )
p105-act CCX2-gen (gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX12 • CCX1 • CX02 , CX12 , up-to-assoc auto (axiom ax-CCX2-CCX1-CCX2-CX02=CX12-CCX1-CX02-CX12) )
p105-act CCX2-gen (gen CCX1-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CCX2 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX2-CCX1-CCX2-CCX0-Swap01=CCX0-CCX1-CCX2-Swap01-CCX0) )
p105-act CCX2-gen (gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX2-CCX1-CX12-Swap01=CCX1-CX12-Swap01-CCX0) )
p105-act CCX2-gen (gen CCX1-gen • gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX20 • CCX1 • CCX2 • CX02 , CX21 • CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX2-CCX1-CX12-CCX0-Swap01=CX20-CCX1-CCX2-CX02-CX21-CX12-CX10-CX20-CCX0) )
p105-act CCX2-gen (gen CCX1-gen • gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX0 • Swap12 • CCX1 • CCX2 • Swap01 , Swap12 • CX20 , up-to-assoc auto (axiom ax-CCX2-CCX1-CX20-CCX2-CX02=CCX0-Swap12-CCX1-CCX2-Swap01-Swap12-CX20) )
p105-act CCX2-gen (gen CCX1-gen • gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( X1 • CCX0 • CCX1 • CCX2 , X1 • CX21 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX2-CCX1-CCX0-CX01-CCX2=X1-CCX0-CCX1-CCX2-X1-CX21-CX20-CCX0) )
p105-act CCX2-gen (gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX0 • CX12 • CCX1 • CX02 , CX12 • CCX0 , up-to-assoc auto (axiom ax-CCX2-CCX1-CCX0-CX02=CCX0-CX12-CCX1-CX02-CX12-CCX0) )
p105-act CCX2-gen (gen CCX1-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CCX2 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX2-CCX1-CCX0-CCX2-Swap01=CCX1-CCX0-CCX2-Swap01-CCX0) )
p105-act CCX2-gen (gen CCX1-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CX12 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX2-CCX1-CCX0-CX12-Swap01=CCX1-CCX0-CX12-Swap01-CCX0) )
p105-act CCX2-gen (gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX2 • CCX1 • CCX0 • Swap12 • Swap01 , ε , general-assoc auto )
p105-act CCX2-gen (gen CCX2-gen) = Just ( ε , ε , up-to-assoc auto (axiom ax-CCX2-CCX2=ε) )
p105-act CCX2-gen (gen CCX2-gen • gen Swap01-gen) = Just ( Swap01 , ε , up-to-assoc auto (axiom ax-CCX2-CCX2-Swap01=Swap01) )
p105-act CCX2-gen (gen CCX2-gen • gen CX01-gen) = Just ( CX01 , ε , up-to-assoc auto (axiom ax-CCX2-CCX2-CX01=CX01) )
p105-act CCX2-gen (gen CCX2-gen • gen CX02-gen) = Just ( CX02 , ε , up-to-assoc auto (axiom ax-CCX2-CCX2-CX02=CX02) )
p105-act CCX2-gen (gen CCX2-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX02 • CCX1 , ε , up-to-assoc auto (axiom ax-CCX2-CCX2-CX02-CCX1=CX02-CCX1) )
p105-act CCX2-gen (gen CCX2-gen • gen CCX1-gen) = Just ( CCX1 , ε , up-to-assoc auto (axiom ax-CCX2-CCX2-CCX1=CCX1) )
p105-act CCX2-gen (gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX1 • CX01 , ε , up-to-assoc auto (axiom ax-CCX2-CCX2-CCX1-CX01=CCX1-CX01) )
p105-act CCX2-gen (gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-CCX2-CCX2-CCX1-CX02=CCX1-CX02) )
p105-act CCX2-gen (gen CCX2-gen • gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • Swap12 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX2-CCX2-CCX1-CCX0-Swap12-Swap01=CCX1-CCX0-Swap12-Swap01) )
p105-act CCX2-gen (gen CCX2-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX10 • CCX1 , ε , up-to-assoc auto (axiom ax-CCX2-CCX2-CX10-CCX1=CX10-CCX1) )
p105-act CCX2-gen (gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX2-CCX2-CCX0-Swap01=CCX0-Swap01) )
p105-act CCX2-gen (gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CCX0 • CX01 , ε , up-to-assoc auto (axiom ax-CCX2-CCX2-CCX0-CX01=CCX0-CX01) )
p105-act CCX2-gen (gen CCX2-gen • gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX0 • CX02 • CCX1 , ε , up-to-assoc auto (axiom ax-CCX2-CCX2-CCX0-CX02-CCX1=CCX0-CX02-CCX1) )
p105-act CCX2-gen (gen CCX2-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CX12 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX2-CCX2-CCX0-CX12-Swap01=CCX0-CX12-Swap01) )
p105-act CCX2-gen (gen X1-gen • gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX1 • CCX0 • CX01 • CCX2 , X1 • CX21 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX2-X1-CCX0-CCX1-CCX2=CCX1-CCX0-CX01-CCX2-X1-CX21-CX20-CCX0) )
p105-act CCX2-gen (gen X1-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX0 • Swap12 • CCX2 • Swap01 , X2 • CX21 • CX12 • CX20 , up-to-assoc auto (axiom ax-CCX2-X1-CCX0-CCX2-CCX1=CCX0-Swap12-CCX2-Swap01-X2-CX21-CX12-CX20) )
p105-act CCX2-gen (gen X2-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX02 • CCX1 • CCX0 • CX02 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-CCX2-X2-CCX0-CCX2-CCX1=CX02-CCX1-CCX0-CX02-X2-CX12-CX10) )
p105-act CCX2-gen (gen CX12-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX2-CX12-Swap01=CX12-CCX2-Swap01) )
p105-act CCX2-gen (gen CX12-gen • gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX10 • CCX2 • CCX1 • CX01 , ε , up-to-assoc auto (axiom ax-CCX2-CX12-CX01-CCX0-Swap01=CX10-CCX2-CCX1-CX01) )
p105-act CCX2-gen (gen CX12-gen • gen CCX1-gen) = Just ( CCX1 • CCX2 , CX12 , up-to-assoc auto (axiom ax-CCX2-CX12-CCX1=CCX1-CCX2-CX12) )
p105-act CCX2-gen (gen CX12-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX1 • CX01 • CCX2 , CX12 , up-to-assoc auto (axiom ax-CCX2-CX12-CCX1-CX01=CCX1-CX01-CCX2-CX12) )
p105-act CCX2-gen (gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CCX2 • CX02 , CX12 , up-to-assoc auto (axiom ax-CCX2-CX12-CCX1-CX02=CCX1-CCX2-CX02-CX12) )
p105-act CCX2-gen (gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX12 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX2-CX12-CCX2-Swap01=CX12-Swap01) )
p105-act CCX2-gen (gen CX12-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX12 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX2-CX12-CCX2-CCX0-Swap01=CX12-CCX0-Swap01) )
p105-act CCX2-gen (gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX2-CX12-CCX0-Swap01=CX12-CCX2-CCX0-Swap01) )
p105-act CCX2-gen (gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CCX2 • CX01 , CX21 , up-to-assoc auto (axiom ax-CCX2-CX21-CCX2-CX01=CCX1-CCX2-CX01-CX21) )
p105-act CCX2-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX21 • CCX0 • CCX2 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX2-CX21-CCX0-CCX2-Swap01=CX21-CCX0-CCX2-Swap01-CCX0) )
p105-act CCX2-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CCX1 • CCX2 • CX01 , CX21 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX2-CX21-CCX0-CCX2-CX01=CX20-CCX1-CCX2-CX01-CX21-CX20-CCX0) )
p105-act CCX2-gen (gen Swap12-gen • gen Swap01-gen) = Just ( Swap12 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX2-Swap12-Swap01=Swap12-Swap01-CCX0) )
p105-act CCX2-gen (gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX2-Swap12-CCX1-CCX2-Swap01=Swap12-CCX2-Swap01) )
p105-act CCX2-gen (gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX1 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX2-Swap12-CCX2-Swap01=Swap12-CCX1-CCX2-Swap01) )
p105-act CCX2-gen (gen CX10-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX10 • CCX1 • CCX2 • CX01 , CX12 , up-to-assoc auto (axiom ax-CCX2-CX10-CX02-CCX1=CX10-CCX1-CCX2-CX01-CX12) )
p105-act CCX2-gen (gen CX10-gen • gen CCX1-gen) = Just ( CCX2 • CX10 • CCX1 , ε , general-assoc auto )
p105-act CCX2-gen (gen CX10-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX01 • CCX0 • CCX2 • CX01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX2-CX10-CCX1-CX02=CX01-CCX0-CCX2-CX01-CX12-CX10) )
p105-act CCX2-gen (gen CX10-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX10 • CX02 • CCX1 , CX12 , up-to-assoc auto (axiom ax-CCX2-CX10-CCX1-CCX2-CX01=CX10-CX02-CCX1-CX12) )
p105-act CCX2-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX10 • CX12 • CCX1 , ε , up-to-assoc auto (axiom ax-CCX2-CX10-CCX2-CCX1=CX10-CX12-CCX1) )
p105-act CCX2-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX12 • CX01 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX2-CX10-CCX2-CCX1-CX01=CX12-CX01-CCX0-Swap01) )
p105-act CCX2-gen (gen CX10-gen • gen CX12-gen • gen CCX1-gen) = Just ( CX10 • CCX2 • CCX1 , ε , up-to-assoc auto (axiom ax-CCX2-CX10-CX12-CCX1=CX10-CCX2-CCX1) )
p105-act CCX2-gen (gen CX10-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX10 • Swap12 • CCX2 • Swap01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX2-CX10-Swap12-CCX2-Swap01=CX10-Swap12-CCX2-Swap01-CX20-CCX0) )
p105-act CCX2-gen (gen CX20-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX0 • CX12 • CCX2 • Swap01 , CX21 • CX12 • CX10 , up-to-assoc auto (axiom ax-CCX2-CX20-CX01-CCX2=CCX0-CX12-CCX2-Swap01-CX21-CX12-CX10) )
p105-act CCX2-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX20 • CCX1 • CCX2 , CCX0 , up-to-assoc auto (axiom ax-CCX2-CX20-CCX1-CCX2=CX20-CCX1-CCX2-CCX0) )
p105-act CCX2-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX01 • CCX2 • CCX0 • Swap01 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX2-CX20-CCX1-CCX2-Swap01=CX01-CCX2-CCX0-Swap01-Swap12-CX10-CX20-CCX0) )
p105-act CCX2-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX21 • CCX0 • CCX2 • CX01 , CX21 • CCX0 , up-to-assoc auto (axiom ax-CCX2-CX20-CCX1-CCX2-CX01=CX21-CCX0-CCX2-CX01-CX21-CCX0) )
p105-act CCX2-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX1 • CX12 • CCX0 • Swap01 , CX12 • CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX2-CX20-CCX1-CCX2-CX02=CCX1-CX12-CCX0-Swap01-CX12-CX21-CX10-CX20-CCX0) )
p105-act CCX2-gen (gen CX20-gen • gen CCX2-gen) = Just ( CX20 • CCX2 , CCX0 , up-to-assoc auto (axiom ax-CCX2-CX20-CCX2=CX20-CCX2-CCX0) )
p105-act CCX2-gen (gen CX20-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX2 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CCX2-CX20-CCX2-Swap01=CCX0-CCX2-Swap01-CX21) )
p105-act CCX2-gen (gen CX20-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CCX2 • CX01 , CX21 • CX20 , up-to-assoc auto (axiom ax-CCX2-CX20-CCX2-CX01=CCX0-CCX2-CX01-CX21-CX20) )
p105-act CCX2-gen (gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX0 • Swap12 • Swap01 , Swap12 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX2-CX20-CCX2-CX02=CCX0-Swap12-Swap01-Swap12-CX20-CCX0) )
p105-act CCX2-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX0 • CCX2 • CCX1 , CX21 • CX20 , up-to-assoc auto (axiom ax-CCX2-CX20-CCX2-CCX1=CCX0-CCX2-CCX1-CX21-CX20) )
p105-act CCX2-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX20 • CCX2 • CCX1 • CX01 , CCX0 , up-to-assoc auto (axiom ax-CCX2-CX20-CCX2-CCX1-CX01=CX20-CCX2-CCX1-CX01-CCX0) )
p105-act CCX2-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX0 • CCX1 • CX12 • Swap01 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX2-CX20-CCX2-CCX1-CX02=CCX0-CCX1-CX12-Swap01-Swap12-CX10-CX20-CCX0) )
p105-act CCX2-gen (gen CX20-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CX21 • CCX2 • CX01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX2-CX20-CX21-CCX2-CX01=CX20-CX21-CCX2-CX01-CX20-CCX0) )
p105-act CCX2-gen (gen CCX0-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • Swap01 , ε , general-assoc auto )
p105-act CCX2-gen (gen CCX0-gen • gen CX01-gen) = Just ( CCX2 • CCX0 • CX01 , ε , general-assoc auto )
p105-act CCX2-gen (gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX02 • CCX0 • CX01 , ε , up-to-assoc auto (axiom ax-CCX2-CCX0-CX01-CCX2=CX02-CCX0-CX01) )
p105-act CCX2-gen (gen CCX0-gen • gen CX02-gen) = Just ( CCX0 • CX02 , CCX0 , up-to-assoc auto (axiom ax-CCX2-CCX0-CX02=CCX0-CX02-CCX0) )
p105-act CCX2-gen (gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX2 • CCX0 • CX02 • CCX1 , ε , general-assoc auto )
p105-act CCX2-gen (gen CCX0-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX0 • CCX1 • CX02 , CCX0 , up-to-assoc auto (axiom ax-CCX2-CCX0-CCX1-CX02=CCX0-CCX1-CX02-CCX0) )
p105-act CCX2-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX0 • CCX1 • CCX2 , CCX0 , up-to-assoc auto (axiom ax-CCX2-CCX0-CCX1-CCX2=CCX0-CCX1-CCX2-CCX0) )
p105-act CCX2-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • CCX0 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX2-CCX0-CCX1-CCX2-Swap01=CCX1-CCX2-CCX0-Swap01-CCX0) )
p105-act CCX2-gen (gen CCX0-gen • gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • CCX1 • CX02 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX2-CCX0-CCX1-CX12-Swap01=CX20-CCX2-CCX1-CX02-Swap12-CX10-CX20-CCX0) )
p105-act CCX2-gen (gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CCX2-CCX0-CCX2-Swap01=CX20-CCX2-Swap01-CX21) )
p105-act CCX2-gen (gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CCX2 • CX01 , CX21 • CX20 , up-to-assoc auto (axiom ax-CCX2-CCX0-CCX2-CX01=CX20-CCX2-CX01-CX21-CX20) )
p105-act CCX2-gen (gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX20 • CCX2 • CCX1 , CX21 • CX20 , up-to-assoc auto (axiom ax-CCX2-CCX0-CCX2-CCX1=CX20-CCX2-CCX1-CX21-CX20) )
p105-act CCX2-gen (gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • CX12 • Swap01 , ε , general-assoc auto )
p105-act CCX2-gen (gen CCX0-gen • gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CCX0 • CX02 , CX12 • CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX2-CCX0-CX12-CCX1-CX02=CCX1-CCX0-CX02-CX12-CX10-CCX0) )
p105-act CCX2-gen (gen CCX0-gen • gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CX01 • CCX2 , CX12 • CX21 • CX10 • CX20 , up-to-assoc auto (axiom ax-CCX2-CCX0-CX12-CCX2-Swap01=CX20-CX01-CCX2-CX12-CX21-CX10-CX20) )
p105-act CCX2-gen (gen CCX0-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CX21 • CCX2 • CX01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX2-CCX0-CX21-CCX2-CX01=CCX0-CX21-CCX2-CX01-CX20-CCX0) )
p105-act CCX2-gen (gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • CX02 , Swap12 • CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX2-CCX0-Swap12-Swap01=CX20-CCX2-CX02-Swap12-CX10-CCX0) )
p105-act CCX2-gen (gen CCX0-gen • gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CX20 • CCX2 • CX02 , Swap12 • CX10 , up-to-assoc auto (axiom ax-CCX2-CCX0-Swap12-CCX1-CCX2-Swap01=CCX1-CX20-CCX2-CX02-Swap12-CX10) )
p105-act CCX2-gen (gen CCX0-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( X1 • CCX0 • CCX2 • CCX1 , X1 • CX12 • CX21 • CX10 , up-to-assoc auto (axiom ax-CCX2-CCX0-Swap12-CCX2-Swap01=X1-CCX0-CCX2-CCX1-X1-CX12-CX21-CX10) )
p105-act X1-gen ε = Just ( ε , X1 , general-assoc auto )
p105-act X1-gen (gen Swap01-gen) = Just ( Swap01 , X0 , up-to-assoc auto (axiom ax-X1-Swap01=Swap01-X0) )
p105-act X1-gen (gen CX01-gen) = Just ( CX01 , X1 , up-to-assoc auto (axiom ax-X1-CX01=CX01-X1) )
p105-act X1-gen (gen CX01-gen • gen CCX2-gen) = Just ( CCX2 • CX01 , X1 , up-to-assoc auto (axiom ax-X1-CX01-CCX2=CCX2-CX01-X1) )
p105-act X1-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • CCX2 • Swap01 , CX12 • CX21 • X0 , up-to-assoc auto (axiom ax-X1-CX01-CCX2-CCX0-Swap01=CX01-CCX0-CCX2-Swap01-CX12-CX21-X0) )
p105-act X1-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CCX2 • CX10 • CCX1 , X1 • CX21 • X0 • CX10 , up-to-assoc auto (axiom ax-X1-CX01-CCX2-CCX0-CX01=CCX2-CX10-CCX1-X1-CX21-X0-CX10) )
p105-act X1-gen (gen CX01-gen • gen CX20-gen • gen CCX2-gen) = Just ( CX20 • CX21 • CCX2 • CX01 , X1 , up-to-assoc auto (axiom ax-X1-CX01-CX20-CCX2=CX20-CX21-CCX2-CX01-X1) )
p105-act X1-gen (gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • Swap01 , CX21 • X0 , up-to-assoc auto (axiom ax-X1-CX01-CCX0-Swap01=CX01-CCX0-Swap01-CX21-X0) )
p105-act X1-gen (gen CX01-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX10 • Swap12 • CCX2 • Swap01 , X1 • X2 • CX12 • CX20 , up-to-assoc auto (axiom ax-X1-CX01-CCX0-CX02=CX10-Swap12-CCX2-Swap01-X1-X2-CX12-CX20) )
p105-act X1-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX01 • CCX2 • CCX0 • Swap01 , CX21 • CX12 • X0 , up-to-assoc auto (axiom ax-X1-CX01-CCX0-CCX2-Swap01=CX01-CCX2-CCX0-Swap01-CX21-CX12-X0) )
p105-act X1-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX10 • CCX2 • CCX1 , X2 • CX21 • CX12 • X0 • CX10 , up-to-assoc auto (axiom ax-X1-CX01-CCX0-CCX2-CX01=CX10-CCX2-CCX1-X2-CX21-CX12-X0-CX10) )
p105-act X1-gen (gen CX02-gen) = Just ( CX02 , X1 , up-to-assoc auto (axiom ax-X1-CX02=CX02-X1) )
p105-act X1-gen (gen CX02-gen • gen CX01-gen) = Just ( CX02 • CX01 , X1 , up-to-assoc auto (axiom ax-X1-CX02-CX01=CX02-CX01-X1) )
p105-act X1-gen (gen CX02-gen • gen CCX1-gen) = Just ( CX02 • CCX1 , X1 , up-to-assoc auto (axiom ax-X1-CX02-CCX1=CX02-CCX1-X1) )
p105-act X1-gen (gen CX02-gen • gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX20 • CCX1 • CCX2 • CX01 , X1 • CX20 , up-to-assoc auto (axiom ax-X1-CX02-CCX1-CCX0-CX02=CX20-CCX1-CCX2-CX01-X1-CX20) )
p105-act X1-gen (gen CX02-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX02 • CX10 • CCX1 , X1 • CX21 • X0 , up-to-assoc auto (axiom ax-X1-CX02-CX10-CCX1=CX02-CX10-CCX1-X1-CX21-X0) )
p105-act X1-gen (gen CX02-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX02 • CCX0 • CX01 , X1 • CX21 • CX20 , up-to-assoc auto (axiom ax-X1-CX02-CCX0-CX01=CX02-CCX0-CX01-X1-CX21-CX20) )
p105-act X1-gen (gen CCX1-gen) = Just ( CCX1 , X1 , up-to-assoc auto (axiom ax-X1-CCX1=CCX1-X1) )
p105-act X1-gen (gen CCX1-gen • gen CX01-gen) = Just ( CCX1 • CX01 , X1 , up-to-assoc auto (axiom ax-X1-CCX1-CX01=CCX1-CX01-X1) )
p105-act X1-gen (gen CCX1-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX1 • CCX2 • CX01 , X1 , up-to-assoc auto (axiom ax-X1-CCX1-CX01-CCX2=CCX1-CCX2-CX01-X1) )
p105-act X1-gen (gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CX02 , X1 , up-to-assoc auto (axiom ax-X1-CCX1-CX02=CCX1-CX02-X1) )
p105-act X1-gen (gen CCX1-gen • gen CCX2-gen) = Just ( CCX1 • CCX2 • CX02 , X1 , up-to-assoc auto (axiom ax-X1-CCX1-CCX2=CCX1-CCX2-CX02-X1) )
p105-act X1-gen (gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • Swap01 , CX12 • X0 , up-to-assoc auto (axiom ax-X1-CCX1-CCX2-Swap01=CCX1-CCX2-Swap01-CX12-X0) )
p105-act X1-gen (gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CX01 • CCX2 , X1 , up-to-assoc auto (axiom ax-X1-CCX1-CCX2-CX01=CCX1-CX01-CCX2-X1) )
p105-act X1-gen (gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX1 • CCX2 , X1 , up-to-assoc auto (axiom ax-X1-CCX1-CCX2-CX02=CCX1-CCX2-X1) )
p105-act X1-gen (gen CCX1-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CCX2 • Swap01 , CX12 • CX21 • X0 , up-to-assoc auto (axiom ax-X1-CCX1-CCX2-CCX0-Swap01=CCX1-CCX0-CCX2-Swap01-CX12-CX21-X0) )
p105-act X1-gen (gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • Swap01 , X2 • X0 , up-to-assoc auto (axiom ax-X1-CCX1-CX12-Swap01=CCX1-CX12-Swap01-X2-X0) )
p105-act X1-gen (gen CCX1-gen • gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CX12 • Swap01 , X2 • CX21 • X0 , up-to-assoc auto (axiom ax-X1-CCX1-CX12-CCX0-Swap01=CCX1-CCX0-CX12-Swap01-X2-CX21-X0) )
p105-act X1-gen (gen CCX1-gen • gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CCX1 , X1 • CX21 , up-to-assoc auto (axiom ax-X1-CCX1-CX20-CCX2-CX02=CX20-CCX2-CCX1-X1-CX21) )
p105-act X1-gen (gen CCX1-gen • gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX0 • CX21 • CCX2 • CX01 , X1 • CX20 • CCX0 , up-to-assoc auto (axiom ax-X1-CCX1-CCX0-CX01-CCX2=CCX0-CX21-CCX2-CX01-X1-CX20-CCX0) )
p105-act X1-gen (gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX1 • CCX0 • Swap12 • Swap01 , X2 • Swap12 • CX20 , up-to-assoc auto (axiom ax-X1-CCX1-CCX0-CX02=CCX1-CCX0-Swap12-Swap01-X2-Swap12-CX20) )
p105-act X1-gen (gen CCX1-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • CCX0 • Swap01 , CX21 • CX12 • X0 , up-to-assoc auto (axiom ax-X1-CCX1-CCX0-CCX2-Swap01=CCX1-CCX2-CCX0-Swap01-CX21-CX12-X0) )
p105-act X1-gen (gen CCX1-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • CCX0 • Swap01 , X1 • X2 • CX21 • X0 , up-to-assoc auto (axiom ax-X1-CCX1-CCX0-CX12-Swap01=CCX1-CX12-CCX0-Swap01-X1-X2-CX21-X0) )
p105-act X1-gen (gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CX02 , X1 • Swap12 • CX10 , up-to-assoc auto (axiom ax-X1-CCX1-CCX0-Swap12-Swap01=CCX1-CCX0-CX02-X1-Swap12-CX10) )
p105-act X1-gen (gen CCX2-gen) = Just ( CCX2 • CX02 , X1 , up-to-assoc auto (axiom ax-X1-CCX2=CCX2-CX02-X1) )
p105-act X1-gen (gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • Swap01 , CX12 • X0 , up-to-assoc auto (axiom ax-X1-CCX2-Swap01=CCX2-Swap01-CX12-X0) )
p105-act X1-gen (gen CCX2-gen • gen CX01-gen) = Just ( CX01 • CCX2 , X1 , up-to-assoc auto (axiom ax-X1-CCX2-CX01=CX01-CCX2-X1) )
p105-act X1-gen (gen CCX2-gen • gen CX02-gen) = Just ( CCX2 , X1 , up-to-assoc auto (axiom ax-X1-CCX2-CX02=CCX2-X1) )
p105-act X1-gen (gen CCX2-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX2 • CCX1 , X1 , up-to-assoc auto (axiom ax-X1-CCX2-CX02-CCX1=CCX2-CCX1-X1) )
p105-act X1-gen (gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CX02 • CCX1 , X1 , up-to-assoc auto (axiom ax-X1-CCX2-CCX1=CCX2-CX02-CCX1-X1) )
p105-act X1-gen (gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX2 • CCX1 • CX02 , X1 , up-to-assoc auto (axiom ax-X1-CCX2-CCX1-CX01=CCX2-CCX1-CX02-X1) )
p105-act X1-gen (gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX2 • CCX1 • CX01 , X1 , up-to-assoc auto (axiom ax-X1-CCX2-CCX1-CX02=CCX2-CCX1-CX01-X1) )
p105-act X1-gen (gen CCX2-gen • gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( X2 • CCX0 • CCX2 • CCX1 , X1 • CX21 • CX12 • X0 • CX10 • CX20 , up-to-assoc auto (axiom ax-X1-CCX2-CCX1-CCX0-Swap12-Swap01=X2-CCX0-CCX2-CCX1-X1-CX21-CX12-X0-CX10-CX20) )
p105-act X1-gen (gen CCX2-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX01 • CCX2 • CCX0 • CX01 , X1 • CX21 • CX10 • CX20 , up-to-assoc auto (axiom ax-X1-CCX2-CX10-CCX1=CX01-CCX2-CCX0-CX01-X1-CX21-CX10-CX20) )
p105-act X1-gen (gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CCX2 • Swap01 , CX12 • CX21 • X0 , up-to-assoc auto (axiom ax-X1-CCX2-CCX0-Swap01=CCX0-CCX2-Swap01-CX12-CX21-X0) )
p105-act X1-gen (gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CCX0 • CX01 • CCX2 , X1 • CX21 • CX20 , up-to-assoc auto (axiom ax-X1-CCX2-CCX0-CX01=CCX0-CX01-CCX2-X1-CX21-CX20) )
p105-act X1-gen (gen CCX2-gen • gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX0 • Swap12 • CCX1 • CCX2 • Swap01 , X2 • Swap12 , up-to-assoc auto (axiom ax-X1-CCX2-CCX0-CX02-CCX1=CCX0-Swap12-CCX1-CCX2-Swap01-X2-Swap12) )
p105-act X1-gen (gen CCX2-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CCX2 • CX01 , X1 • CX12 • CX21 • CX10 • CX20 , up-to-assoc auto (axiom ax-X1-CCX2-CCX0-CX12-Swap01=CCX0-CCX2-CX01-X1-CX12-CX21-CX10-CX20) )
p105-act X1-gen (gen X1-gen • gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX0 • CCX1 • CCX2 , ε , up-to-assoc auto (axiom ax-X1-X1-CCX0-CCX1-CCX2=CCX0-CCX1-CCX2) )
p105-act X1-gen (gen X1-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX0 • CCX2 • CCX1 , ε , up-to-assoc auto (axiom ax-X1-X1-CCX0-CCX2-CCX1=CCX0-CCX2-CCX1) )
p105-act X1-gen (gen X2-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CCX1 • CCX0 • Swap12 • Swap01 , X1 • X2 • CX12 • CX21 • X0 • CX20 , up-to-assoc auto (axiom ax-X1-X2-CCX0-CCX2-CCX1=CCX2-CCX1-CCX0-Swap12-Swap01-X1-X2-CX12-CX21-X0-CX20) )
p105-act X1-gen (gen CX12-gen • gen Swap01-gen) = Just ( CX12 • Swap01 , X2 • X0 , up-to-assoc auto (axiom ax-X1-CX12-Swap01=CX12-Swap01-X2-X0) )
p105-act X1-gen (gen CX12-gen • gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX10 • CX12 • CCX1 , X2 • CX21 • X0 , up-to-assoc auto (axiom ax-X1-CX12-CX01-CCX0-Swap01=CX10-CX12-CCX1-X2-CX21-X0) )
p105-act X1-gen (gen CX12-gen • gen CCX1-gen) = Just ( CX12 • CCX1 • CX01 , X1 • X2 , up-to-assoc auto (axiom ax-X1-CX12-CCX1=CX12-CCX1-CX01-X1-X2) )
p105-act X1-gen (gen CX12-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX12 • CCX1 , X1 • X2 , up-to-assoc auto (axiom ax-X1-CX12-CCX1-CX01=CX12-CCX1-X1-X2) )
p105-act X1-gen (gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX21 • CCX2 • CX01 , X1 • CX21 • CX12 , up-to-assoc auto (axiom ax-X1-CX12-CCX1-CX02=CX21-CCX2-CX01-X1-CX21-CX12) )
p105-act X1-gen (gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • Swap01 , X2 • CX12 • X0 , up-to-assoc auto (axiom ax-X1-CX12-CCX2-Swap01=CX12-CCX2-Swap01-X2-CX12-X0) )
p105-act X1-gen (gen CX12-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CX12 • CCX2 • Swap01 , X2 • CX12 • CX21 • X0 , up-to-assoc auto (axiom ax-X1-CX12-CCX2-CCX0-Swap01=CCX0-CX12-CCX2-Swap01-X2-CX12-CX21-X0) )
p105-act X1-gen (gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CX12 • Swap01 , X2 • CX21 • X0 , up-to-assoc auto (axiom ax-X1-CX12-CCX0-Swap01=CCX0-CX12-Swap01-X2-CX21-X0) )
p105-act X1-gen (gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX12 • CCX1 • CX02 , X1 • X2 • CX12 • CX21 , up-to-assoc auto (axiom ax-X1-CX21-CCX2-CX01=CX12-CCX1-CX02-X1-X2-CX12-CX21) )
p105-act X1-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CCX2 • Swap01 , CX12 • X0 • CX20 • CCX0 , up-to-assoc auto (axiom ax-X1-CX21-CCX0-CCX2-Swap01=CCX0-CCX1-CCX2-Swap01-CX12-X0-CX20-CCX0) )
p105-act X1-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CX12 • CCX1 • CX02 , X1 • X2 • CX12 • CX21 , up-to-assoc auto (axiom ax-X1-CX21-CCX0-CCX2-CX01=CCX0-CX12-CCX1-CX02-X1-X2-CX12-CX21) )
p105-act X1-gen (gen Swap12-gen • gen Swap01-gen) = Just ( Swap12 • Swap01 , X2 , up-to-assoc auto (axiom ax-X1-Swap12-Swap01=Swap12-Swap01-X2) )
p105-act X1-gen (gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX1 • CCX2 • Swap01 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-X1-Swap12-CCX1-CCX2-Swap01=Swap12-CCX1-CCX2-Swap01-X2-CX12-CX10) )
p105-act X1-gen (gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX2 • Swap01 , X2 , up-to-assoc auto (axiom ax-X1-Swap12-CCX2-Swap01=Swap12-CCX2-Swap01-X2) )
p105-act X1-gen (gen CX10-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX10 • CCX1 • CX02 , X1 • X2 • CX21 • X0 , up-to-assoc auto (axiom ax-X1-CX10-CX02-CCX1=CX10-CCX1-CX02-X1-X2-CX21-X0) )
p105-act X1-gen (gen CX10-gen • gen CCX1-gen) = Just ( CX10 • CCX1 , X1 • CX21 • X0 , up-to-assoc auto (axiom ax-X1-CX10-CCX1=CX10-CCX1-X1-CX21-X0) )
p105-act X1-gen (gen CX10-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX10 • CX02 • CCX1 , X2 • CX21 • X0 , up-to-assoc auto (axiom ax-X1-CX10-CCX1-CX02=CX10-CX02-CCX1-X2-CX21-X0) )
p105-act X1-gen (gen CX10-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX10 • CCX2 • CCX1 • CX01 , X1 • X2 • CX21 • CX12 • X0 , up-to-assoc auto (axiom ax-X1-CX10-CCX1-CCX2-CX01=CX10-CCX2-CCX1-CX01-X1-X2-CX21-CX12-X0) )
p105-act X1-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX01 • CCX0 • CCX2 • CX01 , X1 • CX12 • CX21 • CX10 • CX20 , up-to-assoc auto (axiom ax-X1-CX10-CCX2-CCX1=CX01-CCX0-CCX2-CX01-X1-CX12-CX21-CX10-CX20) )
p105-act X1-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX10 • CCX1 • CCX2 • CX01 , X2 • CX12 • CX21 • X0 , up-to-assoc auto (axiom ax-X1-CX10-CCX2-CCX1-CX01=CX10-CCX1-CCX2-CX01-X2-CX12-CX21-X0) )
p105-act X1-gen (gen CX10-gen • gen CX12-gen • gen CCX1-gen) = Just ( CX12 • CX01 • CCX0 • Swap01 , X1 • X2 • CX21 • X0 , up-to-assoc auto (axiom ax-X1-CX10-CX12-CCX1=CX12-CX01-CCX0-Swap01-X1-X2-CX21-X0) )
p105-act X1-gen (gen CX10-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • CX02 , X1 • CX12 • CX10 • CX20 , up-to-assoc auto (axiom ax-X1-CX10-Swap12-CCX2-Swap01=CX01-CCX0-CX02-X1-CX12-CX10-CX20) )
p105-act X1-gen (gen CX20-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX20 • CCX2 • CX01 , X1 , up-to-assoc auto (axiom ax-X1-CX20-CX01-CCX2=CX20-CCX2-CX01-X1) )
p105-act X1-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX20 • CCX1 • CCX2 • CX02 , X1 , up-to-assoc auto (axiom ax-X1-CX20-CCX1-CCX2=CX20-CCX1-CCX2-CX02-X1) )
p105-act X1-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX1 • CCX2 • Swap01 , CX12 • X0 , up-to-assoc auto (axiom ax-X1-CX20-CCX1-CCX2-Swap01=CX20-CCX1-CCX2-Swap01-CX12-X0) )
p105-act X1-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX02 • CCX1 • CCX0 • CX02 , X1 • CX20 , up-to-assoc auto (axiom ax-X1-CX20-CCX1-CCX2-CX01=CX02-CCX1-CCX0-CX02-X1-CX20) )
p105-act X1-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX20 • CCX1 • CCX2 , X1 , up-to-assoc auto (axiom ax-X1-CX20-CCX1-CCX2-CX02=CX20-CCX1-CCX2-X1) )
p105-act X1-gen (gen CX20-gen • gen CCX2-gen) = Just ( CX20 • CCX2 • CX02 , X1 , up-to-assoc auto (axiom ax-X1-CX20-CCX2=CX20-CCX2-CX02-X1) )
p105-act X1-gen (gen CX20-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • Swap01 , CX12 • X0 , up-to-assoc auto (axiom ax-X1-CX20-CCX2-Swap01=CX20-CCX2-Swap01-CX12-X0) )
p105-act X1-gen (gen CX20-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CX01 • CCX2 , X1 , up-to-assoc auto (axiom ax-X1-CX20-CCX2-CX01=CX20-CX01-CCX2-X1) )
p105-act X1-gen (gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX20 • CCX2 , X1 , up-to-assoc auto (axiom ax-X1-CX20-CCX2-CX02=CX20-CCX2-X1) )
p105-act X1-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX1 • CX20 • CCX2 • CX02 , X1 • CX21 , up-to-assoc auto (axiom ax-X1-CX20-CCX2-CCX1=CCX1-CX20-CCX2-CX02-X1-CX21) )
p105-act X1-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX20 • CCX2 • CCX1 • CX02 , X1 , up-to-assoc auto (axiom ax-X1-CX20-CCX2-CCX1-CX01=CX20-CCX2-CCX1-CX02-X1) )
p105-act X1-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CCX1 • CX01 , X1 , up-to-assoc auto (axiom ax-X1-CX20-CCX2-CCX1-CX02=CX20-CCX2-CCX1-CX01-X1) )
p105-act X1-gen (gen CX20-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX01 • CX20 • CCX2 , X1 , up-to-assoc auto (axiom ax-X1-CX20-CX21-CCX2-CX01=CX01-CX20-CCX2-X1) )
p105-act X1-gen (gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • Swap01 , CX21 • X0 , up-to-assoc auto (axiom ax-X1-CCX0-Swap01=CCX0-Swap01-CX21-X0) )
p105-act X1-gen (gen CCX0-gen • gen CX01-gen) = Just ( CCX0 • CX01 , X1 • CX21 • CX20 , up-to-assoc auto (axiom ax-X1-CCX0-CX01=CCX0-CX01-X1-CX21-CX20) )
p105-act X1-gen (gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX2 • CCX0 • CX01 , X1 • CX21 • CX20 , up-to-assoc auto (axiom ax-X1-CCX0-CX01-CCX2=CCX2-CCX0-CX01-X1-CX21-CX20) )
p105-act X1-gen (gen CCX0-gen • gen CX02-gen) = Just ( CCX0 • Swap12 • Swap01 , X2 • Swap12 • CX20 , up-to-assoc auto (axiom ax-X1-CCX0-CX02=CCX0-Swap12-Swap01-X2-Swap12-CX20) )
p105-act X1-gen (gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX0 • Swap12 • CCX2 • Swap01 , X2 • CX21 • CX12 • CX20 , up-to-assoc auto (axiom ax-X1-CCX0-CX02-CCX1=CCX0-Swap12-CCX2-Swap01-X2-CX21-CX12-CX20) )
p105-act X1-gen (gen CCX0-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX0 • CCX1 • CX12 • Swap01 , X2 • Swap12 • X0 • CX10 • CX20 , up-to-assoc auto (axiom ax-X1-CCX0-CCX1-CX02=CCX0-CCX1-CX12-Swap01-X2-Swap12-X0-CX10-CX20) )
p105-act X1-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( X1 • CCX0 • CCX1 • CCX2 , ε , general-assoc auto )
p105-act X1-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX21 • CCX0 • CCX2 • Swap01 , CX12 • X0 • CX20 • CCX0 , up-to-assoc auto (axiom ax-X1-CCX0-CCX1-CCX2-Swap01=CX21-CCX0-CCX2-Swap01-CX12-X0-CX20-CCX0) )
p105-act X1-gen (gen CCX0-gen • gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CX02 , X1 • Swap12 • CX10 • CX20 , up-to-assoc auto (axiom ax-X1-CCX0-CCX1-CX12-Swap01=CCX0-CCX1-CX02-X1-Swap12-CX10-CX20) )
p105-act X1-gen (gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • Swap01 , CX21 • CX12 • X0 , up-to-assoc auto (axiom ax-X1-CCX0-CCX2-Swap01=CCX2-CCX0-Swap01-CX21-CX12-X0) )
p105-act X1-gen (gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CCX0 • CX12 • Swap01 , X2 • CX21 • CX12 • X0 • CX10 , up-to-assoc auto (axiom ax-X1-CCX0-CCX2-CX01=CCX2-CCX0-CX12-Swap01-X2-CX21-CX12-X0-CX10) )
p105-act X1-gen (gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( X1 • CCX0 • CCX2 • CCX1 , ε , general-assoc auto )
p105-act X1-gen (gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CX12 • CCX0 • Swap01 , X1 • X2 • CX21 • X0 , up-to-assoc auto (axiom ax-X1-CCX0-CX12-Swap01=CX12-CCX0-Swap01-X1-X2-CX21-X0) )
p105-act X1-gen (gen CCX0-gen • gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX21 • CCX0 • CCX2 • CX01 , X1 • CX21 • CX12 , up-to-assoc auto (axiom ax-X1-CCX0-CX12-CCX1-CX02=CX21-CCX0-CCX2-CX01-X1-CX21-CX12) )
p105-act X1-gen (gen CCX0-gen • gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • CCX0 • Swap01 , X1 • X2 • CX21 • CX12 • X0 , up-to-assoc auto (axiom ax-X1-CCX0-CX12-CCX2-Swap01=CX12-CCX2-CCX0-Swap01-X1-X2-CX21-CX12-X0) )
p105-act X1-gen (gen CCX0-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CCX0 • CX01 • CCX2 , X1 • CCX0 , up-to-assoc auto (axiom ax-X1-CCX0-CX21-CCX2-CX01=CCX1-CCX0-CX01-CCX2-X1-CCX0) )
p105-act X1-gen (gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX0 • CX02 , X1 • Swap12 • CX10 , up-to-assoc auto (axiom ax-X1-CCX0-Swap12-Swap01=CCX0-CX02-X1-Swap12-CX10) )
p105-act X1-gen (gen CCX0-gen • gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • CX02 • CCX1 , X1 • Swap12 , up-to-assoc auto (axiom ax-X1-CCX0-Swap12-CCX1-CCX2-Swap01=CCX2-CCX0-CX02-CCX1-X1-Swap12) )
p105-act X1-gen (gen CCX0-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CX02 • CCX1 , X1 • CX12 • CX21 • CX10 , up-to-assoc auto (axiom ax-X1-CCX0-Swap12-CCX2-Swap01=CCX0-CX02-CCX1-X1-CX12-CX21-CX10) )
p105-act X2-gen ε = Just ( ε , X2 , general-assoc auto )
p105-act X2-gen (gen Swap01-gen) = Just ( Swap01 , X2 , up-to-assoc auto (axiom ax-X2-Swap01=Swap01-X2) )
p105-act X2-gen (gen CX01-gen) = Just ( CX01 , X2 , up-to-assoc auto (axiom ax-X2-CX01=CX01-X2) )
p105-act X2-gen (gen CX01-gen • gen CCX2-gen) = Just ( CX01 • CCX2 , X2 , up-to-assoc auto (axiom ax-X2-CX01-CCX2=CX01-CCX2-X2) )
p105-act X2-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX01 • CCX2 • CCX0 • CX01 , X2 • CX10 , up-to-assoc auto (axiom ax-X2-CX01-CCX2-CCX0-Swap01=CX01-CCX2-CCX0-CX01-X2-CX10) )
p105-act X2-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX01 • CCX2 • CCX0 • Swap01 , X2 • CX10 , up-to-assoc auto (axiom ax-X2-CX01-CCX2-CCX0-CX01=CX01-CCX2-CCX0-Swap01-X2-CX10) )
p105-act X2-gen (gen CX01-gen • gen CX20-gen • gen CCX2-gen) = Just ( CX01 • CX20 • CCX2 , X2 • CX12 • X0 , up-to-assoc auto (axiom ax-X2-CX01-CX20-CCX2=CX01-CX20-CCX2-X2-CX12-X0) )
p105-act X2-gen (gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX10 • CCX1 , X2 , up-to-assoc auto (axiom ax-X2-CX01-CCX0-Swap01=CX10-CCX1-X2) )
p105-act X2-gen (gen CX01-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX01 • CCX0 • CX02 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-X2-CX01-CCX0-CX02=CX01-CCX0-CX02-X2-CX12-CX10) )
p105-act X2-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • CX10 • CCX1 , X2 • CX12 , up-to-assoc auto (axiom ax-X2-CX01-CCX0-CCX2-Swap01=CCX2-CX10-CCX1-X2-CX12) )
p105-act X2-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX10 • CCX1 • CCX2 • CX01 , X2 • CX10 , up-to-assoc auto (axiom ax-X2-CX01-CCX0-CCX2-CX01=CX10-CCX1-CCX2-CX01-X2-CX10) )
p105-act X2-gen (gen CX02-gen) = Just ( CX02 , X2 , up-to-assoc auto (axiom ax-X2-CX02=CX02-X2) )
p105-act X2-gen (gen CX02-gen • gen CX01-gen) = Just ( CX02 • CX01 , X2 , up-to-assoc auto (axiom ax-X2-CX02-CX01=CX02-CX01-X2) )
p105-act X2-gen (gen CX02-gen • gen CCX1-gen) = Just ( CCX1 • CX02 , X2 , up-to-assoc auto (axiom ax-X2-CX02-CCX1=CCX1-CX02-X2) )
p105-act X2-gen (gen CX02-gen • gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CCX1 , X1 • X2 • CX21 • CX12 • X0 • CX20 , up-to-assoc auto (axiom ax-X2-CX02-CCX1-CCX0-CX02=CX20-CCX2-CCX1-X1-X2-CX21-CX12-X0-CX20) )
p105-act X2-gen (gen CX02-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX20 • CCX1 • CCX2 • Swap01 , X1 • Swap12 • X0 • CX20 • CCX0 , up-to-assoc auto (axiom ax-X2-CX02-CX10-CCX1=CX20-CCX1-CCX2-Swap01-X1-Swap12-X0-CX20-CCX0) )
p105-act X2-gen (gen CX02-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX20 • CCX2 • Swap01 , X1 • X2 • CX21 • CX12 • CX10 , up-to-assoc auto (axiom ax-X2-CX02-CCX0-CX01=CX20-CCX2-Swap01-X1-X2-CX21-CX12-CX10) )
p105-act X2-gen (gen CCX1-gen) = Just ( CCX1 • CX01 , X2 , up-to-assoc auto (axiom ax-X2-CCX1=CCX1-CX01-X2) )
p105-act X2-gen (gen CCX1-gen • gen CX01-gen) = Just ( CCX1 , X2 , up-to-assoc auto (axiom ax-X2-CCX1-CX01=CCX1-X2) )
p105-act X2-gen (gen CCX1-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX1 • CCX2 , X2 , up-to-assoc auto (axiom ax-X2-CCX1-CX01-CCX2=CCX1-CCX2-X2) )
p105-act X2-gen (gen CCX1-gen • gen CX02-gen) = Just ( CX02 • CCX1 , X2 , up-to-assoc auto (axiom ax-X2-CCX1-CX02=CX02-CCX1-X2) )
p105-act X2-gen (gen CCX1-gen • gen CCX2-gen) = Just ( CCX1 • CX01 • CCX2 , X2 , up-to-assoc auto (axiom ax-X2-CCX1-CCX2=CCX1-CX01-CCX2-X2) )
p105-act X2-gen (gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • Swap01 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-X2-CCX1-CCX2-Swap01=CCX1-CCX2-Swap01-X2-CX12-CX10) )
p105-act X2-gen (gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CCX2 • CX02 , X2 , up-to-assoc auto (axiom ax-X2-CCX1-CCX2-CX01=CCX1-CCX2-CX02-X2) )
p105-act X2-gen (gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX1 • CCX2 • CX01 , X2 , up-to-assoc auto (axiom ax-X2-CCX1-CCX2-CX02=CCX1-CCX2-CX01-X2) )
p105-act X2-gen (gen CCX1-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( X1 • CCX0 • CCX1 • CCX2 , X2 • CX21 • X0 • CX10 • CX20 , up-to-assoc auto (axiom ax-X2-CCX1-CCX2-CCX0-Swap01=X1-CCX0-CCX1-CCX2-X2-CX21-X0-CX10-CX20) )
p105-act X2-gen (gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • Swap01 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-X2-CCX1-CX12-Swap01=CCX1-CX12-Swap01-X2-CX12-CX10) )
p105-act X2-gen (gen CCX1-gen • gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CX12 • Swap01 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-X2-CCX1-CX12-CCX0-Swap01=CCX0-CCX1-CX12-Swap01-X2-CX12-CX10) )
p105-act X2-gen (gen CCX1-gen • gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX20 • CCX1 • CCX2 • CX01 , CX12 • X0 , up-to-assoc auto (axiom ax-X2-CCX1-CX20-CCX2-CX02=CX20-CCX1-CCX2-CX01-CX12-X0) )
p105-act X2-gen (gen CCX1-gen • gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX0 • CCX1 • CCX2 • Swap01 , X2 , up-to-assoc auto (axiom ax-X2-CCX1-CCX0-CX01-CCX2=CCX0-CCX1-CCX2-Swap01-X2) )
p105-act X2-gen (gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX0 • CX02 • CCX1 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-X2-CCX1-CCX0-CX02=CCX0-CX02-CCX1-X2-CX12-CX10) )
p105-act X2-gen (gen CCX1-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CCX2 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-X2-CCX1-CCX0-CCX2-Swap01=CCX0-CCX1-CCX2-X2-CX12-CX10) )
p105-act X2-gen (gen CCX1-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CX02 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-X2-CCX1-CCX0-CX12-Swap01=CCX0-CCX1-CX02-X2-CX12-CX10) )
p105-act X2-gen (gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • CCX2 • Swap01 , CX12 • CX21 • X0 , up-to-assoc auto (axiom ax-X2-CCX1-CCX0-Swap12-Swap01=CCX0-Swap12-CCX2-Swap01-CX12-CX21-X0) )
p105-act X2-gen (gen CCX2-gen) = Just ( CCX2 , X2 , up-to-assoc auto (axiom ax-X2-CCX2=CCX2-X2) )
p105-act X2-gen (gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • Swap01 , X2 , up-to-assoc auto (axiom ax-X2-CCX2-Swap01=CCX2-Swap01-X2) )
p105-act X2-gen (gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CX01 , X2 , up-to-assoc auto (axiom ax-X2-CCX2-CX01=CCX2-CX01-X2) )
p105-act X2-gen (gen CCX2-gen • gen CX02-gen) = Just ( CCX2 • CX02 , X2 , up-to-assoc auto (axiom ax-X2-CCX2-CX02=CCX2-CX02-X2) )
p105-act X2-gen (gen CCX2-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX2 • CCX1 • CX02 , X2 , up-to-assoc auto (axiom ax-X2-CCX2-CX02-CCX1=CCX2-CCX1-CX02-X2) )
p105-act X2-gen (gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CCX1 • CX01 , X2 , up-to-assoc auto (axiom ax-X2-CCX2-CCX1=CCX2-CCX1-CX01-X2) )
p105-act X2-gen (gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX2 • CCX1 , X2 , up-to-assoc auto (axiom ax-X2-CCX2-CCX1-CX01=CCX2-CCX1-X2) )
p105-act X2-gen (gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX2 • CX02 • CCX1 , X2 , up-to-assoc auto (axiom ax-X2-CCX2-CCX1-CX02=CCX2-CX02-CCX1-X2) )
p105-act X2-gen (gen CCX2-gen • gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( X1 • CCX0 • CCX2 • CCX1 , X1 • CX21 • CX12 • X0 • CX10 • CX20 , up-to-assoc auto (axiom ax-X2-CCX2-CCX1-CCX0-Swap12-Swap01=X1-CCX0-CCX2-CCX1-X1-CX21-CX12-X0-CX10-CX20) )
p105-act X2-gen (gen CCX2-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX01 • CCX0 • CCX2 • Swap01 , X2 • CX12 , up-to-assoc auto (axiom ax-X2-CCX2-CX10-CCX1=CX01-CCX0-CCX2-Swap01-X2-CX12) )
p105-act X2-gen (gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • CX01 , X2 • CX10 , up-to-assoc auto (axiom ax-X2-CCX2-CCX0-Swap01=CCX2-CCX0-CX01-X2-CX10) )
p105-act X2-gen (gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CCX2 • CCX0 • Swap01 , X2 • CX10 , up-to-assoc auto (axiom ax-X2-CCX2-CCX0-CX01=CCX2-CCX0-Swap01-X2-CX10) )
p105-act X2-gen (gen CCX2-gen • gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX0 • CX12 • CCX1 • CX02 , X2 • CX10 • CCX0 , up-to-assoc auto (axiom ax-X2-CCX2-CCX0-CX02-CCX1=CCX0-CX12-CCX1-CX02-X2-CX10-CCX0) )
p105-act X2-gen (gen CCX2-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • CCX0 • Swap01 , X2 , up-to-assoc auto (axiom ax-X2-CCX2-CCX0-CX12-Swap01=CX12-CCX2-CCX0-Swap01-X2) )
p105-act X2-gen (gen X1-gen • gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX1 • CCX2 • CCX0 • Swap01 , X1 • X2 • CX21 • X0 • CX10 , up-to-assoc auto (axiom ax-X2-X1-CCX0-CCX1-CCX2=CCX1-CCX2-CCX0-Swap01-X1-X2-CX21-X0-CX10) )
p105-act X2-gen (gen X1-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CCX1 • CCX0 • Swap12 • Swap01 , X1 • X2 • CX12 • CX21 • X0 • CX20 , up-to-assoc auto (axiom ax-X2-X1-CCX0-CCX2-CCX1=CCX2-CCX1-CCX0-Swap12-Swap01-X1-X2-CX12-CX21-X0-CX20) )
p105-act X2-gen (gen X2-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX0 • CCX2 • CCX1 , ε , up-to-assoc auto (axiom ax-X2-X2-CCX0-CCX2-CCX1=CCX0-CCX2-CCX1) )
p105-act X2-gen (gen CX12-gen • gen Swap01-gen) = Just ( CX12 • Swap01 , X2 , up-to-assoc auto (axiom ax-X2-CX12-Swap01=CX12-Swap01-X2) )
p105-act X2-gen (gen CX12-gen • gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX10 • CX12 • CCX1 , X2 , up-to-assoc auto (axiom ax-X2-CX12-CX01-CCX0-Swap01=CX10-CX12-CCX1-X2) )
p105-act X2-gen (gen CX12-gen • gen CCX1-gen) = Just ( CX12 • CCX1 • CX01 , X2 , up-to-assoc auto (axiom ax-X2-CX12-CCX1=CX12-CCX1-CX01-X2) )
p105-act X2-gen (gen CX12-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX12 • CCX1 , X2 , up-to-assoc auto (axiom ax-X2-CX12-CCX1-CX01=CX12-CCX1-X2) )
p105-act X2-gen (gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX21 • CCX2 • CX01 , X1 • X2 • CX21 • CX12 , up-to-assoc auto (axiom ax-X2-CX12-CCX1-CX02=CX21-CCX2-CX01-X1-X2-CX21-CX12) )
p105-act X2-gen (gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • Swap01 , X2 , up-to-assoc auto (axiom ax-X2-CX12-CCX2-Swap01=CX12-CCX2-Swap01-X2) )
p105-act X2-gen (gen CX12-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • CX12 • Swap01 , X2 , up-to-assoc auto (axiom ax-X2-CX12-CCX2-CCX0-Swap01=CCX2-CCX0-CX12-Swap01-X2) )
p105-act X2-gen (gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CX12 • Swap01 , X2 , up-to-assoc auto (axiom ax-X2-CX12-CCX0-Swap01=CCX0-CX12-Swap01-X2) )
p105-act X2-gen (gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX12 • CCX1 • CX02 , X2 • CX12 • CX21 , up-to-assoc auto (axiom ax-X2-CX21-CCX2-CX01=CX12-CCX1-CX02-X2-CX12-CX21) )
p105-act X2-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CX21 • CCX2 • CX01 , X1 • X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-X2-CX21-CCX0-CCX2-Swap01=CCX0-CX21-CCX2-CX01-X1-X2-CX12-CX10) )
p105-act X2-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • Swap12 • CCX1 • CCX2 • Swap01 , CX12 • X0 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-X2-CX21-CCX0-CCX2-CX01=CCX0-Swap12-CCX1-CCX2-Swap01-CX12-X0-CX10-CX20-CCX0) )
p105-act X2-gen (gen Swap12-gen • gen Swap01-gen) = Just ( Swap12 • Swap01 , X0 , up-to-assoc auto (axiom ax-X2-Swap12-Swap01=Swap12-Swap01-X0) )
p105-act X2-gen (gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX1 • CCX2 • Swap01 , CX12 • X0 , up-to-assoc auto (axiom ax-X2-Swap12-CCX1-CCX2-Swap01=Swap12-CCX1-CCX2-Swap01-CX12-X0) )
p105-act X2-gen (gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX2 • Swap01 , CX12 • X0 , up-to-assoc auto (axiom ax-X2-Swap12-CCX2-Swap01=Swap12-CCX2-Swap01-CX12-X0) )
p105-act X2-gen (gen CX10-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX10 • CCX1 • CX02 , X2 , up-to-assoc auto (axiom ax-X2-CX10-CX02-CCX1=CX10-CCX1-CX02-X2) )
p105-act X2-gen (gen CX10-gen • gen CCX1-gen) = Just ( CX01 • CCX0 • Swap01 , X2 , up-to-assoc auto (axiom ax-X2-CX10-CCX1=CX01-CCX0-Swap01-X2) )
p105-act X2-gen (gen CX10-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX10 • CX02 • CCX1 , X2 , up-to-assoc auto (axiom ax-X2-CX10-CCX1-CX02=CX10-CX02-CCX1-X2) )
p105-act X2-gen (gen CX10-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX01 • CCX0 • CCX2 • CX01 , X2 • CX10 , up-to-assoc auto (axiom ax-X2-CX10-CCX1-CCX2-CX01=CX01-CCX0-CCX2-CX01-X2-CX10) )
p105-act X2-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX10 • CCX2 • CCX1 • CX01 , X2 , up-to-assoc auto (axiom ax-X2-CX10-CCX2-CCX1=CX10-CCX2-CCX1-CX01-X2) )
p105-act X2-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX10 • CCX2 • CCX1 , X2 , up-to-assoc auto (axiom ax-X2-CX10-CCX2-CCX1-CX01=CX10-CCX2-CCX1-X2) )
p105-act X2-gen (gen CX10-gen • gen CX12-gen • gen CCX1-gen) = Just ( CX12 • CX01 • CCX0 • Swap01 , X2 , up-to-assoc auto (axiom ax-X2-CX10-CX12-CCX1=CX12-CX01-CCX0-Swap01-X2) )
p105-act X2-gen (gen CX10-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX10 • Swap12 • CCX2 • Swap01 , CX12 • X0 , up-to-assoc auto (axiom ax-X2-CX10-Swap12-CCX2-Swap01=CX10-Swap12-CCX2-Swap01-CX12-X0) )
p105-act X2-gen (gen CX20-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX20 • CCX2 • CX01 , X1 • X2 • CX12 • X0 , up-to-assoc auto (axiom ax-X2-CX20-CX01-CCX2=CX20-CCX2-CX01-X1-X2-CX12-X0) )
p105-act X2-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX20 • CCX2 • CCX1 • CX01 , X2 • CX21 • CX12 • X0 , up-to-assoc auto (axiom ax-X2-CX20-CCX1-CCX2=CX20-CCX2-CCX1-CX01-X2-CX21-CX12-X0) )
p105-act X2-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX02 • CX10 • CCX1 , X2 • Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-X2-CX20-CCX1-CCX2-Swap01=CX02-CX10-CCX1-X2-Swap12-CX10-CX20-CCX0) )
p105-act X2-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CX20 • CCX2 • CX02 , CX12 • X0 , up-to-assoc auto (axiom ax-X2-CX20-CCX1-CCX2-CX01=CCX1-CX20-CCX2-CX02-CX12-X0) )
p105-act X2-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CCX1 • CX02 , X1 • CX21 • CX12 • X0 , up-to-assoc auto (axiom ax-X2-CX20-CCX1-CCX2-CX02=CX20-CCX2-CCX1-CX02-X1-CX21-CX12-X0) )
p105-act X2-gen (gen CX20-gen • gen CCX2-gen) = Just ( CX20 • CCX2 , X2 • CX12 • X0 , up-to-assoc auto (axiom ax-X2-CX20-CCX2=CX20-CCX2-X2-CX12-X0) )
p105-act X2-gen (gen CX20-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX02 • CCX0 • CX01 , X2 • CX12 • CX21 • CX10 • CX20 , up-to-assoc auto (axiom ax-X2-CX20-CCX2-Swap01=CX02-CCX0-CX01-X2-CX12-CX21-CX10-CX20) )
p105-act X2-gen (gen CX20-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CX01 • CCX2 , X1 • CX12 • X0 , up-to-assoc auto (axiom ax-X2-CX20-CCX2-CX01=CX20-CX01-CCX2-X1-CX12-X0) )
p105-act X2-gen (gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CX02 , CX12 • X0 , up-to-assoc auto (axiom ax-X2-CX20-CCX2-CX02=CX20-CCX2-CX02-CX12-X0) )
p105-act X2-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX02 • CCX1 • CCX0 • CX02 , X2 • CX12 • CX21 • CX10 , up-to-assoc auto (axiom ax-X2-CX20-CCX2-CCX1=CX02-CCX1-CCX0-CX02-X2-CX12-CX21-CX10) )
p105-act X2-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX20 • CCX1 • CCX2 , X1 • CX12 • CX21 • X0 , up-to-assoc auto (axiom ax-X2-CX20-CCX2-CCX1-CX01=CX20-CCX1-CCX2-X1-CX12-CX21-X0) )
p105-act X2-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX20 • CCX1 • CCX2 • CX02 , X1 • X2 • CX12 • CX21 • X0 , up-to-assoc auto (axiom ax-X2-CX20-CCX2-CCX1-CX02=CX20-CCX1-CCX2-CX02-X1-X2-CX12-CX21-X0) )
p105-act X2-gen (gen CX20-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CX21 • CCX2 • CX01 , CX12 • X0 , up-to-assoc auto (axiom ax-X2-CX20-CX21-CCX2-CX01=CX20-CX21-CCX2-CX01-CX12-X0) )
p105-act X2-gen (gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CX01 , X2 • CX10 , up-to-assoc auto (axiom ax-X2-CCX0-Swap01=CCX0-CX01-X2-CX10) )
p105-act X2-gen (gen CCX0-gen • gen CX01-gen) = Just ( CCX0 • Swap01 , X2 • CX10 , up-to-assoc auto (axiom ax-X2-CCX0-CX01=CCX0-Swap01-X2-CX10) )
p105-act X2-gen (gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX0 • CCX2 • Swap01 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-X2-CCX0-CX01-CCX2=CCX0-CCX2-Swap01-X2-CX12-CX10) )
p105-act X2-gen (gen CCX0-gen • gen CX02-gen) = Just ( CCX0 • CX02 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-X2-CCX0-CX02=CCX0-CX02-X2-CX12-CX10) )
p105-act X2-gen (gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX1 • CCX0 • CX02 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-X2-CCX0-CX02-CCX1=CCX1-CCX0-CX02-X2-CX12-CX10) )
p105-act X2-gen (gen CCX0-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CCX0 • CX12 • Swap01 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-X2-CCX0-CCX1-CX02=CCX1-CCX0-CX12-Swap01-X2-CX12-CX10) )
p105-act X2-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX1 • CCX0 • CCX2 • Swap01 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-X2-CCX0-CCX1-CCX2=CCX1-CCX0-CCX2-Swap01-X2-CX12-CX10) )
p105-act X2-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CX01 • CCX2 , X2 , up-to-assoc auto (axiom ax-X2-CCX0-CCX1-CCX2-Swap01=CCX1-CCX0-CX01-CCX2-X2) )
p105-act X2-gen (gen CCX0-gen • gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • CCX0 • Swap01 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-X2-CCX0-CCX1-CX12-Swap01=CCX1-CX12-CCX0-Swap01-X2-CX12-CX10) )
p105-act X2-gen (gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CX01 • CCX2 , X2 • CX12 • CX10 , up-to-assoc auto (axiom ax-X2-CCX0-CCX2-Swap01=CCX0-CX01-CCX2-X2-CX12-CX10) )
p105-act X2-gen (gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CX12 • CCX2 • Swap01 , X2 • CX10 , up-to-assoc auto (axiom ax-X2-CCX0-CCX2-CX01=CCX0-CX12-CCX2-Swap01-X2-CX10) )
p105-act X2-gen (gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( X2 • CCX0 • CCX2 • CCX1 , ε , general-assoc auto )
p105-act X2-gen (gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CX12 • CCX0 • Swap01 , X2 , up-to-assoc auto (axiom ax-X2-CCX0-CX12-Swap01=CX12-CCX0-Swap01-X2) )
p105-act X2-gen (gen CCX0-gen • gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX2 • CCX0 • CX02 • CCX1 , X2 • CCX0 , up-to-assoc auto (axiom ax-X2-CCX0-CX12-CCX1-CX02=CCX2-CCX0-CX02-CCX1-X2-CCX0) )
p105-act X2-gen (gen CCX0-gen • gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX2 • CX01 , X2 • CX10 , up-to-assoc auto (axiom ax-X2-CCX0-CX12-CCX2-Swap01=CCX0-CCX2-CX01-X2-CX10) )
p105-act X2-gen (gen CCX0-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX21 • CCX0 • CCX2 • Swap01 , X1 • CX12 • X0 • CX10 , up-to-assoc auto (axiom ax-X2-CCX0-CX21-CCX2-CX01=CX21-CCX0-CCX2-Swap01-X1-CX12-X0-CX10) )
p105-act X2-gen (gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • Swap01 , CX21 • X0 , up-to-assoc auto (axiom ax-X2-CCX0-Swap12-Swap01=CCX0-Swap12-Swap01-CX21-X0) )
p105-act X2-gen (gen CCX0-gen • gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX21 • CCX0 • CCX2 • CX01 , CX12 • X0 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-X2-CCX0-Swap12-CCX1-CCX2-Swap01=CX21-CCX0-CCX2-CX01-CX12-X0-CX10-CX20-CCX0) )
p105-act X2-gen (gen CCX0-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • Swap12 • Swap01 , CX21 • CX12 • X0 , up-to-assoc auto (axiom ax-X2-CCX0-Swap12-CCX2-Swap01=CCX1-CCX0-Swap12-Swap01-CX21-CX12-X0) )
p105-act CX12-gen ε = Just ( ε , CX12 , general-assoc auto )
p105-act CX12-gen (gen Swap01-gen) = Just ( CX12 • Swap01 , ε , general-assoc auto )
p105-act CX12-gen (gen CX01-gen) = Just ( CX02 • CX01 , CX12 , up-to-assoc auto (axiom ax-CX12-CX01=CX02-CX01-CX12) )
p105-act CX12-gen (gen CX01-gen • gen CCX2-gen) = Just ( CCX2 • CX01 , CX12 , up-to-assoc auto (axiom ax-CX12-CX01-CCX2=CCX2-CX01-CX12) )
p105-act CX12-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • CCX2 • CX01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX12-CX01-CCX2-CCX0-Swap01=CX01-CCX0-CCX2-CX01-CX12-CX10) )
p105-act CX12-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX10 • CCX1 • CCX2 • CX01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX12-CX01-CCX2-CCX0-CX01=CX10-CCX1-CCX2-CX01-CX12-CX10) )
p105-act CX12-gen (gen CX01-gen • gen CX20-gen • gen CCX2-gen) = Just ( CX01 • CCX0 • CX02 , CX10 • CX20 , up-to-assoc auto (axiom ax-CX12-CX01-CX20-CCX2=CX01-CCX0-CX02-CX10-CX20) )
p105-act CX12-gen (gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX12 • CX01 • CCX0 • Swap01 , ε , general-assoc auto )
p105-act CX12-gen (gen CX01-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX01 • CX20 • CCX2 , CX10 • CX20 , up-to-assoc auto (axiom ax-CX12-CX01-CCX0-CX02=CX01-CX20-CCX2-CX10-CX20) )
p105-act CX12-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX10 • CCX2 • CCX1 • CX01 , CX12 , up-to-assoc auto (axiom ax-CX12-CX01-CCX0-CCX2-Swap01=CX10-CCX2-CCX1-CX01-CX12) )
p105-act CX12-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX01 • CCX2 • CCX0 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX12-CX01-CCX0-CCX2-CX01=CX01-CCX2-CCX0-Swap01-CX12-CX10) )
p105-act CX12-gen (gen CX02-gen) = Just ( CX02 , CX12 , up-to-assoc auto (axiom ax-CX12-CX02=CX02-CX12) )
p105-act CX12-gen (gen CX02-gen • gen CX01-gen) = Just ( CX01 , CX12 , up-to-assoc auto (axiom ax-CX12-CX02-CX01=CX01-CX12) )
p105-act CX12-gen (gen CX02-gen • gen CCX1-gen) = Just ( CX21 • CCX2 • CX01 , CX21 • CX12 , up-to-assoc auto (axiom ax-CX12-CX02-CCX1=CX21-CCX2-CX01-CX21-CX12) )
p105-act CX12-gen (gen CX02-gen • gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( X2 • CCX0 • CCX2 • CCX1 , X2 • CX12 • CCX0 , up-to-assoc auto (axiom ax-CX12-CX02-CCX1-CCX0-CX02=X2-CCX0-CCX2-CCX1-X2-CX12-CCX0) )
p105-act CX12-gen (gen CX02-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX10 • CX02 • CCX1 , ε , up-to-assoc auto (axiom ax-CX12-CX02-CX10-CCX1=CX10-CX02-CCX1) )
p105-act CX12-gen (gen CX02-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX20 • CX01 • CCX2 , Swap12 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX12-CX02-CCX0-CX01=CX20-CX01-CCX2-Swap12-CX10-CX20) )
p105-act CX12-gen (gen CCX1-gen) = Just ( CX12 • CCX1 , ε , general-assoc auto )
p105-act CX12-gen (gen CCX1-gen • gen CX01-gen) = Just ( CX12 • CCX1 • CX01 , ε , general-assoc auto )
p105-act CX12-gen (gen CCX1-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX2 • CCX1 • CX01 , CX12 , up-to-assoc auto (axiom ax-CX12-CCX1-CX01-CCX2=CCX2-CCX1-CX01-CX12) )
p105-act CX12-gen (gen CCX1-gen • gen CX02-gen) = Just ( CX12 • CCX1 • CX02 , ε , general-assoc auto )
p105-act CX12-gen (gen CCX1-gen • gen CCX2-gen) = Just ( CCX2 • CCX1 , CX12 , up-to-assoc auto (axiom ax-CX12-CCX1-CCX2=CCX2-CCX1-CX12) )
p105-act CX12-gen (gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CX12-CCX1-CCX2-Swap01=CCX1-CX12-Swap01-CCX0) )
p105-act CX12-gen (gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CX02 • CCX1 , CX12 , up-to-assoc auto (axiom ax-CX12-CCX1-CCX2-CX01=CCX2-CX02-CCX1-CX12) )
p105-act CX12-gen (gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX2 • CCX1 • CX02 , CX12 , up-to-assoc auto (axiom ax-CX12-CCX1-CCX2-CX02=CCX2-CCX1-CX02-CX12) )
p105-act CX12-gen (gen CCX1-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX20 • CCX1 • CCX2 • CX02 , CX21 • CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX12-CCX1-CCX2-CCX0-Swap01=CX20-CCX1-CCX2-CX02-CX21-CX12-CX10-CX20-CCX0) )
p105-act CX12-gen (gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CX12-CCX1-CX12-Swap01=CCX1-CCX2-Swap01-CCX0) )
p105-act CX12-gen (gen CCX1-gen • gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CCX2 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CX12-CCX1-CX12-CCX0-Swap01=CCX0-CCX1-CCX2-Swap01-CCX0) )
p105-act CX12-gen (gen CCX1-gen • gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX2 • CCX1 • CCX0 • Swap12 • Swap01 , CX12 • CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX12-CCX1-CX20-CCX2-CX02=CCX2-CCX1-CCX0-Swap12-Swap01-CX12-CX21-CX10-CX20-CCX0) )
p105-act CX12-gen (gen CCX1-gen • gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX0 • CCX1 • CX12 • Swap01 , CX12 • CCX0 , up-to-assoc auto (axiom ax-CX12-CCX1-CCX0-CX01-CCX2=CCX0-CCX1-CX12-Swap01-CX12-CCX0) )
p105-act CX12-gen (gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX0 • CX12 • CCX1 • CX02 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX12-CCX1-CCX0-CX02=CCX0-CX12-CCX1-CX02-CX12-CX10) )
p105-act CX12-gen (gen CCX1-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • CCX1 • CX01 , CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX12-CCX1-CCX0-CCX2-Swap01=CX20-CCX2-CCX1-CX01-CX10-CX20-CCX0) )
p105-act CX12-gen (gen CCX1-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CX21 • CCX2 • CX01 , CX21 • CX10 , up-to-assoc auto (axiom ax-CX12-CCX1-CCX0-CX12-Swap01=CCX0-CX21-CCX2-CX01-CX21-CX10) )
p105-act CX12-gen (gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • CCX1 • CCX2 • Swap01 , CX21 • CCX0 , up-to-assoc auto (axiom ax-CX12-CCX1-CCX0-Swap12-Swap01=CCX0-Swap12-CCX1-CCX2-Swap01-CX21-CCX0) )
p105-act CX12-gen (gen CCX2-gen) = Just ( CCX2 , CX12 , up-to-assoc auto (axiom ax-CX12-CCX2=CCX2-CX12) )
p105-act CX12-gen (gen CCX2-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • Swap01 , ε , general-assoc auto )
p105-act CX12-gen (gen CCX2-gen • gen CX01-gen) = Just ( CX01 • CCX2 , CX12 , up-to-assoc auto (axiom ax-CX12-CCX2-CX01=CX01-CCX2-CX12) )
p105-act CX12-gen (gen CCX2-gen • gen CX02-gen) = Just ( CCX2 • CX02 , CX12 , up-to-assoc auto (axiom ax-CX12-CCX2-CX02=CCX2-CX02-CX12) )
p105-act CX12-gen (gen CCX2-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX1 • CCX2 • CX01 , CX12 , up-to-assoc auto (axiom ax-CX12-CCX2-CX02-CCX1=CCX1-CCX2-CX01-CX12) )
p105-act CX12-gen (gen CCX2-gen • gen CCX1-gen) = Just ( CCX1 • CCX2 , CX12 , up-to-assoc auto (axiom ax-CX12-CCX2-CCX1=CCX1-CCX2-CX12) )
p105-act CX12-gen (gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX1 • CX01 • CCX2 , CX12 , up-to-assoc auto (axiom ax-CX12-CCX2-CCX1-CX01=CCX1-CX01-CCX2-CX12) )
p105-act CX12-gen (gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CCX2 • CX02 , CX12 , up-to-assoc auto (axiom ax-CX12-CCX2-CCX1-CX02=CCX1-CCX2-CX02-CX12) )
p105-act CX12-gen (gen CCX2-gen • gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX1 • CX20 • CCX2 • CX02 , CX21 • CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX12-CCX2-CCX1-CCX0-Swap12-Swap01=CCX1-CX20-CCX2-CX02-CX21-CX12-CX10-CX20-CCX0) )
p105-act CX12-gen (gen CCX2-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX10 • CCX2 • CCX1 , ε , up-to-assoc auto (axiom ax-CX12-CCX2-CX10-CCX1=CX10-CCX2-CCX1) )
p105-act CX12-gen (gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • CCX0 • Swap01 , ε , general-assoc auto )
p105-act CX12-gen (gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CCX2 • CCX0 • CX12 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX12-CCX2-CCX0-CX01=CCX2-CCX0-CX12-Swap01-CX10) )
p105-act CX12-gen (gen CCX2-gen • gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX0 • CX02 • CCX1 , CX10 • CCX0 , up-to-assoc auto (axiom ax-CX12-CCX2-CCX0-CX02-CCX1=CCX0-CX02-CCX1-CX10-CCX0) )
p105-act CX12-gen (gen CCX2-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • CX01 , CX10 , up-to-assoc auto (axiom ax-CX12-CCX2-CCX0-CX12-Swap01=CCX2-CCX0-CX01-CX10) )
p105-act CX12-gen (gen X1-gen • gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX20 • CCX2 • CCX1 • CX02 , X1 • X2 • CX12 • X0 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX12-X1-CCX0-CCX1-CCX2=CX20-CCX2-CCX1-CX02-X1-X2-CX12-X0-CX10-CX20-CCX0) )
p105-act CX12-gen (gen X1-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX20 • CCX1 • CCX2 • CX01 , X1 • X2 • CX12 • X0 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX12-X1-CCX0-CCX2-CCX1=CX20-CCX1-CCX2-CX01-X1-X2-CX12-X0-CX10-CX20-CCX0) )
p105-act CX12-gen (gen X2-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX02 • CCX1 • CCX0 • CX02 , X2 • CX12 • CCX0 , up-to-assoc auto (axiom ax-CX12-X2-CCX0-CCX2-CCX1=CX02-CCX1-CCX0-CX02-X2-CX12-CCX0) )
p105-act CX12-gen (gen CX12-gen • gen Swap01-gen) = Just ( Swap01 , ε , up-to-assoc auto (axiom ax-CX12-CX12-Swap01=Swap01) )
p105-act CX12-gen (gen CX12-gen • gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CX12-CX12-CX01-CCX0-Swap01=CX01-CCX0-Swap01) )
p105-act CX12-gen (gen CX12-gen • gen CCX1-gen) = Just ( CCX1 , ε , up-to-assoc auto (axiom ax-CX12-CX12-CCX1=CCX1) )
p105-act CX12-gen (gen CX12-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX1 • CX01 , ε , up-to-assoc auto (axiom ax-CX12-CX12-CCX1-CX01=CCX1-CX01) )
p105-act CX12-gen (gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-CX12-CX12-CCX1-CX02=CCX1-CX02) )
p105-act CX12-gen (gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CX12-CX12-CCX2-Swap01=CCX2-Swap01) )
p105-act CX12-gen (gen CX12-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CX12-CX12-CCX2-CCX0-Swap01=CCX2-CCX0-Swap01) )
p105-act CX12-gen (gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CX12-CX12-CCX0-Swap01=CCX0-Swap01) )
p105-act CX12-gen (gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX02 • CCX1 , CX12 • CX21 , up-to-assoc auto (axiom ax-CX12-CX21-CCX2-CX01=CX02-CCX1-CX12-CX21) )
p105-act CX12-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CX02 , Swap12 • CX10 , up-to-assoc auto (axiom ax-CX12-CX21-CCX0-CCX2-Swap01=CCX0-CCX1-CX02-Swap12-CX10) )
p105-act CX12-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • Swap12 • CCX2 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX12-CX21-CCX0-CCX2-CX01=CCX0-Swap12-CCX2-Swap01-CX10) )
p105-act CX12-gen (gen Swap12-gen • gen Swap01-gen) = Just ( Swap12 • Swap01 , CX20 , up-to-assoc auto (axiom ax-CX12-Swap12-Swap01=Swap12-Swap01-CX20) )
p105-act CX12-gen (gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX2 • Swap01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CX12-Swap12-CCX1-CCX2-Swap01=Swap12-CCX2-Swap01-CX20-CCX0) )
p105-act CX12-gen (gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX1 • CCX2 • Swap01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CX12-Swap12-CCX2-Swap01=Swap12-CCX1-CCX2-Swap01-CX20-CCX0) )
p105-act CX12-gen (gen CX10-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX02 • CX10 • CCX1 , ε , up-to-assoc auto (axiom ax-CX12-CX10-CX02-CCX1=CX02-CX10-CCX1) )
p105-act CX12-gen (gen CX10-gen • gen CCX1-gen) = Just ( CX10 • CX12 • CCX1 , ε , up-to-assoc auto (axiom ax-CX12-CX10-CCX1=CX10-CX12-CCX1) )
p105-act CX12-gen (gen CX10-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX20 • CCX1 • CCX2 • Swap01 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX12-CX10-CCX1-CX02=CX20-CCX1-CCX2-Swap01-Swap12-CX10-CX20-CCX0) )
p105-act CX12-gen (gen CX10-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX01 • CCX2 • CCX0 • CX01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX12-CX10-CCX1-CCX2-CX01=CX01-CCX2-CCX0-CX01-CX12-CX10) )
p105-act CX12-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CX10 • CCX1 , ε , up-to-assoc auto (axiom ax-CX12-CX10-CCX2-CCX1=CCX2-CX10-CCX1) )
p105-act CX12-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX01 • CCX0 • CCX2 • Swap01 , CX12 , up-to-assoc auto (axiom ax-CX12-CX10-CCX2-CCX1-CX01=CX01-CCX0-CCX2-Swap01-CX12) )
p105-act CX12-gen (gen CX10-gen • gen CX12-gen • gen CCX1-gen) = Just ( CX10 • CCX1 , ε , up-to-assoc auto (axiom ax-CX12-CX10-CX12-CCX1=CX10-CCX1) )
p105-act CX12-gen (gen CX10-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CX21 • CCX2 • CX01 , CX10 , up-to-assoc auto (axiom ax-CX12-CX10-Swap12-CCX2-Swap01=CX20-CX21-CCX2-CX01-CX10) )
p105-act CX12-gen (gen CX20-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX02 • CCX0 • CX01 , Swap12 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX12-CX20-CX01-CCX2=CX02-CCX0-CX01-Swap12-CX10-CX20) )
p105-act CX12-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX0 • CCX1 • CCX2 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX12-CX20-CCX1-CCX2=CCX0-CCX1-CCX2-Swap12-CX10-CX20-CCX0) )
p105-act CX12-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX10 • CCX1 • CX02 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX12-CX20-CCX1-CCX2-Swap01=CX10-CCX1-CX02-Swap12-CX10-CX20-CCX0) )
p105-act CX12-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( X1 • CCX0 • CCX2 • CCX1 , X1 • CX12 • CCX0 , up-to-assoc auto (axiom ax-CX12-CX20-CCX1-CCX2-CX01=X1-CCX0-CCX2-CCX1-X1-CX12-CCX0) )
p105-act CX12-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX1 • CCX2 • CCX0 • Swap01 , CX12 • CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX12-CX20-CCX1-CCX2-CX02=CCX1-CCX2-CCX0-Swap01-CX12-CX21-CX10-CX20-CCX0) )
p105-act CX12-gen (gen CX20-gen • gen CCX2-gen) = Just ( CX20 • CCX2 , CX10 , up-to-assoc auto (axiom ax-CX12-CX20-CCX2=CX20-CCX2-CX10) )
p105-act CX12-gen (gen CX20-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • CX01 , CX10 , up-to-assoc auto (axiom ax-CX12-CX20-CCX2-Swap01=CX20-CCX2-CX01-CX10) )
p105-act CX12-gen (gen CX20-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CCX2 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX12-CX20-CCX2-CX01=CX20-CCX2-Swap01-CX10) )
p105-act CX12-gen (gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CX02 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX12-CX20-CCX2-CX02=CX20-CCX2-CX02-CX12-CX10) )
p105-act CX12-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX0 • CCX2 • CCX1 , CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX12-CX20-CCX2-CCX1=CCX0-CCX2-CCX1-CX21-CX10-CX20-CCX0) )
p105-act CX12-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX1 • CCX0 • CCX2 • Swap01 , CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX12-CX20-CCX2-CCX1-CX01=CCX1-CCX0-CCX2-Swap01-CX10-CX20-CCX0) )
p105-act CX12-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( X1 • CCX0 • CCX1 • CCX2 , X1 • CX12 • CCX0 , up-to-assoc auto (axiom ax-CX12-CX20-CCX2-CCX1-CX02=X1-CCX0-CCX1-CCX2-X1-CX12-CCX0) )
p105-act CX12-gen (gen CX20-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX10 • Swap12 • CCX2 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX12-CX20-CX21-CCX2-CX01=CX10-Swap12-CCX2-Swap01-CX10) )
p105-act CX12-gen (gen CCX0-gen • gen Swap01-gen) = Just ( CX12 • CCX0 • Swap01 , ε , general-assoc auto )
p105-act CX12-gen (gen CCX0-gen • gen CX01-gen) = Just ( CCX0 • CX12 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX12-CCX0-CX01=CCX0-CX12-Swap01-CX10) )
p105-act CX12-gen (gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX0 • CX12 • CCX2 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX12-CCX0-CX01-CCX2=CCX0-CX12-CCX2-Swap01-CX12-CX10) )
p105-act CX12-gen (gen CCX0-gen • gen CX02-gen) = Just ( CCX0 • CX02 , CX10 , up-to-assoc auto (axiom ax-CX12-CCX0-CX02=CCX0-CX02-CX10) )
p105-act CX12-gen (gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX2 • CCX0 • CX02 • CCX1 , CX10 • CCX0 , up-to-assoc auto (axiom ax-CX12-CCX0-CX02-CCX1=CCX2-CCX0-CX02-CCX1-CX10-CCX0) )
p105-act CX12-gen (gen CCX0-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX21 • CCX0 • CCX2 • Swap01 , Swap12 • CX20 , up-to-assoc auto (axiom ax-CX12-CCX0-CCX1-CX02=CX21-CCX0-CCX2-Swap01-Swap12-CX20) )
p105-act CX12-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX20 • CCX1 • CCX2 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX12-CCX0-CCX1-CCX2=CX20-CCX1-CCX2-Swap12-CX10-CX20-CCX0) )
p105-act CX12-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • CCX0 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CX12-CCX0-CCX1-CCX2-Swap01=CCX1-CX12-CCX0-Swap01-CCX0) )
p105-act CX12-gen (gen CCX0-gen • gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CX01 • CCX2 , CX12 • CX10 • CCX0 , up-to-assoc auto (axiom ax-CX12-CCX0-CCX1-CX12-Swap01=CCX1-CCX0-CX01-CCX2-CX12-CX10-CCX0) )
p105-act CX12-gen (gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX2 • CX01 , CX10 , up-to-assoc auto (axiom ax-CX12-CCX0-CCX2-Swap01=CCX0-CCX2-CX01-CX10) )
p105-act CX12-gen (gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CCX2 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX12-CCX0-CCX2-CX01=CCX0-CCX2-Swap01-CX10) )
p105-act CX12-gen (gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX20 • CCX2 • CCX1 , CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX12-CCX0-CCX2-CCX1=CX20-CCX2-CCX1-CX21-CX10-CX20-CCX0) )
p105-act CX12-gen (gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CX01 , CX10 , up-to-assoc auto (axiom ax-CX12-CCX0-CX12-Swap01=CCX0-CX01-CX10) )
p105-act CX12-gen (gen CCX0-gen • gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CCX0 • CX02 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX12-CCX0-CX12-CCX1-CX02=CCX1-CCX0-CX02-CX12-CX10) )
p105-act CX12-gen (gen CCX0-gen • gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CX01 • CCX2 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX12-CCX0-CX12-CCX2-Swap01=CCX0-CX01-CCX2-CX12-CX10) )
p105-act CX12-gen (gen CCX0-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CCX0 • CX12 • Swap01 , CX21 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX12-CCX0-CX21-CCX2-CX01=CCX1-CCX0-CX12-Swap01-CX21-CX10-CX20) )
p105-act CX12-gen (gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • Swap01 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX12-CCX0-Swap12-Swap01=CCX0-Swap12-Swap01-CX21-CX20) )
p105-act CX12-gen (gen CCX0-gen • gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • Swap12 • Swap01 , CX21 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX12-CCX0-Swap12-CCX1-CCX2-Swap01=CCX1-CCX0-Swap12-Swap01-CX21-CX20-CCX0) )
p105-act CX12-gen (gen CCX0-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX21 • CCX0 • CCX2 • CX01 , CX10 , up-to-assoc auto (axiom ax-CX12-CCX0-Swap12-CCX2-Swap01=CX21-CCX0-CCX2-CX01-CX10) )
p105-act CX21-gen ε = Just ( ε , CX21 , general-assoc auto )
p105-act CX21-gen (gen Swap01-gen) = Just ( Swap01 , CX20 , up-to-assoc auto (axiom ax-CX21-Swap01=Swap01-CX20) )
p105-act CX21-gen (gen CX01-gen) = Just ( CX01 , CX21 , up-to-assoc auto (axiom ax-CX21-CX01=CX01-CX21) )
p105-act CX21-gen (gen CX01-gen • gen CCX2-gen) = Just ( CX12 • CCX1 • CX02 , CX12 • CX21 , up-to-assoc auto (axiom ax-CX21-CX01-CCX2=CX12-CCX1-CX02-CX12-CX21) )
p105-act CX21-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CCX2 • Swap01 , CX12 • CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CX01-CCX2-CCX0-Swap01=CCX1-CCX0-CCX2-Swap01-CX12-CX21-CX10-CX20-CCX0) )
p105-act CX21-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( X1 • CCX0 • CCX1 • CCX2 , X1 • CX21 • CCX0 , up-to-assoc auto (axiom ax-CX21-CX01-CCX2-CCX0-CX01=X1-CCX0-CCX1-CCX2-X1-CX21-CCX0) )
p105-act CX21-gen (gen CX01-gen • gen CX20-gen • gen CCX2-gen) = Just ( CX20 • CX01 • CCX2 , ε , up-to-assoc auto (axiom ax-CX21-CX01-CX20-CCX2=CX20-CX01-CCX2) )
p105-act CX21-gen (gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • Swap01 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX21-CX01-CCX0-Swap01=CX01-CCX0-Swap01-CX21-CX20) )
p105-act CX21-gen (gen CX01-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX10 • CX02 • CCX1 , Swap12 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX21-CX01-CCX0-CX02=CX10-CX02-CCX1-Swap12-CX10-CX20) )
p105-act CX21-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • CCX0 • Swap01 , CX21 • CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CX01-CCX0-CCX2-Swap01=CCX1-CCX2-CCX0-Swap01-CX21-CX12-CX10-CX20-CCX0) )
p105-act CX21-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( X1 • CCX0 • CCX2 • CCX1 , X1 • CX21 • CCX0 , up-to-assoc auto (axiom ax-CX21-CX01-CCX0-CCX2-CX01=X1-CCX0-CCX2-CCX1-X1-CX21-CCX0) )
p105-act CX21-gen (gen CX02-gen) = Just ( CX02 • CX01 , CX21 , up-to-assoc auto (axiom ax-CX21-CX02=CX02-CX01-CX21) )
p105-act CX21-gen (gen CX02-gen • gen CX01-gen) = Just ( CX02 , CX21 , up-to-assoc auto (axiom ax-CX21-CX02-CX01=CX02-CX21) )
p105-act CX21-gen (gen CX02-gen • gen CCX1-gen) = Just ( CCX1 • CX02 , CX21 , up-to-assoc auto (axiom ax-CX21-CX02-CCX1=CCX1-CX02-CX21) )
p105-act CX21-gen (gen CX02-gen • gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CCX1 • CX02 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX21-CX02-CCX1-CCX0-CX02=CX20-CCX2-CCX1-CX02-CX21-CX20) )
p105-act CX21-gen (gen CX02-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX02 • CCX0 • CX01 , CX10 • CX20 , up-to-assoc auto (axiom ax-CX21-CX02-CX10-CCX1=CX02-CCX0-CX01-CX10-CX20) )
p105-act CX21-gen (gen CX02-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX02 • CX10 • CCX1 , CX10 • CX20 , up-to-assoc auto (axiom ax-CX21-CX02-CCX0-CX01=CX02-CX10-CCX1-CX10-CX20) )
p105-act CX21-gen (gen CCX1-gen) = Just ( CCX1 , CX21 , up-to-assoc auto (axiom ax-CX21-CCX1=CCX1-CX21) )
p105-act CX21-gen (gen CCX1-gen • gen CX01-gen) = Just ( CCX1 • CX01 , CX21 , up-to-assoc auto (axiom ax-CX21-CCX1-CX01=CCX1-CX01-CX21) )
p105-act CX21-gen (gen CCX1-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX2 • CCX1 • CX02 , CX21 , up-to-assoc auto (axiom ax-CX21-CCX1-CX01-CCX2=CCX2-CCX1-CX02-CX21) )
p105-act CX21-gen (gen CCX1-gen • gen CX02-gen) = Just ( CX02 • CCX1 , CX21 , up-to-assoc auto (axiom ax-CX21-CCX1-CX02=CX02-CCX1-CX21) )
p105-act CX21-gen (gen CCX1-gen • gen CCX2-gen) = Just ( CCX2 • CCX1 , CX21 , up-to-assoc auto (axiom ax-CX21-CCX1-CCX2=CCX2-CCX1-CX21) )
p105-act CX21-gen (gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • Swap01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CCX1-CCX2-Swap01=CCX2-Swap01-CX20-CCX0) )
p105-act CX21-gen (gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CCX1 • CX01 , CX21 , up-to-assoc auto (axiom ax-CX21-CCX1-CCX2-CX01=CCX2-CCX1-CX01-CX21) )
p105-act CX21-gen (gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX2 • CX02 • CCX1 , CX21 , up-to-assoc auto (axiom ax-CX21-CCX1-CCX2-CX02=CCX2-CX02-CCX1-CX21) )
p105-act CX21-gen (gen CCX1-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • CCX2 • Swap01 , CX12 • CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CCX1-CCX2-CCX0-Swap01=CX01-CCX0-CCX2-Swap01-CX12-CX21-CX10-CX20-CCX0) )
p105-act CX21-gen (gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( Swap12 • CCX2 • Swap01 , CX20 , up-to-assoc auto (axiom ax-CX21-CCX1-CX12-Swap01=Swap12-CCX2-Swap01-CX20) )
p105-act CX21-gen (gen CCX1-gen • gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • Swap12 • Swap01 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX21-CCX1-CX12-CCX0-Swap01=CCX1-CCX0-Swap12-Swap01-CX21-CX20) )
p105-act CX21-gen (gen CCX1-gen • gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX20 • CCX1 • CCX2 • CX02 , ε , up-to-assoc auto (axiom ax-CX21-CCX1-CX20-CCX2-CX02=CX20-CCX1-CCX2-CX02) )
p105-act CX21-gen (gen CCX1-gen • gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX0 • CX01 • CCX2 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CCX1-CCX0-CX01-CCX2=CCX0-CX01-CCX2-CX20-CCX0) )
p105-act CX21-gen (gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX1 • CCX0 • CX12 • Swap01 , Swap12 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX21-CCX1-CCX0-CX02=CCX1-CCX0-CX12-Swap01-Swap12-CX10-CX20) )
p105-act CX21-gen (gen CCX1-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX01 • CCX2 • CCX0 • Swap01 , CX21 • CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CCX1-CCX0-CCX2-Swap01=CX01-CCX2-CCX0-Swap01-CX21-CX12-CX10-CX20-CCX0) )
p105-act CX21-gen (gen CCX1-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CX02 , Swap12 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX21-CCX1-CCX0-CX12-Swap01=CCX1-CCX0-CX02-Swap12-CX10-CX20) )
p105-act CX21-gen (gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • CCX0 • Swap01 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX21-CCX1-CCX0-Swap12-Swap01=CCX1-CX12-CCX0-Swap01-CX21-CX20) )
p105-act CX21-gen (gen CCX2-gen) = Just ( CX12 • CCX1 , CX12 • CX21 , up-to-assoc auto (axiom ax-CX21-CCX2=CX12-CCX1-CX12-CX21) )
p105-act CX21-gen (gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • Swap01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CCX2-Swap01=CCX1-CCX2-Swap01-CX20-CCX0) )
p105-act CX21-gen (gen CCX2-gen • gen CX01-gen) = Just ( CX21 • CCX2 • CX01 , ε , general-assoc auto )
p105-act CX21-gen (gen CCX2-gen • gen CX02-gen) = Just ( CX12 • CCX1 • CX01 , CX12 • CX21 , up-to-assoc auto (axiom ax-CX21-CCX2-CX02=CX12-CCX1-CX01-CX12-CX21) )
p105-act CX21-gen (gen CCX2-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX1 • CCX2 • CX02 , CX21 , up-to-assoc auto (axiom ax-CX21-CCX2-CX02-CCX1=CCX1-CCX2-CX02-CX21) )
p105-act CX21-gen (gen CCX2-gen • gen CCX1-gen) = Just ( CCX1 • CCX2 , CX21 , up-to-assoc auto (axiom ax-CX21-CCX2-CCX1=CCX1-CCX2-CX21) )
p105-act CX21-gen (gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX1 • CCX2 • CX01 , CX21 , up-to-assoc auto (axiom ax-CX21-CCX2-CCX1-CX01=CCX1-CCX2-CX01-CX21) )
p105-act CX21-gen (gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CX01 • CCX2 , CX21 , up-to-assoc auto (axiom ax-CX21-CCX2-CCX1-CX02=CCX1-CX01-CCX2-CX21) )
p105-act CX21-gen (gen CCX2-gen • gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CX10 • CCX2 • CCX1 • CX01 , CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CCX2-CCX1-CCX0-Swap12-Swap01=CX10-CCX2-CCX1-CX01-CX21-CX10-CX20-CCX0) )
p105-act CX21-gen (gen CCX2-gen • gen CX10-gen • gen CCX1-gen) = Just ( CCX0 • CCX1 • CCX2 , CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CCX2-CX10-CCX1=CCX0-CCX1-CCX2-CX10-CX20-CCX0) )
p105-act CX21-gen (gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CCX2 • Swap01 , CX21 • CCX0 , up-to-assoc auto (axiom ax-CX21-CCX2-CCX0-Swap01=CCX0-CCX1-CCX2-Swap01-CX21-CCX0) )
p105-act CX21-gen (gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CCX0 • CX21 • CCX2 • CX01 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX21-CCX2-CCX0-CX01=CCX0-CX21-CCX2-CX01-CX21-CX20) )
p105-act CX21-gen (gen CCX2-gen • gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX0 • CX12 • CCX2 • Swap01 , CX21 • CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CCX2-CCX0-CX02-CCX1=CCX0-CX12-CCX2-Swap01-CX21-CX12-CX10-CX20-CCX0) )
p105-act CX21-gen (gen CCX2-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CX12 • CCX1 • CX02 , CX21 • CX12 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX21-CCX2-CCX0-CX12-Swap01=CCX0-CX12-CCX1-CX02-CX21-CX12-CX10-CX20) )
p105-act CX21-gen (gen X1-gen • gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX01 • CCX2 • CCX0 • CX01 , X1 • CX21 • CCX0 , up-to-assoc auto (axiom ax-CX21-X1-CCX0-CCX1-CCX2=CX01-CCX2-CCX0-CX01-X1-CX21-CCX0) )
p105-act CX21-gen (gen X1-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX01 • CCX0 • CCX2 • CX01 , X1 • CX21 • CCX0 , up-to-assoc auto (axiom ax-CX21-X1-CCX0-CCX2-CCX1=CX01-CCX0-CCX2-CX01-X1-CX21-CCX0) )
p105-act CX21-gen (gen X2-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX10 • CCX1 • CCX2 • CX01 , X1 • X2 • CX21 • X0 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-X2-CCX0-CCX2-CCX1=CX10-CCX1-CCX2-CX01-X1-X2-CX21-X0-CX10-CX20-CCX0) )
p105-act CX21-gen (gen CX12-gen • gen Swap01-gen) = Just ( Swap12 • Swap01 , CX20 , up-to-assoc auto (axiom ax-CX21-CX12-Swap01=Swap12-Swap01-CX20) )
p105-act CX21-gen (gen CX12-gen • gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • CX02 , CX21 • CX12 • CX20 , up-to-assoc auto (axiom ax-CX21-CX12-CX01-CCX0-Swap01=CX20-CCX2-CX02-CX21-CX12-CX20) )
p105-act CX21-gen (gen CX12-gen • gen CCX1-gen) = Just ( CCX2 , CX21 • CX12 , up-to-assoc auto (axiom ax-CX21-CX12-CCX1=CCX2-CX21-CX12) )
p105-act CX21-gen (gen CX12-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX2 • CX02 , CX21 • CX12 , up-to-assoc auto (axiom ax-CX21-CX12-CCX1-CX01=CCX2-CX02-CX21-CX12) )
p105-act CX21-gen (gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX01 • CCX2 , CX21 • CX12 , up-to-assoc auto (axiom ax-CX21-CX12-CCX1-CX02=CX01-CCX2-CX21-CX12) )
p105-act CX21-gen (gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX1 • CCX2 • Swap01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CX12-CCX2-Swap01=Swap12-CCX1-CCX2-Swap01-CX20-CCX0) )
p105-act CX21-gen (gen CX12-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • CCX1 • CCX2 • Swap01 , CX21 • CCX0 , up-to-assoc auto (axiom ax-CX21-CX12-CCX2-CCX0-Swap01=CCX0-Swap12-CCX1-CCX2-Swap01-CX21-CCX0) )
p105-act CX21-gen (gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • Swap01 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX21-CX12-CCX0-Swap01=CCX0-Swap12-Swap01-CX21-CX20) )
p105-act CX21-gen (gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CX21-CX21-CCX2-CX01=CCX2-CX01) )
p105-act CX21-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CX21-CX21-CCX0-CCX2-Swap01=CCX0-CCX2-Swap01) )
p105-act CX21-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CX21-CX21-CCX0-CCX2-CX01=CCX0-CCX2-CX01) )
p105-act CX21-gen (gen Swap12-gen • gen Swap01-gen) = Just ( CX12 • Swap01 , CX20 , up-to-assoc auto (axiom ax-CX21-Swap12-Swap01=CX12-Swap01-CX20) )
p105-act CX21-gen (gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • Swap01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-Swap12-CCX1-CCX2-Swap01=CX12-CCX2-Swap01-CX20-CCX0) )
p105-act CX21-gen (gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • Swap01 , CX20 , up-to-assoc auto (axiom ax-CX21-Swap12-CCX2-Swap01=CCX1-CX12-Swap01-CX20) )
p105-act CX21-gen (gen CX10-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX01 • CCX0 • CX02 , Swap12 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX21-CX10-CX02-CCX1=CX01-CCX0-CX02-Swap12-CX10-CX20) )
p105-act CX21-gen (gen CX10-gen • gen CCX1-gen) = Just ( CX10 • CCX1 , CX20 , up-to-assoc auto (axiom ax-CX21-CX10-CCX1=CX10-CCX1-CX20) )
p105-act CX21-gen (gen CX10-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX10 • Swap12 • CCX2 • Swap01 , Swap12 • CX20 , up-to-assoc auto (axiom ax-CX21-CX10-CCX1-CX02=CX10-Swap12-CCX2-Swap01-Swap12-CX20) )
p105-act CX21-gen (gen CX10-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( X2 • CCX0 • CCX2 • CCX1 , X2 • CX21 • CCX0 , up-to-assoc auto (axiom ax-CX21-CX10-CCX1-CCX2-CX01=X2-CCX0-CCX2-CCX1-X2-CX21-CCX0) )
p105-act CX21-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX0 • CCX2 • CCX1 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CX10-CCX2-CCX1=CCX0-CCX2-CCX1-Swap12-CX10-CX20-CCX0) )
p105-act CX21-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX2 • CCX1 • CCX0 • Swap12 • Swap01 , CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CX10-CCX2-CCX1-CX01=CCX2-CCX1-CCX0-Swap12-Swap01-CX21-CX10-CX20-CCX0) )
p105-act CX21-gen (gen CX10-gen • gen CX12-gen • gen CCX1-gen) = Just ( CX20 • CCX2 , Swap12 • CX20 , up-to-assoc auto (axiom ax-CX21-CX10-CX12-CCX1=CX20-CCX2-Swap12-CX20) )
p105-act CX21-gen (gen CX10-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX10 • CCX1 • CX02 , Swap12 • CX10 , up-to-assoc auto (axiom ax-CX21-CX10-Swap12-CCX2-Swap01=CX10-CCX1-CX02-Swap12-CX10) )
p105-act CX21-gen (gen CX20-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX01 • CX20 • CCX2 , ε , up-to-assoc auto (axiom ax-CX21-CX20-CX01-CCX2=CX01-CX20-CCX2) )
p105-act CX21-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX20 • CCX2 • CCX1 , CX21 , up-to-assoc auto (axiom ax-CX21-CX20-CCX1-CCX2=CX20-CCX2-CCX1-CX21) )
p105-act CX21-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • Swap01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CX20-CCX1-CCX2-Swap01=CX20-CCX2-Swap01-CX20-CCX0) )
p105-act CX21-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CCX2 • CCX1 • CX01 , CX21 , up-to-assoc auto (axiom ax-CX21-CX20-CCX1-CCX2-CX01=CX20-CCX2-CCX1-CX01-CX21) )
p105-act CX21-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX1 • CX20 • CCX2 • CX02 , ε , up-to-assoc auto (axiom ax-CX21-CX20-CCX1-CCX2-CX02=CCX1-CX20-CCX2-CX02) )
p105-act CX21-gen (gen CX20-gen • gen CCX2-gen) = Just ( CX10 • CX12 • CCX1 , Swap12 • CX10 , up-to-assoc auto (axiom ax-CX21-CX20-CCX2=CX10-CX12-CCX1-Swap12-CX10) )
p105-act CX21-gen (gen CX20-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX1 • CCX2 • Swap01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CX20-CCX2-Swap01=CX20-CCX1-CCX2-Swap01-CX20-CCX0) )
p105-act CX21-gen (gen CX20-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CX21 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CX21-CX20-CCX2-CX01=CX20-CX21-CCX2-CX01) )
p105-act CX21-gen (gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX12 • CX01 • CCX0 • Swap01 , CX12 • CX21 • CX10 , up-to-assoc auto (axiom ax-CX21-CX20-CCX2-CX02=CX12-CX01-CCX0-Swap01-CX12-CX21-CX10) )
p105-act CX21-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX20 • CCX1 • CCX2 , CX21 , up-to-assoc auto (axiom ax-CX21-CX20-CCX2-CCX1=CX20-CCX1-CCX2-CX21) )
p105-act CX21-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX20 • CCX1 • CCX2 • CX01 , CX21 , up-to-assoc auto (axiom ax-CX21-CX20-CCX2-CCX1-CX01=CX20-CCX1-CCX2-CX01-CX21) )
p105-act CX21-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX02 • CCX1 • CCX0 • CX02 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX21-CX20-CCX2-CCX1-CX02=CX02-CCX1-CCX0-CX02-CX21-CX20) )
p105-act CX21-gen (gen CX20-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CX21-CX20-CX21-CCX2-CX01=CX20-CCX2-CX01) )
p105-act CX21-gen (gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • Swap01 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX21-CCX0-Swap01=CCX0-Swap01-CX21-CX20) )
p105-act CX21-gen (gen CCX0-gen • gen CX01-gen) = Just ( CCX0 • CX01 , CX20 , up-to-assoc auto (axiom ax-CX21-CCX0-CX01=CCX0-CX01-CX20) )
p105-act CX21-gen (gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX1 • CCX0 • CX01 • CCX2 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CCX0-CX01-CCX2=CCX1-CCX0-CX01-CCX2-CX20-CCX0) )
p105-act CX21-gen (gen CCX0-gen • gen CX02-gen) = Just ( CCX0 • CX12 • Swap01 , Swap12 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX21-CCX0-CX02=CCX0-CX12-Swap01-Swap12-CX10-CX20) )
p105-act CX21-gen (gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX0 • CCX1 • CX12 • Swap01 , CX21 • CX12 • CX10 , up-to-assoc auto (axiom ax-CX21-CCX0-CX02-CCX1=CCX0-CCX1-CX12-Swap01-CX21-CX12-CX10) )
p105-act CX21-gen (gen CCX0-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX0 • Swap12 • CCX2 • Swap01 , Swap12 • CX20 , up-to-assoc auto (axiom ax-CX21-CCX0-CCX1-CX02=CCX0-Swap12-CCX2-Swap01-Swap12-CX20) )
p105-act CX21-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX2 • CX10 • CCX1 , CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CCX0-CCX1-CCX2=CCX2-CX10-CCX1-CX10-CX20-CCX0) )
p105-act CX21-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • Swap01 , CX21 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CCX0-CCX1-CCX2-Swap01=CCX2-CCX0-Swap01-CX21-CX20-CCX0) )
p105-act CX21-gen (gen CCX0-gen • gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CX02 • CCX1 , CX12 • CX21 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX21-CCX0-CCX1-CX12-Swap01=CCX0-CX02-CCX1-CX12-CX21-CX10-CX20) )
p105-act CX21-gen (gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX21 • CCX0 • CCX2 • Swap01 , ε , general-assoc auto )
p105-act CX21-gen (gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX21 • CCX0 • CCX2 • CX01 , ε , general-assoc auto )
p105-act CX21-gen (gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX10 • CCX2 • CCX1 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CCX0-CCX2-CCX1=CX10-CCX2-CCX1-Swap12-CX10-CX20-CCX0) )
p105-act CX21-gen (gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CX02 , Swap12 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX21-CCX0-CX12-Swap01=CCX0-CX02-Swap12-CX10-CX20) )
p105-act CX21-gen (gen CCX0-gen • gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX2 • CCX0 • CX12 • Swap01 , CX12 • CX21 • CX20 , up-to-assoc auto (axiom ax-CX21-CCX0-CX12-CCX1-CX02=CCX2-CCX0-CX12-Swap01-CX12-CX21-CX20) )
p105-act CX21-gen (gen CCX0-gen • gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • CX02 • CCX1 , CX12 • CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CCX0-CX12-CCX2-Swap01=CCX2-CCX0-CX02-CCX1-CX12-CX21-CX10-CX20-CCX0) )
p105-act CX21-gen (gen CCX0-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CCX0 • CX01 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX21-CCX0-CX21-CCX2-CX01=CCX2-CCX0-CX01-CX21-CX20) )
p105-act CX21-gen (gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CX12 • CCX0 • Swap01 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX21-CCX0-Swap12-Swap01=CX12-CCX0-Swap01-CX21-CX20) )
p105-act CX21-gen (gen CCX0-gen • gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • CCX0 • Swap01 , CX21 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX21-CCX0-Swap12-CCX1-CCX2-Swap01=CX12-CCX2-CCX0-Swap01-CX21-CX20-CCX0) )
p105-act CX21-gen (gen CCX0-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CX02 , Swap12 • CX10 , up-to-assoc auto (axiom ax-CX21-CCX0-Swap12-CCX2-Swap01=CCX0-CCX1-CX02-Swap12-CX10) )
p105-act Swap12-gen ε = Just ( ε , Swap12 , general-assoc auto )
p105-act Swap12-gen (gen Swap01-gen) = Just ( Swap12 • Swap01 , ε , general-assoc auto )
p105-act Swap12-gen (gen CX01-gen) = Just ( CX02 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX01=CX02-Swap12) )
p105-act Swap12-gen (gen CX01-gen • gen CCX2-gen) = Just ( CX02 • CCX1 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX01-CCX2=CX02-CCX1-Swap12) )
p105-act Swap12-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX20 • CCX1 • CCX2 • CX01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX01-CCX2-CCX0-Swap01=CX20-CCX1-CCX2-CX01-Swap12) )
p105-act Swap12-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX02 • CCX1 • CCX0 • CX02 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX01-CCX2-CCX0-CX01=CX02-CCX1-CCX0-CX02-Swap12) )
p105-act Swap12-gen (gen CX01-gen • gen CX20-gen • gen CCX2-gen) = Just ( CX02 • CX10 • CCX1 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX01-CX20-CCX2=CX02-CX10-CCX1-Swap12) )
p105-act Swap12-gen (gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • CX02 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX01-CCX0-Swap01=CX20-CCX2-CX02-Swap12) )
p105-act Swap12-gen (gen CX01-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX02 • CCX0 • CX01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX01-CCX0-CX02=CX02-CCX0-CX01-Swap12) )
p105-act Swap12-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CX20 • CCX2 • CX02 , CX12 • CX21 , up-to-assoc auto (axiom ax-Swap12-CX01-CCX0-CCX2-Swap01=CCX1-CX20-CCX2-CX02-CX12-CX21) )
p105-act Swap12-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CCX2 • CCX1 • CX01 , Swap12 • CX10 , up-to-assoc auto (axiom ax-Swap12-CX01-CCX0-CCX2-CX01=CX20-CCX2-CCX1-CX01-Swap12-CX10) )
p105-act Swap12-gen (gen CX02-gen) = Just ( CX01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX02=CX01-Swap12) )
p105-act Swap12-gen (gen CX02-gen • gen CX01-gen) = Just ( CX02 • CX01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX02-CX01=CX02-CX01-Swap12) )
p105-act Swap12-gen (gen CX02-gen • gen CCX1-gen) = Just ( CX01 • CCX2 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX02-CCX1=CX01-CCX2-Swap12) )
p105-act Swap12-gen (gen CX02-gen • gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX01 • CCX2 • CCX0 • CX01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX02-CCX1-CCX0-CX02=CX01-CCX2-CCX0-CX01-Swap12) )
p105-act Swap12-gen (gen CX02-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX01 • CX20 • CCX2 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX02-CX10-CCX1=CX01-CX20-CCX2-Swap12) )
p105-act Swap12-gen (gen CX02-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX01 • CCX0 • CX02 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX02-CCX0-CX01=CX01-CCX0-CX02-Swap12) )
p105-act Swap12-gen (gen CCX1-gen) = Just ( CCX2 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX1=CCX2-Swap12) )
p105-act Swap12-gen (gen CCX1-gen • gen CX01-gen) = Just ( CCX2 • CX02 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX1-CX01=CCX2-CX02-Swap12) )
p105-act Swap12-gen (gen CCX1-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX2 • CX02 • CCX1 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX1-CX01-CCX2=CCX2-CX02-CCX1-Swap12) )
p105-act Swap12-gen (gen CCX1-gen • gen CX02-gen) = Just ( CCX2 • CX01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX1-CX02=CCX2-CX01-Swap12) )
p105-act Swap12-gen (gen CCX1-gen • gen CCX2-gen) = Just ( CCX2 • CCX1 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX1-CCX2=CCX2-CCX1-Swap12) )
p105-act Swap12-gen (gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX1 • CCX2 • Swap01 , ε , general-assoc auto )
p105-act Swap12-gen (gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CCX1 • CX02 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX1-CCX2-CX01=CCX2-CCX1-CX02-Swap12) )
p105-act Swap12-gen (gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX2 • CCX1 • CX01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX1-CCX2-CX02=CCX2-CCX1-CX01-Swap12) )
p105-act Swap12-gen (gen CCX1-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX2 • CCX1 • CCX0 • Swap12 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap12-CCX1-CCX2-CCX0-Swap01=CCX2-CCX1-CCX0-Swap12-Swap01) )
p105-act Swap12-gen (gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • Swap01 , CX20 , up-to-assoc auto (axiom ax-Swap12-CCX1-CX12-Swap01=CX12-CCX2-Swap01-CX20) )
p105-act Swap12-gen (gen CCX1-gen • gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • CCX0 • Swap01 , CX21 • CX20 , up-to-assoc auto (axiom ax-Swap12-CCX1-CX12-CCX0-Swap01=CX12-CCX2-CCX0-Swap01-CX21-CX20) )
p105-act Swap12-gen (gen CCX1-gen • gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX01 • CCX0 • CCX2 • Swap01 , CX21 • CX12 , up-to-assoc auto (axiom ax-Swap12-CCX1-CX20-CCX2-CX02=CX01-CCX0-CCX2-Swap01-CX21-CX12) )
p105-act Swap12-gen (gen CCX1-gen • gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX2 • CCX0 • CX02 • CCX1 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX1-CCX0-CX01-CCX2=CCX2-CCX0-CX02-CCX1-Swap12) )
p105-act Swap12-gen (gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX2 • CCX0 • CX01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX1-CCX0-CX02=CCX2-CCX0-CX01-Swap12) )
p105-act Swap12-gen (gen CCX1-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( X1 • CCX0 • CCX2 • CCX1 , X1 • CX12 • CX21 • CX10 , up-to-assoc auto (axiom ax-Swap12-CCX1-CCX0-CCX2-Swap01=X1-CCX0-CCX2-CCX1-X1-CX12-CX21-CX10) )
p105-act Swap12-gen (gen CCX1-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • CX12 • Swap01 , CX20 , up-to-assoc auto (axiom ax-Swap12-CCX1-CCX0-CX12-Swap01=CCX2-CCX0-CX12-Swap01-CX20) )
p105-act Swap12-gen (gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap12-CCX1-CCX0-Swap12-Swap01=CCX2-CCX0-Swap01) )
p105-act Swap12-gen (gen CCX2-gen) = Just ( CCX1 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX2=CCX1-Swap12) )
p105-act Swap12-gen (gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX2 • Swap01 , ε , general-assoc auto )
p105-act Swap12-gen (gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CX02 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX2-CX01=CCX1-CX02-Swap12) )
p105-act Swap12-gen (gen CCX2-gen • gen CX02-gen) = Just ( CCX1 • CX01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX2-CX02=CCX1-CX01-Swap12) )
p105-act Swap12-gen (gen CCX2-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX1 • CX01 • CCX2 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX2-CX02-CCX1=CCX1-CX01-CCX2-Swap12) )
p105-act Swap12-gen (gen CCX2-gen • gen CCX1-gen) = Just ( CCX1 • CCX2 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX2-CCX1=CCX1-CCX2-Swap12) )
p105-act Swap12-gen (gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX1 • CCX2 • CX02 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX2-CCX1-CX01=CCX1-CCX2-CX02-Swap12) )
p105-act Swap12-gen (gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CCX2 • CX01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX2-CCX1-CX02=CCX1-CCX2-CX01-Swap12) )
p105-act Swap12-gen (gen CCX2-gen • gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap12-CCX2-CCX1-CCX0-Swap12-Swap01=CCX1-CCX2-CCX0-Swap01) )
p105-act Swap12-gen (gen CCX2-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX20 • CCX2 • CCX1 , CX12 • CX21 , up-to-assoc auto (axiom ax-Swap12-CCX2-CX10-CCX1=CX20-CCX2-CCX1-CX12-CX21) )
p105-act Swap12-gen (gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • Swap12 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap12-CCX2-CCX0-Swap01=CCX1-CCX0-Swap12-Swap01) )
p105-act Swap12-gen (gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CCX1 • CCX0 • CX02 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX2-CCX0-CX01=CCX1-CCX0-CX02-Swap12) )
p105-act Swap12-gen (gen CCX2-gen • gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX1 • CCX0 • CX01 • CCX2 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX2-CCX0-CX02-CCX1=CCX1-CCX0-CX01-CCX2-Swap12) )
p105-act Swap12-gen (gen CCX2-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CX12 • Swap01 , CX20 , up-to-assoc auto (axiom ax-Swap12-CCX2-CCX0-CX12-Swap01=CCX1-CCX0-CX12-Swap01-CX20) )
p105-act Swap12-gen (gen X1-gen • gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( X2 • CCX0 • CCX2 • CCX1 , Swap12 , up-to-assoc auto (axiom ax-Swap12-X1-CCX0-CCX1-CCX2=X2-CCX0-CCX2-CCX1-Swap12) )
p105-act Swap12-gen (gen X1-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX1 • CCX0 • CCX2 • Swap01 , X2 • CX21 • CX12 • CX20 , up-to-assoc auto (axiom ax-Swap12-X1-CCX0-CCX2-CCX1=CCX1-CCX0-CCX2-Swap01-X2-CX21-CX12-CX20) )
p105-act Swap12-gen (gen X2-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( X1 • CCX0 • CCX1 • CCX2 , Swap12 , up-to-assoc auto (axiom ax-Swap12-X2-CCX0-CCX2-CCX1=X1-CCX0-CCX1-CCX2-Swap12) )
p105-act Swap12-gen (gen CX12-gen • gen Swap01-gen) = Just ( CX12 • Swap01 , CX20 , up-to-assoc auto (axiom ax-Swap12-CX12-Swap01=CX12-Swap01-CX20) )
p105-act Swap12-gen (gen CX12-gen • gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX12 • CX01 • CCX0 • Swap01 , CX21 • CX20 , up-to-assoc auto (axiom ax-Swap12-CX12-CX01-CCX0-Swap01=CX12-CX01-CCX0-Swap01-CX21-CX20) )
p105-act Swap12-gen (gen CX12-gen • gen CCX1-gen) = Just ( CX12 • CCX1 , CX21 , up-to-assoc auto (axiom ax-Swap12-CX12-CCX1=CX12-CCX1-CX21) )
p105-act Swap12-gen (gen CX12-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX12 • CCX1 • CX01 , CX21 , up-to-assoc auto (axiom ax-Swap12-CX12-CCX1-CX01=CX12-CCX1-CX01-CX21) )
p105-act Swap12-gen (gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX21 • CCX2 • CX01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX12-CCX1-CX02=CX21-CCX2-CX01-Swap12) )
p105-act Swap12-gen (gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • Swap01 , CX20 , up-to-assoc auto (axiom ax-Swap12-CX12-CCX2-Swap01=CCX1-CX12-Swap01-CX20) )
p105-act Swap12-gen (gen CX12-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • CCX0 • Swap01 , CX21 • CX20 , up-to-assoc auto (axiom ax-Swap12-CX12-CCX2-CCX0-Swap01=CCX1-CX12-CCX0-Swap01-CX21-CX20) )
p105-act Swap12-gen (gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX12 • CCX0 • Swap01 , CX21 • CX20 , up-to-assoc auto (axiom ax-Swap12-CX12-CCX0-Swap01=CX12-CCX0-Swap01-CX21-CX20) )
p105-act Swap12-gen (gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX12 • CCX1 • CX02 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX21-CCX2-CX01=CX12-CCX1-CX02-Swap12) )
p105-act Swap12-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX21 • CCX0 • CCX2 • CX01 , CX10 , up-to-assoc auto (axiom ax-Swap12-CX21-CCX0-CCX2-Swap01=CX21-CCX0-CCX2-CX01-CX10) )
p105-act Swap12-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX21 • CCX0 • CCX2 • Swap01 , CX10 , up-to-assoc auto (axiom ax-Swap12-CX21-CCX0-CCX2-CX01=CX21-CCX0-CCX2-Swap01-CX10) )
p105-act Swap12-gen (gen Swap12-gen • gen Swap01-gen) = Just ( Swap01 , ε , up-to-assoc auto (axiom ax-Swap12-Swap12-Swap01=Swap01) )
p105-act Swap12-gen (gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap12-Swap12-CCX1-CCX2-Swap01=CCX1-CCX2-Swap01) )
p105-act Swap12-gen (gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap12-Swap12-CCX2-Swap01=CCX2-Swap01) )
p105-act Swap12-gen (gen CX10-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX20 • CX01 • CCX2 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX10-CX02-CCX1=CX20-CX01-CCX2-Swap12) )
p105-act Swap12-gen (gen CX10-gen • gen CCX1-gen) = Just ( CX20 • CCX2 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX10-CCX1=CX20-CCX2-Swap12) )
p105-act Swap12-gen (gen CX10-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CX01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX10-CCX1-CX02=CX20-CCX2-CX01-Swap12) )
p105-act Swap12-gen (gen CX10-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CCX2 • CCX1 • CX02 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX10-CCX1-CCX2-CX01=CX20-CCX2-CCX1-CX02-Swap12) )
p105-act Swap12-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX20 • CCX1 • CCX2 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX10-CCX2-CCX1=CX20-CCX1-CCX2-Swap12) )
p105-act Swap12-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX20 • CCX1 • CCX2 • CX02 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX10-CCX2-CCX1-CX01=CX20-CCX1-CCX2-CX02-Swap12) )
p105-act Swap12-gen (gen CX10-gen • gen CX12-gen • gen CCX1-gen) = Just ( CX10 • CX12 • CCX1 , CX20 , up-to-assoc auto (axiom ax-Swap12-CX10-CX12-CCX1=CX10-CX12-CCX1-CX20) )
p105-act Swap12-gen (gen CX10-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap12-CX10-Swap12-CCX2-Swap01=CX20-CCX2-Swap01) )
p105-act Swap12-gen (gen CX20-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX10 • CX02 • CCX1 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX20-CX01-CCX2=CX10-CX02-CCX1-Swap12) )
p105-act Swap12-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX10 • CCX2 • CCX1 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX20-CCX1-CCX2=CX10-CCX2-CCX1-Swap12) )
p105-act Swap12-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CX21 • CCX2 • CX01 , CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-Swap12-CX20-CCX1-CCX2-Swap01=CX20-CX21-CCX2-CX01-CX10-CX20-CCX0) )
p105-act Swap12-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX01 • CCX2 • CCX0 • Swap01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX20-CCX1-CCX2-CX01=CX01-CCX2-CCX0-Swap01-Swap12) )
p105-act Swap12-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX10 • CCX2 • CCX1 • CX01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX20-CCX1-CCX2-CX02=CX10-CCX2-CCX1-CX01-Swap12) )
p105-act Swap12-gen (gen CX20-gen • gen CCX2-gen) = Just ( CX10 • CCX1 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX20-CCX2=CX10-CCX1-Swap12) )
p105-act Swap12-gen (gen CX20-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX10 • Swap12 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap12-CX20-CCX2-Swap01=CX10-Swap12-CCX2-Swap01) )
p105-act Swap12-gen (gen CX20-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX10 • CCX1 • CX02 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX20-CCX2-CX01=CX10-CCX1-CX02-Swap12) )
p105-act Swap12-gen (gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX01 • CCX0 • Swap01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX20-CCX2-CX02=CX01-CCX0-Swap01-Swap12) )
p105-act Swap12-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CX10 • CCX1 , CX21 • CX12 , up-to-assoc auto (axiom ax-Swap12-CX20-CCX2-CCX1=CCX2-CX10-CCX1-CX21-CX12) )
p105-act Swap12-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX01 • CCX0 • CCX2 • CX01 , Swap12 • CX20 , up-to-assoc auto (axiom ax-Swap12-CX20-CCX2-CCX1-CX01=CX01-CCX0-CCX2-CX01-Swap12-CX20) )
p105-act Swap12-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX10 • CCX1 • CCX2 • CX01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CX20-CCX2-CCX1-CX02=CX10-CCX1-CCX2-CX01-Swap12) )
p105-act Swap12-gen (gen CX20-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CCX1 • CCX2 • Swap01 , CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-Swap12-CX20-CX21-CCX2-CX01=CX20-CCX1-CCX2-Swap01-CX10-CX20-CCX0) )
p105-act Swap12-gen (gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap12-CCX0-Swap01=CCX0-Swap12-Swap01) )
p105-act Swap12-gen (gen CCX0-gen • gen CX01-gen) = Just ( CCX0 • CX02 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX0-CX01=CCX0-CX02-Swap12) )
p105-act Swap12-gen (gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX0 • CX02 • CCX1 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX0-CX01-CCX2=CCX0-CX02-CCX1-Swap12) )
p105-act Swap12-gen (gen CCX0-gen • gen CX02-gen) = Just ( CCX0 • CX01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX0-CX02=CCX0-CX01-Swap12) )
p105-act Swap12-gen (gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX0 • CX01 • CCX2 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX0-CX02-CCX1=CCX0-CX01-CCX2-Swap12) )
p105-act Swap12-gen (gen CCX0-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX0 • CCX2 • CX01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX0-CCX1-CX02=CCX0-CCX2-CX01-Swap12) )
p105-act Swap12-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX0 • CCX2 • CCX1 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX0-CCX1-CCX2=CCX0-CCX2-CCX1-Swap12) )
p105-act Swap12-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • CCX1 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap12-CCX0-CCX1-CCX2-Swap01=CCX0-Swap12-CCX1-CCX2-Swap01) )
p105-act Swap12-gen (gen CCX0-gen • gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CX12 • CCX2 • Swap01 , CX20 , up-to-assoc auto (axiom ax-Swap12-CCX0-CCX1-CX12-Swap01=CCX0-CX12-CCX2-Swap01-CX20) )
p105-act Swap12-gen (gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap12-CCX0-CCX2-Swap01=CCX0-Swap12-CCX2-Swap01) )
p105-act Swap12-gen (gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CCX1 • CX02 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX0-CCX2-CX01=CCX0-CCX1-CX02-Swap12) )
p105-act Swap12-gen (gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX0 • CCX1 • CCX2 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX0-CCX2-CCX1=CCX0-CCX1-CCX2-Swap12) )
p105-act Swap12-gen (gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CX12 • Swap01 , CX20 , up-to-assoc auto (axiom ax-Swap12-CCX0-CX12-Swap01=CCX0-CX12-Swap01-CX20) )
p105-act Swap12-gen (gen CCX0-gen • gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX0 • CX21 • CCX2 • CX01 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX0-CX12-CCX1-CX02=CCX0-CX21-CCX2-CX01-Swap12) )
p105-act Swap12-gen (gen CCX0-gen • gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CX12 • Swap01 , CX20 , up-to-assoc auto (axiom ax-Swap12-CCX0-CX12-CCX2-Swap01=CCX0-CCX1-CX12-Swap01-CX20) )
p105-act Swap12-gen (gen CCX0-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CX12 • CCX1 • CX02 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCX0-CX21-CCX2-CX01=CCX0-CX12-CCX1-CX02-Swap12) )
p105-act Swap12-gen (gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap12-CCX0-Swap12-Swap01=CCX0-Swap01) )
p105-act Swap12-gen (gen CCX0-gen • gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap12-CCX0-Swap12-CCX1-CCX2-Swap01=CCX0-CCX1-CCX2-Swap01) )
p105-act Swap12-gen (gen CCX0-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-Swap12-CCX0-Swap12-CCX2-Swap01=CCX0-CCX2-Swap01) )
p105-act X0-gen ε = Just ( ε , X0 , general-assoc auto )
p105-act X0-gen (gen Swap01-gen) = Just ( Swap01 , X1 , up-to-assoc auto (axiom ax-X0-Swap01=Swap01-X1) )
p105-act X0-gen (gen CX01-gen) = Just ( CX01 , X1 • X0 , up-to-assoc auto (axiom ax-X0-CX01=CX01-X1-X0) )
p105-act X0-gen (gen CX01-gen • gen CCX2-gen) = Just ( CCX2 • CX01 , X1 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CX01-CCX2=CCX2-CX01-X1-CX12-X0) )
p105-act X0-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX10 • CCX1 • CCX2 • CX01 , X1 • CX12 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CX01-CCX2-CCX0-Swap01=CX10-CCX1-CCX2-CX01-X1-CX12-CX21-X0) )
p105-act X0-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX01 • CCX0 • CCX2 • CX01 , X2 • CX12 • CX21 • X0 • CX20 , up-to-assoc auto (axiom ax-X0-CX01-CCX2-CCX0-CX01=CX01-CCX0-CCX2-CX01-X2-CX12-CX21-X0-CX20) )
p105-act X0-gen (gen CX01-gen • gen CX20-gen • gen CCX2-gen) = Just ( CX20 • CX21 • CCX2 • CX01 , X1 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CX01-CX20-CCX2=CX20-CX21-CCX2-CX01-X1-CX12-X0) )
p105-act X0-gen (gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • Swap01 , X1 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CX01-CCX0-Swap01=CX01-CCX0-Swap01-X1-CX21-X0) )
p105-act X0-gen (gen CX01-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX10 • Swap12 • CCX2 • Swap01 , X1 • CX12 • CX20 , up-to-assoc auto (axiom ax-X0-CX01-CCX0-CX02=CX10-Swap12-CCX2-Swap01-X1-CX12-CX20) )
p105-act X0-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX10 • CCX2 • CCX1 • CX01 , X1 • CX21 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CX01-CCX0-CCX2-Swap01=CX10-CCX2-CCX1-CX01-X1-CX21-CX12-X0) )
p105-act X0-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX01 • CCX2 • CCX0 • CX01 , X1 • X2 • CX21 • CX12 • CX10 • CX20 , up-to-assoc auto (axiom ax-X0-CX01-CCX0-CCX2-CX01=CX01-CCX2-CCX0-CX01-X1-X2-CX21-CX12-CX10-CX20) )
p105-act X0-gen (gen CX02-gen) = Just ( CX02 , X2 • X0 , up-to-assoc auto (axiom ax-X0-CX02=CX02-X2-X0) )
p105-act X0-gen (gen CX02-gen • gen CX01-gen) = Just ( CX02 • CX01 , X1 • X2 • X0 , up-to-assoc auto (axiom ax-X0-CX02-CX01=CX02-CX01-X1-X2-X0) )
p105-act X0-gen (gen CX02-gen • gen CCX1-gen) = Just ( CCX1 • CX02 , X2 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CX02-CCX1=CCX1-CX02-X2-CX21-X0) )
p105-act X0-gen (gen CX02-gen • gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CCX1 • CX01 , X1 • CX21 • CX12 • X0 • CX20 , up-to-assoc auto (axiom ax-X0-CX02-CCX1-CCX0-CX02=CX20-CCX2-CCX1-CX01-X1-CX21-CX12-X0-CX20) )
p105-act X0-gen (gen CX02-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX20 • CCX1 • CCX2 • Swap01 , X1 • CX21 • CX12 • CCX0 , up-to-assoc auto (axiom ax-X0-CX02-CX10-CCX1=CX20-CCX1-CCX2-Swap01-X1-CX21-CX12-CCX0) )
p105-act X0-gen (gen CX02-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX20 • CCX2 • Swap01 , X1 • CX21 • CX12 • CX10 , up-to-assoc auto (axiom ax-X0-CX02-CCX0-CX01=CX20-CCX2-Swap01-X1-CX21-CX12-CX10) )
p105-act X0-gen (gen CCX1-gen) = Just ( CCX1 , CX21 • X0 , up-to-assoc auto (axiom ax-X0-CCX1=CCX1-CX21-X0) )
p105-act X0-gen (gen CCX1-gen • gen CX01-gen) = Just ( CCX1 • CX01 , X1 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CCX1-CX01=CCX1-CX01-X1-CX21-X0) )
p105-act X0-gen (gen CCX1-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX2 • CCX1 • CX01 , X1 • CX21 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CCX1-CX01-CCX2=CCX2-CCX1-CX01-X1-CX21-CX12-X0) )
p105-act X0-gen (gen CCX1-gen • gen CX02-gen) = Just ( CX02 • CCX1 , X1 • X2 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CCX1-CX02=CX02-CCX1-X1-X2-CX21-X0) )
p105-act X0-gen (gen CCX1-gen • gen CCX2-gen) = Just ( CCX2 • CCX1 , CX21 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CCX1-CCX2=CCX2-CCX1-CX21-CX12-X0) )
p105-act X0-gen (gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX1 • CCX2 • Swap01 , X1 • CX20 , up-to-assoc auto (axiom ax-X0-CCX1-CCX2-Swap01=Swap12-CCX1-CCX2-Swap01-X1-CX20) )
p105-act X0-gen (gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CCX1 • CX02 , X2 • CX21 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CCX1-CCX2-CX01=CCX2-CCX1-CX02-X2-CX21-CX12-X0) )
p105-act X0-gen (gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX2 • CX02 • CCX1 , X1 • X2 • CX21 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CCX1-CCX2-CX02=CCX2-CX02-CCX1-X1-X2-CX21-CX12-X0) )
p105-act X0-gen (gen CCX1-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX2 • CCX1 • CCX0 • Swap12 • Swap01 , X1 • CX21 • CX20 , up-to-assoc auto (axiom ax-X0-CCX1-CCX2-CCX0-Swap01=CCX2-CCX1-CCX0-Swap12-Swap01-X1-CX21-CX20) )
p105-act X0-gen (gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( Swap12 • CCX2 • Swap01 , X1 • CX20 , up-to-assoc auto (axiom ax-X0-CCX1-CX12-Swap01=Swap12-CCX2-Swap01-X1-CX20) )
p105-act X0-gen (gen CCX1-gen • gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • Swap12 • Swap01 , X1 • CX21 • CX20 , up-to-assoc auto (axiom ax-X0-CCX1-CX12-CCX0-Swap01=CCX1-CCX0-Swap12-Swap01-X1-CX21-CX20) )
p105-act X0-gen (gen CCX1-gen • gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX20 • CCX1 • CCX2 • CX02 , X2 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CCX1-CX20-CCX2-CX02=CX20-CCX1-CCX2-CX02-X2-CX12-X0) )
p105-act X0-gen (gen CCX1-gen • gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX21 • CCX0 • CCX2 • CX01 , X1 • CX12 • X0 • CX20 • CCX0 , up-to-assoc auto (axiom ax-X0-CCX1-CCX0-CX01-CCX2=CX21-CCX0-CCX2-CX01-X1-CX12-X0-CX20-CCX0) )
p105-act X0-gen (gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX1 • CCX0 • CX12 • Swap01 , X1 • Swap12 • CX10 • CX20 , up-to-assoc auto (axiom ax-X0-CCX1-CCX0-CX02=CCX1-CCX0-CX12-Swap01-X1-Swap12-CX10-CX20) )
p105-act X0-gen (gen CCX1-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( X2 • CCX0 • CCX2 • CCX1 , X1 • X2 • CX21 • X0 • CX10 , up-to-assoc auto (axiom ax-X0-CCX1-CCX0-CCX2-Swap01=X2-CCX0-CCX2-CCX1-X1-X2-CX21-X0-CX10) )
p105-act X0-gen (gen CCX1-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CX02 , X2 • Swap12 • X0 • CX10 • CX20 , up-to-assoc auto (axiom ax-X0-CCX1-CCX0-CX12-Swap01=CCX1-CCX0-CX02-X2-Swap12-X0-CX10-CX20) )
p105-act X0-gen (gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • CCX0 • Swap01 , X1 • CX21 • CX20 , up-to-assoc auto (axiom ax-X0-CCX1-CCX0-Swap12-Swap01=CCX1-CX12-CCX0-Swap01-X1-CX21-CX20) )
p105-act X0-gen (gen CCX2-gen) = Just ( CCX2 , CX12 • X0 , up-to-assoc auto (axiom ax-X0-CCX2=CCX2-CX12-X0) )
p105-act X0-gen (gen CCX2-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • Swap01 , X1 , up-to-assoc auto (axiom ax-X0-CCX2-Swap01=CX12-CCX2-Swap01-X1) )
p105-act X0-gen (gen CCX2-gen • gen CX01-gen) = Just ( CX01 • CCX2 , X1 • X2 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CCX2-CX01=CX01-CCX2-X1-X2-CX12-X0) )
p105-act X0-gen (gen CCX2-gen • gen CX02-gen) = Just ( CCX2 • CX02 , X2 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CCX2-CX02=CCX2-CX02-X2-CX12-X0) )
p105-act X0-gen (gen CCX2-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX1 • CCX2 • CX02 , X2 • CX12 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CCX2-CX02-CCX1=CCX1-CCX2-CX02-X2-CX12-CX21-X0) )
p105-act X0-gen (gen CCX2-gen • gen CCX1-gen) = Just ( CCX1 • CCX2 , CX12 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CCX2-CCX1=CCX1-CCX2-CX12-CX21-X0) )
p105-act X0-gen (gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX1 • CX01 • CCX2 , X1 • X2 • CX12 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CCX2-CCX1-CX01=CCX1-CX01-CCX2-X1-X2-CX12-CX21-X0) )
p105-act X0-gen (gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CCX2 • CX01 , X1 • CX12 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CCX2-CCX1-CX02=CCX1-CCX2-CX01-X1-CX12-CX21-X0) )
p105-act X0-gen (gen CCX2-gen • gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • CCX0 • Swap01 , X1 • CX21 • CX20 , up-to-assoc auto (axiom ax-X0-CCX2-CCX1-CCX0-Swap12-Swap01=CCX1-CCX2-CCX0-Swap01-X1-CX21-CX20) )
p105-act X0-gen (gen CCX2-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX10 • CCX2 • CCX1 , CX21 • X0 , up-to-assoc auto (axiom ax-X0-CCX2-CX10-CCX1=CX10-CCX2-CCX1-CX21-X0) )
p105-act X0-gen (gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • CCX0 • Swap01 , X1 , up-to-assoc auto (axiom ax-X0-CCX2-CCX0-Swap01=CX12-CCX2-CCX0-Swap01-X1) )
p105-act X0-gen (gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CCX2 • CCX0 • CX12 • Swap01 , X1 • CX10 , up-to-assoc auto (axiom ax-X0-CCX2-CCX0-CX01=CCX2-CCX0-CX12-Swap01-X1-CX10) )
p105-act X0-gen (gen CCX2-gen • gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX21 • CCX0 • CCX2 • Swap01 , X1 • CX21 • CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-X0-CCX2-CCX0-CX02-CCX1=CX21-CCX0-CCX2-Swap01-X1-CX21-CX12-CX10-CX20-CCX0) )
p105-act X0-gen (gen CCX2-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • CX01 , X1 • X0 • CX10 , up-to-assoc auto (axiom ax-X0-CCX2-CCX0-CX12-Swap01=CCX2-CCX0-CX01-X1-X0-CX10) )
p105-act X0-gen (gen X1-gen • gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( X1 • CCX0 • CCX2 • CCX1 , CX21 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-X1-CCX0-CCX1-CCX2=X1-CCX0-CCX2-CCX1-CX21-CX12-X0) )
p105-act X0-gen (gen X1-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( X1 • CCX0 • CCX1 • CCX2 , CX12 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-X1-CCX0-CCX2-CCX1=X1-CCX0-CCX1-CCX2-CX12-CX21-X0) )
p105-act X0-gen (gen X2-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX1 • CCX0 • CCX2 • Swap01 , X2 • CX21 • X0 • CX10 • CX20 , up-to-assoc auto (axiom ax-X0-X2-CCX0-CCX2-CCX1=CCX1-CCX0-CCX2-Swap01-X2-CX21-X0-CX10-CX20) )
p105-act X0-gen (gen CX12-gen • gen Swap01-gen) = Just ( CX12 • Swap01 , X1 , up-to-assoc auto (axiom ax-X0-CX12-Swap01=CX12-Swap01-X1) )
p105-act X0-gen (gen CX12-gen • gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX12 • CX01 • CCX0 • Swap01 , X1 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CX12-CX01-CCX0-Swap01=CX12-CX01-CCX0-Swap01-X1-CX21-X0) )
p105-act X0-gen (gen CX12-gen • gen CCX1-gen) = Just ( CX12 • CCX1 , CX21 • X0 , up-to-assoc auto (axiom ax-X0-CX12-CCX1=CX12-CCX1-CX21-X0) )
p105-act X0-gen (gen CX12-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX12 • CCX1 • CX01 , X1 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CX12-CCX1-CX01=CX12-CCX1-CX01-X1-CX21-X0) )
p105-act X0-gen (gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX21 • CCX2 • CX01 , X1 • Swap12 • X0 , up-to-assoc auto (axiom ax-X0-CX12-CCX1-CX02=CX21-CCX2-CX01-X1-Swap12-X0) )
p105-act X0-gen (gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • Swap01 , X1 , up-to-assoc auto (axiom ax-X0-CX12-CCX2-Swap01=CCX2-Swap01-X1) )
p105-act X0-gen (gen CX12-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • Swap01 , X1 , up-to-assoc auto (axiom ax-X0-CX12-CCX2-CCX0-Swap01=CCX2-CCX0-Swap01-X1) )
p105-act X0-gen (gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX12 • CCX0 • Swap01 , X1 , up-to-assoc auto (axiom ax-X0-CX12-CCX0-Swap01=CX12-CCX0-Swap01-X1) )
p105-act X0-gen (gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX12 • CCX1 • CX02 , X2 • Swap12 • X0 , up-to-assoc auto (axiom ax-X0-CX21-CCX2-CX01=CX12-CCX1-CX02-X2-Swap12-X0) )
p105-act X0-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • CX02 • CCX1 , X1 • X2 • CX12 • CX21 • X0 • CX10 • CCX0 , up-to-assoc auto (axiom ax-X0-CX21-CCX0-CCX2-Swap01=CCX2-CCX0-CX02-CCX1-X1-X2-CX12-CX21-X0-CX10-CCX0) )
p105-act X0-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CCX0 • CX01 • CCX2 , X1 • X2 • CX12 • X0 • CCX0 , up-to-assoc auto (axiom ax-X0-CX21-CCX0-CCX2-CX01=CCX1-CCX0-CX01-CCX2-X1-X2-CX12-X0-CCX0) )
p105-act X0-gen (gen Swap12-gen • gen Swap01-gen) = Just ( Swap12 • Swap01 , X1 , up-to-assoc auto (axiom ax-X0-Swap12-Swap01=Swap12-Swap01-X1) )
p105-act X0-gen (gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • Swap01 , X1 • CX20 , up-to-assoc auto (axiom ax-X0-Swap12-CCX1-CCX2-Swap01=CCX1-CCX2-Swap01-X1-CX20) )
p105-act X0-gen (gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • Swap01 , X1 • CX20 , up-to-assoc auto (axiom ax-X0-Swap12-CCX2-Swap01=CCX1-CX12-Swap01-X1-CX20) )
p105-act X0-gen (gen CX10-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX10 • CCX1 • CX02 , X2 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CX10-CX02-CCX1=CX10-CCX1-CX02-X2-CX21-X0) )
p105-act X0-gen (gen CX10-gen • gen CCX1-gen) = Just ( CX10 • CCX1 , CX21 • X0 , up-to-assoc auto (axiom ax-X0-CX10-CCX1=CX10-CCX1-CX21-X0) )
p105-act X0-gen (gen CX10-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX10 • CX02 • CCX1 , X1 • X2 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CX10-CCX1-CX02=CX10-CX02-CCX1-X1-X2-CX21-X0) )
p105-act X0-gen (gen CX10-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX01 • CCX2 • CCX0 • Swap01 , X2 • CX21 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CX10-CCX1-CCX2-CX01=CX01-CCX2-CCX0-Swap01-X2-CX21-CX12-X0) )
p105-act X0-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CX10 • CCX1 , CX21 • X0 , up-to-assoc auto (axiom ax-X0-CX10-CCX2-CCX1=CCX2-CX10-CCX1-CX21-X0) )
p105-act X0-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX01 • CCX0 • CCX2 • Swap01 , X1 • X2 • CX12 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CX10-CCX2-CCX1-CX01=CX01-CCX0-CCX2-Swap01-X1-X2-CX12-CX21-X0) )
p105-act X0-gen (gen CX10-gen • gen CX12-gen • gen CCX1-gen) = Just ( CX10 • CX12 • CCX1 , CX21 • X0 , up-to-assoc auto (axiom ax-X0-CX10-CX12-CCX1=CX10-CX12-CCX1-CX21-X0) )
p105-act X0-gen (gen CX10-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • CX02 , X1 • X2 • CX12 • X0 • CX10 • CX20 , up-to-assoc auto (axiom ax-X0-CX10-Swap12-CCX2-Swap01=CX01-CCX0-CX02-X1-X2-CX12-X0-CX10-CX20) )
p105-act X0-gen (gen CX20-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX20 • CCX2 • CX01 , X1 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CX20-CX01-CCX2=CX20-CCX2-CX01-X1-CX12-X0) )
p105-act X0-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX20 • CCX2 • CCX1 , CX21 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CX20-CCX1-CCX2=CX20-CCX2-CCX1-CX21-CX12-X0) )
p105-act X0-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX02 • CX10 • CCX1 , X1 • X2 • CX12 • CX21 • X0 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-X0-CX20-CCX1-CCX2-Swap01=CX02-CX10-CCX1-X1-X2-CX12-CX21-X0-CX10-CX20-CCX0) )
p105-act X0-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CCX2 • CCX1 • CX02 , X2 • CX21 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CX20-CCX1-CCX2-CX01=CX20-CCX2-CCX1-CX02-X2-CX21-CX12-X0) )
p105-act X0-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX1 • CX20 • CCX2 • CX02 , X2 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CX20-CCX1-CCX2-CX02=CCX1-CX20-CCX2-CX02-X2-CX12-X0) )
p105-act X0-gen (gen CX20-gen • gen CCX2-gen) = Just ( CX20 • CCX2 , CX12 • X0 , up-to-assoc auto (axiom ax-X0-CX20-CCX2=CX20-CCX2-CX12-X0) )
p105-act X0-gen (gen CX20-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX02 • CCX0 • CX01 , X1 • X2 • CX12 • CX21 • X0 • CX10 • CX20 , up-to-assoc auto (axiom ax-X0-CX20-CCX2-Swap01=CX02-CCX0-CX01-X1-X2-CX12-CX21-X0-CX10-CX20) )
p105-act X0-gen (gen CX20-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CX01 • CCX2 , X1 • X2 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CX20-CCX2-CX01=CX20-CX01-CCX2-X1-X2-CX12-X0) )
p105-act X0-gen (gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CX02 , X2 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CX20-CCX2-CX02=CX20-CCX2-CX02-X2-CX12-X0) )
p105-act X0-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX20 • CCX1 • CCX2 , CX12 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CX20-CCX2-CCX1=CX20-CCX1-CCX2-CX12-CX21-X0) )
p105-act X0-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX02 • CCX1 • CCX0 • CX02 , X1 • X2 • CX12 • CX21 • CX10 , up-to-assoc auto (axiom ax-X0-CX20-CCX2-CCX1-CX01=CX02-CCX1-CCX0-CX02-X1-X2-CX12-CX21-CX10) )
p105-act X0-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX20 • CCX1 • CCX2 • CX01 , X1 • CX12 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CX20-CCX2-CCX1-CX02=CX20-CCX1-CCX2-CX01-X1-CX12-CX21-X0) )
p105-act X0-gen (gen CX20-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX01 • CX20 • CCX2 , X1 • X2 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CX20-CX21-CCX2-CX01=CX01-CX20-CCX2-X1-X2-CX12-X0) )
p105-act X0-gen (gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • Swap01 , X1 , up-to-assoc auto (axiom ax-X0-CCX0-Swap01=CCX0-Swap01-X1) )
p105-act X0-gen (gen CCX0-gen • gen CX01-gen) = Just ( CCX0 • CX01 , X1 • X0 , up-to-assoc auto (axiom ax-X0-CCX0-CX01=CCX0-CX01-X1-X0) )
p105-act X0-gen (gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX0 • CCX2 • CX01 , X1 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CCX0-CX01-CCX2=CCX0-CCX2-CX01-X1-CX12-X0) )
p105-act X0-gen (gen CCX0-gen • gen CX02-gen) = Just ( CCX0 • CX02 , X2 • X0 , up-to-assoc auto (axiom ax-X0-CCX0-CX02=CCX0-CX02-X2-X0) )
p105-act X0-gen (gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX0 • CCX1 • CX02 , X2 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CCX0-CX02-CCX1=CCX0-CCX1-CX02-X2-CX21-X0) )
p105-act X0-gen (gen CCX0-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX0 • CX02 • CCX1 , X1 • X2 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CCX0-CCX1-CX02=CCX0-CX02-CCX1-X1-X2-CX21-X0) )
p105-act X0-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX0 • CCX2 • CCX1 , CX21 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CCX0-CCX1-CCX2=CCX0-CCX2-CCX1-CX21-CX12-X0) )
p105-act X0-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • CCX1 • CCX2 • Swap01 , X1 • CX20 , up-to-assoc auto (axiom ax-X0-CCX0-CCX1-CCX2-Swap01=CCX0-Swap12-CCX1-CCX2-Swap01-X1-CX20) )
p105-act X0-gen (gen CCX0-gen • gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • CCX2 • Swap01 , X1 • CX20 , up-to-assoc auto (axiom ax-X0-CCX0-CCX1-CX12-Swap01=CCX0-Swap12-CCX2-Swap01-X1-CX20) )
p105-act X0-gen (gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CX12 • CCX2 • Swap01 , X1 , up-to-assoc auto (axiom ax-X0-CCX0-CCX2-Swap01=CCX0-CX12-CCX2-Swap01-X1) )
p105-act X0-gen (gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CX01 • CCX2 , X1 • X2 • CX12 • X0 , up-to-assoc auto (axiom ax-X0-CCX0-CCX2-CX01=CCX0-CX01-CCX2-X1-X2-CX12-X0) )
p105-act X0-gen (gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX0 • CCX1 • CCX2 , CX12 • CX21 • X0 , up-to-assoc auto (axiom ax-X0-CCX0-CCX2-CCX1=CCX0-CCX1-CCX2-CX12-CX21-X0) )
p105-act X0-gen (gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CX12 • Swap01 , X1 , up-to-assoc auto (axiom ax-X0-CCX0-CX12-Swap01=CCX0-CX12-Swap01-X1) )
p105-act X0-gen (gen CCX0-gen • gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX0 • CX21 • CCX2 • CX01 , X1 • Swap12 • X0 , up-to-assoc auto (axiom ax-X0-CCX0-CX12-CCX1-CX02=CCX0-CX21-CCX2-CX01-X1-Swap12-X0) )
p105-act X0-gen (gen CCX0-gen • gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX2 • Swap01 , X1 , up-to-assoc auto (axiom ax-X0-CCX0-CX12-CCX2-Swap01=CCX0-CCX2-Swap01-X1) )
p105-act X0-gen (gen CCX0-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CX12 • CCX1 • CX02 , X2 • Swap12 • X0 , up-to-assoc auto (axiom ax-X0-CCX0-CX21-CCX2-CX01=CCX0-CX12-CCX1-CX02-X2-Swap12-X0) )
p105-act X0-gen (gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • Swap01 , X1 , up-to-assoc auto (axiom ax-X0-CCX0-Swap12-Swap01=CCX0-Swap12-Swap01-X1) )
p105-act X0-gen (gen CCX0-gen • gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CCX2 • Swap01 , X1 • CX20 , up-to-assoc auto (axiom ax-X0-CCX0-Swap12-CCX1-CCX2-Swap01=CCX0-CCX1-CCX2-Swap01-X1-CX20) )
p105-act X0-gen (gen CCX0-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CX12 • Swap01 , X1 • CX20 , up-to-assoc auto (axiom ax-X0-CCX0-Swap12-CCX2-Swap01=CCX0-CCX1-CX12-Swap01-X1-CX20) )
p105-act CX10-gen ε = Just ( ε , CX10 , general-assoc auto )
p105-act CX10-gen (gen Swap01-gen) = Just ( CX01 , CX10 , up-to-assoc auto (axiom ax-CX10-Swap01=CX01-CX10) )
p105-act CX10-gen (gen CX01-gen) = Just ( Swap01 , CX10 , up-to-assoc auto (axiom ax-CX10-CX01=Swap01-CX10) )
p105-act CX10-gen (gen CX01-gen • gen CCX2-gen) = Just ( CCX2 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CX01-CCX2=CCX2-Swap01-CX12-CX10) )
p105-act CX10-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX2 • CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-CX10-CX01-CCX2-CCX0-Swap01=CCX2-CCX1-CX02) )
p105-act CX10-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CCX2 • CX02 • CCX1 , CX10 , up-to-assoc auto (axiom ax-CX10-CX01-CCX2-CCX0-CX01=CCX2-CX02-CCX1-CX10) )
p105-act CX10-gen (gen CX01-gen • gen CX20-gen • gen CCX2-gen) = Just ( CCX1 • CCX2 • Swap01 , CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-CX01-CX20-CCX2=CCX1-CCX2-Swap01-CX12-CX10-CX20-CCX0) )
p105-act CX10-gen (gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX1 • CX01 , ε , up-to-assoc auto (axiom ax-CX10-CX01-CCX0-Swap01=CCX1-CX01) )
p105-act CX10-gen (gen CX01-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX1 • CX12 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CX01-CCX0-CX02=CCX1-CX12-Swap01-CX12-CX10) )
p105-act CX10-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CX01 • CCX2 , ε , up-to-assoc auto (axiom ax-CX10-CX01-CCX0-CCX2-Swap01=CCX1-CX01-CCX2) )
p105-act CX10-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CCX2 • CX02 , CX10 , up-to-assoc auto (axiom ax-CX10-CX01-CCX0-CCX2-CX01=CCX1-CCX2-CX02-CX10) )
p105-act CX10-gen (gen CX02-gen) = Just ( CX02 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CX02=CX02-CX12-CX10) )
p105-act CX10-gen (gen CX02-gen • gen CX01-gen) = Just ( CX12 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CX02-CX01=CX12-Swap01-CX12-CX10) )
p105-act CX10-gen (gen CX02-gen • gen CCX1-gen) = Just ( CX10 • CX02 • CCX1 , ε , general-assoc auto )
p105-act CX10-gen (gen CX02-gen • gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX1 • CCX0 • CCX2 • Swap01 , CX12 • CX10 • CCX0 , up-to-assoc auto (axiom ax-CX10-CX02-CCX1-CCX0-CX02=CCX1-CCX0-CCX2-Swap01-CX12-CX10-CCX0) )
p105-act CX10-gen (gen CX02-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX21 • CCX2 • CX01 , CX21 • CX12 , up-to-assoc auto (axiom ax-CX10-CX02-CX10-CCX1=CX21-CCX2-CX01-CX21-CX12) )
p105-act CX10-gen (gen CX02-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX20 • CCX2 • CX01 , CX21 • CX12 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX10-CX02-CCX0-CX01=CX20-CCX2-CX01-CX21-CX12-CX10-CX20) )
p105-act CX10-gen (gen CCX1-gen) = Just ( CX10 • CCX1 , ε , general-assoc auto )
p105-act CX10-gen (gen CCX1-gen • gen CX01-gen) = Just ( CX01 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CX10-CCX1-CX01=CX01-CCX0-Swap01) )
p105-act CX10-gen (gen CCX1-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX01 • CCX0 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CX10-CCX1-CX01-CCX2=CX01-CCX0-CCX2-Swap01) )
p105-act CX10-gen (gen CCX1-gen • gen CX02-gen) = Just ( CX10 • CCX1 • CX02 , ε , general-assoc auto )
p105-act CX10-gen (gen CCX1-gen • gen CCX2-gen) = Just ( CCX2 • CX10 • CCX1 , CX12 , up-to-assoc auto (axiom ax-CX10-CCX1-CCX2=CCX2-CX10-CCX1-CX12) )
p105-act CX10-gen (gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX01 • CX20 • CCX2 , CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-CCX1-CCX2-Swap01=CX01-CX20-CCX2-CX12-CX10-CX20-CCX0) )
p105-act CX10-gen (gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX10 • CCX1 • CCX2 • CX01 , ε , general-assoc auto )
p105-act CX10-gen (gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX01 • CCX0 • CCX2 • CX01 , CX10 , up-to-assoc auto (axiom ax-CX10-CCX1-CCX2-CX02=CX01-CCX0-CCX2-CX01-CX10) )
p105-act CX10-gen (gen CCX1-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • CCX1 • CX02 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-CCX1-CCX2-CCX0-Swap01=CX20-CCX2-CCX1-CX02-Swap12-CX10-CX20-CCX0) )
p105-act CX10-gen (gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • CX02 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CCX1-CX12-Swap01=CX01-CCX0-CX02-CX12-CX10) )
p105-act CX10-gen (gen CCX1-gen • gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CX12 • Swap01 , ε , up-to-assoc auto (axiom ax-CX10-CCX1-CX12-CCX0-Swap01=CCX0-CCX1-CX12-Swap01) )
p105-act CX10-gen (gen CCX1-gen • gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( X1 • CCX0 • CCX2 • CCX1 , X1 • CX21 • CX10 • CCX0 , up-to-assoc auto (axiom ax-CX10-CCX1-CX20-CCX2-CX02=X1-CCX0-CCX2-CCX1-X1-CX21-CX10-CCX0) )
p105-act CX10-gen (gen CCX1-gen • gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX0 • CCX1 • CCX2 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CCX1-CCX0-CX01-CCX2=CCX0-CCX1-CCX2-Swap01-CX12-CX10) )
p105-act CX10-gen (gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX0 • CCX1 • CX02 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CCX1-CCX0-CX02=CCX0-CCX1-CX02-CX12-CX10) )
p105-act CX10-gen (gen CCX1-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX02 • CCX1 • CCX0 • CX02 , CX12 • CCX0 , up-to-assoc auto (axiom ax-CX10-CCX1-CCX0-CCX2-Swap01=CX02-CCX1-CCX0-CX02-CX12-CCX0) )
p105-act CX10-gen (gen CCX1-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CX02 • CCX1 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CCX1-CCX0-CX12-Swap01=CCX0-CX02-CCX1-CX12-CX10) )
p105-act CX10-gen (gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • CCX2 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CX10-CCX1-CCX0-Swap12-Swap01=CCX0-Swap12-CCX2-Swap01-CX21) )
p105-act CX10-gen (gen CCX2-gen) = Just ( CCX2 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CCX2=CCX2-CX12-CX10) )
p105-act CX10-gen (gen CCX2-gen • gen Swap01-gen) = Just ( CX01 • CCX2 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CCX2-Swap01=CX01-CCX2-CX12-CX10) )
p105-act CX10-gen (gen CCX2-gen • gen CX01-gen) = Just ( CX12 • CCX2 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX10-CCX2-CX01=CX12-CCX2-Swap01-CX10) )
p105-act CX10-gen (gen CCX2-gen • gen CX02-gen) = Just ( CCX2 • CX02 , CX10 , up-to-assoc auto (axiom ax-CX10-CCX2-CX02=CCX2-CX02-CX10) )
p105-act CX10-gen (gen CCX2-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX01 • CCX2 • CCX0 • CX01 , CX10 , up-to-assoc auto (axiom ax-CX10-CCX2-CX02-CCX1=CX01-CCX2-CCX0-CX01-CX10) )
p105-act CX10-gen (gen CCX2-gen • gen CCX1-gen) = Just ( CX10 • CCX2 • CCX1 , ε , general-assoc auto )
p105-act CX10-gen (gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX10 • CCX2 • CCX1 • CX01 , ε , general-assoc auto )
p105-act CX10-gen (gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX01 • CCX2 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CX10-CCX2-CCX1-CX02=CX01-CCX2-CCX0-Swap01) )
p105-act CX10-gen (gen CCX2-gen • gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CX20 • CCX1 • CCX2 • CX01 , CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-CCX2-CCX1-CCX0-Swap12-Swap01=CX20-CCX1-CCX2-CX01-CX10-CX20-CCX0) )
p105-act CX10-gen (gen CCX2-gen • gen CX10-gen • gen CCX1-gen) = Just ( CCX1 • CCX2 , CX12 , up-to-assoc auto (axiom ax-CX10-CCX2-CX10-CCX1=CCX1-CCX2-CX12) )
p105-act CX10-gen (gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • CX12 • Swap01 , ε , up-to-assoc auto (axiom ax-CX10-CCX2-CCX0-Swap01=CCX2-CCX0-CX12-Swap01) )
p105-act CX10-gen (gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX12 • CCX2 • CCX0 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX10-CCX2-CCX0-CX01=CX12-CCX2-CCX0-Swap01-CX10) )
p105-act CX10-gen (gen CCX2-gen • gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX0 • CX21 • CCX2 • CX01 , CX21 • CX12 • CX10 • CCX0 , up-to-assoc auto (axiom ax-CX10-CCX2-CCX0-CX02-CCX1=CCX0-CX21-CCX2-CX01-CX21-CX12-CX10-CCX0) )
p105-act CX10-gen (gen CCX2-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CX10-CCX2-CCX0-CX12-Swap01=CCX2-CCX0-Swap01) )
p105-act CX10-gen (gen X1-gen • gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX20 • CCX1 • CCX2 • CX02 , X1 • X0 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-X1-CCX0-CCX1-CCX2=CX20-CCX1-CCX2-CX02-X1-X0-CX10-CX20-CCX0) )
p105-act CX10-gen (gen X1-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX1 • CX20 • CCX2 • CX02 , X1 • CX21 • X0 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-X1-CCX0-CCX2-CCX1=CCX1-CX20-CCX2-CX02-X1-CX21-X0-CX10-CX20-CCX0) )
p105-act CX10-gen (gen X2-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX20 • CCX2 • CCX1 • CX01 , X2 • X0 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-X2-CCX0-CCX2-CCX1=CX20-CCX2-CCX1-CX01-X2-X0-CX10-CX20-CCX0) )
p105-act CX10-gen (gen CX12-gen • gen Swap01-gen) = Just ( CX02 • CX01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CX12-Swap01=CX02-CX01-CX12-CX10) )
p105-act CX10-gen (gen CX12-gen • gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX12 • CCX1 • CX01 , ε , up-to-assoc auto (axiom ax-CX10-CX12-CX01-CCX0-Swap01=CX12-CCX1-CX01) )
p105-act CX10-gen (gen CX12-gen • gen CCX1-gen) = Just ( CX10 • CX12 • CCX1 , ε , general-assoc auto )
p105-act CX10-gen (gen CX12-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX12 • CX01 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CX10-CX12-CCX1-CX01=CX12-CX01-CCX0-Swap01) )
p105-act CX10-gen (gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX20 • CCX1 • CCX2 • Swap01 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-CX12-CCX1-CX02=CX20-CCX1-CCX2-Swap01-Swap12-CX10-CX20-CCX0) )
p105-act CX10-gen (gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • CX01 , CX10 , up-to-assoc auto (axiom ax-CX10-CX12-CCX2-Swap01=CCX2-CX01-CX10) )
p105-act CX10-gen (gen CX12-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • CX01 , CX10 , up-to-assoc auto (axiom ax-CX10-CX12-CCX2-CCX0-Swap01=CCX2-CCX0-CX01-CX10) )
p105-act CX10-gen (gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CX12 • Swap01 , ε , up-to-assoc auto (axiom ax-CX10-CX12-CCX0-Swap01=CCX0-CX12-Swap01) )
p105-act CX10-gen (gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX02 • CX10 • CCX1 , CX12 • CX21 , up-to-assoc auto (axiom ax-CX10-CX21-CCX2-CX01=CX02-CX10-CCX1-CX12-CX21) )
p105-act CX10-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CX12 • CCX1 • CX02 , Swap12 • CX10 , up-to-assoc auto (axiom ax-CX10-CX21-CCX0-CCX2-Swap01=CCX0-CX12-CCX1-CX02-Swap12-CX10) )
p105-act CX10-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • Swap12 • CCX1 • CCX2 • Swap01 , CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-CX21-CCX0-CCX2-CX01=CCX0-Swap12-CCX1-CCX2-Swap01-CX10-CX20-CCX0) )
p105-act CX10-gen (gen Swap12-gen • gen Swap01-gen) = Just ( Swap12 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CX10-Swap12-Swap01=Swap12-Swap01-CX21) )
p105-act CX10-gen (gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CX21 • CCX2 • CX01 , CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-Swap12-CCX1-CCX2-Swap01=CX20-CX21-CCX2-CX01-CX10-CX20-CCX0) )
p105-act CX10-gen (gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX10 • Swap12 • CCX2 • Swap01 , ε , general-assoc auto )
p105-act CX10-gen (gen CX10-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX02 • CCX1 , ε , up-to-assoc auto (axiom ax-CX10-CX10-CX02-CCX1=CX02-CCX1) )
p105-act CX10-gen (gen CX10-gen • gen CCX1-gen) = Just ( CCX1 , ε , up-to-assoc auto (axiom ax-CX10-CX10-CCX1=CCX1) )
p105-act CX10-gen (gen CX10-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-CX10-CX10-CCX1-CX02=CCX1-CX02) )
p105-act CX10-gen (gen CX10-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CX10-CX10-CCX1-CCX2-CX01=CCX1-CCX2-CX01) )
p105-act CX10-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CCX1 , ε , up-to-assoc auto (axiom ax-CX10-CX10-CCX2-CCX1=CCX2-CCX1) )
p105-act CX10-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX2 • CCX1 • CX01 , ε , up-to-assoc auto (axiom ax-CX10-CX10-CCX2-CCX1-CX01=CCX2-CCX1-CX01) )
p105-act CX10-gen (gen CX10-gen • gen CX12-gen • gen CCX1-gen) = Just ( CX12 • CCX1 , ε , up-to-assoc auto (axiom ax-CX10-CX10-CX12-CCX1=CX12-CCX1) )
p105-act CX10-gen (gen CX10-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CX10-CX10-Swap12-CCX2-Swap01=Swap12-CCX2-Swap01) )
p105-act CX10-gen (gen CX20-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX20 • CCX2 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CX20-CX01-CCX2=CX20-CCX2-Swap01-CX12-CX10) )
p105-act CX10-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX0 • CCX2 • CCX1 , CX21 • CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-CX20-CCX1-CCX2=CCX0-CCX2-CCX1-CX21-CX12-CX10-CX20-CCX0) )
p105-act CX10-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX12 • CCX1 • CX02 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-CX20-CCX1-CCX2-Swap01=CX12-CCX1-CX02-Swap12-CX10-CX20-CCX0) )
p105-act CX10-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CCX1 • CCX0 • Swap12 • Swap01 , CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-CX20-CCX1-CCX2-CX01=CCX2-CCX1-CCX0-Swap12-Swap01-CX10-CX20-CCX0) )
p105-act CX10-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( X1 • CCX0 • CCX1 • CCX2 , X1 • CX10 • CCX0 , up-to-assoc auto (axiom ax-CX10-CX20-CCX1-CCX2-CX02=X1-CCX0-CCX1-CCX2-X1-CX10-CCX0) )
p105-act CX10-gen (gen CX20-gen • gen CCX2-gen) = Just ( CX20 • CCX2 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CX20-CCX2=CX20-CCX2-CX12-CX10) )
p105-act CX10-gen (gen CX20-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CX01 • CCX2 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CX20-CCX2-Swap01=CX20-CX01-CCX2-CX12-CX10) )
p105-act CX10-gen (gen CX20-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX02 • CCX0 • CX01 , CX12 • CX21 • CX20 , up-to-assoc auto (axiom ax-CX10-CX20-CCX2-CX01=CX02-CCX0-CX01-CX12-CX21-CX20) )
p105-act CX10-gen (gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CX02 , CX10 , up-to-assoc auto (axiom ax-CX10-CX20-CCX2-CX02=CX20-CCX2-CX02-CX10) )
p105-act CX10-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX0 • CCX1 • CCX2 , CX12 • CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-CX20-CCX2-CCX1=CCX0-CCX1-CCX2-CX12-CX21-CX10-CX20-CCX0) )
p105-act CX10-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( X2 • CCX0 • CCX2 • CCX1 , X2 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-CX20-CCX2-CCX1-CX01=X2-CCX0-CCX2-CCX1-X2-CX20-CCX0) )
p105-act CX10-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CCX2 • CCX0 • Swap01 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-CX20-CCX2-CCX1-CX02=CCX1-CCX2-CCX0-Swap01-Swap12-CX10-CX20-CCX0) )
p105-act CX10-gen (gen CX20-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( Swap12 • CCX1 • CCX2 • Swap01 , CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-CX20-CX21-CCX2-CX01=Swap12-CCX1-CCX2-Swap01-CX10-CX20-CCX0) )
p105-act CX10-gen (gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CX01 , CX10 , up-to-assoc auto (axiom ax-CX10-CCX0-Swap01=CCX0-CX01-CX10) )
p105-act CX10-gen (gen CCX0-gen • gen CX01-gen) = Just ( CCX0 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX10-CCX0-CX01=CCX0-Swap01-CX10) )
p105-act CX10-gen (gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX0 • CCX2 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CCX0-CX01-CCX2=CCX0-CCX2-Swap01-CX12-CX10) )
p105-act CX10-gen (gen CCX0-gen • gen CX02-gen) = Just ( CCX0 • CX02 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CCX0-CX02=CCX0-CX02-CX12-CX10) )
p105-act CX10-gen (gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX1 • CCX0 • CX12 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CCX0-CX02-CCX1=CCX1-CCX0-CX12-Swap01-CX12-CX10) )
p105-act CX10-gen (gen CCX0-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CCX0 • CX02 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CCX0-CCX1-CX02=CCX1-CCX0-CX02-CX12-CX10) )
p105-act CX10-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX20 • CCX2 • CCX1 , CX21 • CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-CCX0-CCX1-CCX2=CX20-CCX2-CCX1-CX21-CX12-CX10-CX20-CCX0) )
p105-act CX10-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CX01 • CCX2 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CCX0-CCX1-CCX2-Swap01=CCX1-CCX0-CX01-CCX2-CX12-CX10) )
p105-act CX10-gen (gen CCX0-gen • gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CX10-CCX0-CCX1-CX12-Swap01=CCX1-CX12-CCX0-Swap01) )
p105-act CX10-gen (gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CX01 • CCX2 , CX12 • CX10 , up-to-assoc auto (axiom ax-CX10-CCX0-CCX2-Swap01=CCX0-CX01-CCX2-CX12-CX10) )
p105-act CX10-gen (gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CX12 • CCX2 • Swap01 , CX10 , up-to-assoc auto (axiom ax-CX10-CCX0-CCX2-CX01=CCX0-CX12-CCX2-Swap01-CX10) )
p105-act CX10-gen (gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX20 • CCX1 • CCX2 , CX12 • CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-CCX0-CCX2-CCX1=CX20-CCX1-CCX2-CX12-CX21-CX10-CX20-CCX0) )
p105-act CX10-gen (gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CX12 • CCX0 • Swap01 , ε , up-to-assoc auto (axiom ax-CX10-CCX0-CX12-Swap01=CX12-CCX0-Swap01) )
p105-act CX10-gen (gen CCX0-gen • gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX21 • CCX0 • CCX2 • Swap01 , Swap12 • CX20 , up-to-assoc auto (axiom ax-CX10-CCX0-CX12-CCX1-CX02=CX21-CCX0-CCX2-Swap01-Swap12-CX20) )
p105-act CX10-gen (gen CCX0-gen • gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX2 • CX01 , CX10 , up-to-assoc auto (axiom ax-CX10-CCX0-CX12-CCX2-Swap01=CCX0-CCX2-CX01-CX10) )
p105-act CX10-gen (gen CCX0-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CCX0 • CX02 • CCX1 , CX12 • CX21 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-CCX0-CX21-CCX2-CX01=CCX2-CCX0-CX02-CCX1-CX12-CX21-CX20-CCX0) )
p105-act CX10-gen (gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CX10-CCX0-Swap12-Swap01=CCX0-Swap12-Swap01-CX21) )
p105-act CX10-gen (gen CCX0-gen • gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX21 • CCX0 • CCX2 • CX01 , CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX10-CCX0-Swap12-CCX1-CCX2-Swap01=CX21-CCX0-CCX2-CX01-CX10-CX20-CCX0) )
p105-act CX10-gen (gen CCX0-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • Swap12 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CX10-CCX0-Swap12-CCX2-Swap01=CCX1-CCX0-Swap12-Swap01-CX21) )
p105-act CX20-gen ε = Just ( ε , CX20 , general-assoc auto )
p105-act CX20-gen (gen Swap01-gen) = Just ( Swap01 , CX21 , up-to-assoc auto (axiom ax-CX20-Swap01=Swap01-CX21) )
p105-act CX20-gen (gen CX01-gen) = Just ( CX01 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX20-CX01=CX01-CX21-CX20) )
p105-act CX20-gen (gen CX01-gen • gen CCX2-gen) = Just ( CX20 • CX01 • CCX2 , ε , general-assoc auto )
p105-act CX20-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • CCX0 • Swap01 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-CX01-CCX2-CCX0-Swap01=CCX1-CCX2-CCX0-Swap01-Swap12-CX10-CX20-CCX0) )
p105-act CX20-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( X1 • CCX0 • CCX2 • CCX1 , X1 • CCX0 , up-to-assoc auto (axiom ax-CX20-CX01-CCX2-CCX0-CX01=X1-CCX0-CCX2-CCX1-X1-CCX0) )
p105-act CX20-gen (gen CX01-gen • gen CX20-gen • gen CCX2-gen) = Just ( CX12 • CCX1 • CX02 , CX12 • CX21 , up-to-assoc auto (axiom ax-CX20-CX01-CX20-CCX2=CX12-CCX1-CX02-CX12-CX21) )
p105-act CX20-gen (gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • Swap01 , CX20 , up-to-assoc auto (axiom ax-CX20-CX01-CCX0-Swap01=CX01-CCX0-Swap01-CX20) )
p105-act CX20-gen (gen CX01-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX10 • CCX1 • CX02 , CX12 • CX21 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX20-CX01-CCX0-CX02=CX10-CCX1-CX02-CX12-CX21-CX10-CX20) )
p105-act CX20-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CCX2 • Swap01 , CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-CX01-CCX0-CCX2-Swap01=CCX1-CCX0-CCX2-Swap01-CX12-CX10-CX20-CCX0) )
p105-act CX20-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( X1 • CCX0 • CCX1 • CCX2 , X1 • CCX0 , up-to-assoc auto (axiom ax-CX20-CX01-CCX0-CCX2-CX01=X1-CCX0-CCX1-CCX2-X1-CCX0) )
p105-act CX20-gen (gen CX02-gen) = Just ( Swap12 • Swap01 , Swap12 • CX20 , up-to-assoc auto (axiom ax-CX20-CX02=Swap12-Swap01-Swap12-CX20) )
p105-act CX20-gen (gen CX02-gen • gen CX01-gen) = Just ( CX12 • Swap01 , CX21 • CX12 • CX10 , up-to-assoc auto (axiom ax-CX20-CX02-CX01=CX12-Swap01-CX21-CX12-CX10) )
p105-act CX20-gen (gen CX02-gen • gen CCX1-gen) = Just ( Swap12 • CCX2 • Swap01 , CX21 • CX12 • CX20 , up-to-assoc auto (axiom ax-CX20-CX02-CCX1=Swap12-CCX2-Swap01-CX21-CX12-CX20) )
p105-act CX20-gen (gen CX02-gen • gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX1 • CX01 • CCX2 , CX20 , up-to-assoc auto (axiom ax-CX20-CX02-CCX1-CCX0-CX02=CCX1-CX01-CCX2-CX20) )
p105-act CX20-gen (gen CX02-gen • gen CX10-gen • gen CCX1-gen) = Just ( Swap12 • CCX1 • CCX2 • Swap01 , CX21 • CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-CX02-CX10-CCX1=Swap12-CCX1-CCX2-Swap01-CX21-CX12-CX10-CX20-CCX0) )
p105-act CX20-gen (gen CX02-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX12 • CCX2 • Swap01 , CX21 • CX12 • CX10 , up-to-assoc auto (axiom ax-CX20-CX02-CCX0-CX01=CX12-CCX2-Swap01-CX21-CX12-CX10) )
p105-act CX20-gen (gen CCX1-gen) = Just ( CCX1 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX20-CCX1=CCX1-CX21-CX20) )
p105-act CX20-gen (gen CCX1-gen • gen CX01-gen) = Just ( CCX1 • CX01 , CX20 , up-to-assoc auto (axiom ax-CX20-CCX1-CX01=CCX1-CX01-CX20) )
p105-act CX20-gen (gen CCX1-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX02 • CCX1 • CCX0 • CX02 , CX20 , up-to-assoc auto (axiom ax-CX20-CCX1-CX01-CCX2=CX02-CCX1-CCX0-CX02-CX20) )
p105-act CX20-gen (gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CX12 • Swap01 , Swap12 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX20-CCX1-CX02=CCX1-CX12-Swap01-Swap12-CX10-CX20) )
p105-act CX20-gen (gen CCX1-gen • gen CCX2-gen) = Just ( CX20 • CCX1 • CCX2 , ε , general-assoc auto )
p105-act CX20-gen (gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX1 • CCX2 • Swap01 , ε , general-assoc auto )
p105-act CX20-gen (gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CCX1 • CCX2 • CX01 , ε , general-assoc auto )
p105-act CX20-gen (gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX20 • CCX1 • CCX2 • CX02 , ε , general-assoc auto )
p105-act CX20-gen (gen CCX1-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX01 • CCX2 • CCX0 • Swap01 , Swap12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-CCX1-CCX2-CCX0-Swap01=CX01-CCX2-CCX0-Swap01-Swap12-CX10-CX20-CCX0) )
p105-act CX20-gen (gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CX02 , Swap12 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX20-CCX1-CX12-Swap01=CCX1-CX02-Swap12-CX10-CX20) )
p105-act CX20-gen (gen CCX1-gen • gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CX02 , CX21 • CX12 • CX10 , up-to-assoc auto (axiom ax-CX20-CCX1-CX12-CCX0-Swap01=CCX1-CCX0-CX02-CX21-CX12-CX10) )
p105-act CX20-gen (gen CCX1-gen • gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX2 • CX02 • CCX1 , CX21 , up-to-assoc auto (axiom ax-CX20-CCX1-CX20-CCX2-CX02=CCX2-CX02-CCX1-CX21) )
p105-act CX20-gen (gen CCX1-gen • gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX0 • CX12 • CCX1 • CX02 , CX12 • CX21 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-CCX1-CCX0-CX01-CCX2=CCX0-CX12-CCX1-CX02-CX12-CX21-CX20-CCX0) )
p105-act CX20-gen (gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX1 • CX12 • CCX0 • Swap01 , CX12 • CX21 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX20-CCX1-CCX0-CX02=CCX1-CX12-CCX0-Swap01-CX12-CX21-CX10-CX20) )
p105-act CX20-gen (gen CCX1-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • CCX2 • Swap01 , CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-CCX1-CCX0-CCX2-Swap01=CX01-CCX0-CCX2-Swap01-CX12-CX10-CX20-CCX0) )
p105-act CX20-gen (gen CCX1-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • Swap12 • Swap01 , CX20 , up-to-assoc auto (axiom ax-CX20-CCX1-CCX0-CX12-Swap01=CCX1-CCX0-Swap12-Swap01-CX20) )
p105-act CX20-gen (gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CX12 • Swap01 , CX20 , up-to-assoc auto (axiom ax-CX20-CCX1-CCX0-Swap12-Swap01=CCX1-CCX0-CX12-Swap01-CX20) )
p105-act CX20-gen (gen CCX2-gen) = Just ( CX20 • CCX2 , ε , general-assoc auto )
p105-act CX20-gen (gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • Swap01 , ε , general-assoc auto )
p105-act CX20-gen (gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CCX2 • CX01 , ε , general-assoc auto )
p105-act CX20-gen (gen CCX2-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CX02 , ε , general-assoc auto )
p105-act CX20-gen (gen CCX2-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX1 • CX20 • CCX2 • CX02 , CX21 , up-to-assoc auto (axiom ax-CX20-CCX2-CX02-CCX1=CCX1-CX20-CCX2-CX02-CX21) )
p105-act CX20-gen (gen CCX2-gen • gen CCX1-gen) = Just ( CX20 • CCX2 • CCX1 , ε , general-assoc auto )
p105-act CX20-gen (gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX20 • CCX2 • CCX1 • CX01 , ε , general-assoc auto )
p105-act CX20-gen (gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CCX1 • CX02 , ε , general-assoc auto )
p105-act CX20-gen (gen CCX2-gen • gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CX10 • CCX1 • CCX2 • CX01 , CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-CCX2-CCX1-CCX0-Swap12-Swap01=CX10-CCX1-CCX2-CX01-CX10-CX20-CCX0) )
p105-act CX20-gen (gen CCX2-gen • gen CX10-gen • gen CCX1-gen) = Just ( CCX0 • CCX2 • CCX1 , CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-CCX2-CX10-CCX1=CCX0-CCX2-CCX1-CX21-CX10-CX20-CCX0) )
p105-act CX20-gen (gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CCX2 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CX20-CCX2-CCX0-Swap01=CCX0-CCX2-Swap01-CX21) )
p105-act CX20-gen (gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CCX0 • CCX2 • CX01 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX20-CCX2-CCX0-CX01=CCX0-CCX2-CX01-CX21-CX20) )
p105-act CX20-gen (gen CCX2-gen • gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX0 • Swap12 • CCX1 • CCX2 • Swap01 , CX21 • CX12 • CX20 , up-to-assoc auto (axiom ax-CX20-CCX2-CCX0-CX02-CCX1=CCX0-Swap12-CCX1-CCX2-Swap01-CX21-CX12-CX20) )
p105-act CX20-gen (gen CCX2-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CX01 • CCX2 , CX12 • CX21 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX20-CCX2-CCX0-CX12-Swap01=CCX0-CX01-CCX2-CX12-CX21-CX10-CX20) )
p105-act CX20-gen (gen X1-gen • gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX01 • CCX0 • CCX2 • CX01 , X1 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-X1-CCX0-CCX1-CCX2=CX01-CCX0-CCX2-CX01-X1-CX20-CCX0) )
p105-act CX20-gen (gen X1-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX01 • CCX2 • CCX0 • CX01 , X1 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-X1-CCX0-CCX2-CCX1=CX01-CCX2-CCX0-CX01-X1-CX20-CCX0) )
p105-act CX20-gen (gen X2-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX10 • CCX2 • CCX1 • CX01 , X2 • X0 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-X2-CCX0-CCX2-CCX1=CX10-CCX2-CCX1-CX01-X2-X0-CX10-CX20-CCX0) )
p105-act CX20-gen (gen CX12-gen • gen Swap01-gen) = Just ( CX02 • CX01 , CX12 • CX21 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX20-CX12-Swap01=CX02-CX01-CX12-CX21-CX10-CX20) )
p105-act CX20-gen (gen CX12-gen • gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX12 • CCX1 • CX01 , CX20 , up-to-assoc auto (axiom ax-CX20-CX12-CX01-CCX0-Swap01=CX12-CCX1-CX01-CX20) )
p105-act CX20-gen (gen CX12-gen • gen CCX1-gen) = Just ( CX10 • CX12 • CCX1 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX20-CX12-CCX1=CX10-CX12-CCX1-CX21-CX20) )
p105-act CX20-gen (gen CX12-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX12 • CX01 • CCX0 • Swap01 , CX20 , up-to-assoc auto (axiom ax-CX20-CX12-CCX1-CX01=CX12-CX01-CCX0-Swap01-CX20) )
p105-act CX20-gen (gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX01 • CX20 • CCX2 , CX21 • CX12 , up-to-assoc auto (axiom ax-CX20-CX12-CCX1-CX02=CX01-CX20-CCX2-CX21-CX12) )
p105-act CX20-gen (gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX02 • CCX0 • CX01 , CX12 • CX21 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX20-CX12-CCX2-Swap01=CX02-CCX0-CX01-CX12-CX21-CX10-CX20) )
p105-act CX20-gen (gen CX12-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CX12 • CCX2 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CX20-CX12-CCX2-CCX0-Swap01=CCX0-CX12-CCX2-Swap01-CX21) )
p105-act CX20-gen (gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • CX12 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CX20-CX12-CCX0-Swap01=CCX0-CX12-Swap01-CX21) )
p105-act CX20-gen (gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CX21 • CCX2 • CX01 , ε , general-assoc auto )
p105-act CX20-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CCX2 • Swap01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-CX21-CCX0-CCX2-Swap01=CCX0-CCX1-CCX2-Swap01-CX20-CCX0) )
p105-act CX20-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CX21 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CX20-CX21-CCX0-CCX2-CX01=CCX0-CX21-CCX2-CX01) )
p105-act CX20-gen (gen Swap12-gen • gen Swap01-gen) = Just ( CX02 , Swap12 • CX10 , up-to-assoc auto (axiom ax-CX20-Swap12-Swap01=CX02-Swap12-CX10) )
p105-act CX20-gen (gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX02 • CX10 • CCX1 , CX12 • CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-Swap12-CCX1-CCX2-Swap01=CX02-CX10-CCX1-CX12-CX21-CX10-CX20-CCX0) )
p105-act CX20-gen (gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX02 • CCX1 , CX12 • CX21 • CX10 , up-to-assoc auto (axiom ax-CX20-Swap12-CCX2-Swap01=CX02-CCX1-CX12-CX21-CX10) )
p105-act CX20-gen (gen CX10-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX10 • Swap12 • CCX2 • Swap01 , CX21 • CX12 • CX20 , up-to-assoc auto (axiom ax-CX20-CX10-CX02-CCX1=CX10-Swap12-CCX2-Swap01-CX21-CX12-CX20) )
p105-act CX20-gen (gen CX10-gen • gen CCX1-gen) = Just ( CX10 • CCX1 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX20-CX10-CCX1=CX10-CCX1-CX21-CX20) )
p105-act CX20-gen (gen CX10-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX01 • CCX0 • CX02 , CX21 • CX12 • CX10 , up-to-assoc auto (axiom ax-CX20-CX10-CCX1-CX02=CX01-CCX0-CX02-CX21-CX12-CX10) )
p105-act CX20-gen (gen CX10-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CCX1 • CCX0 • Swap12 • Swap01 , CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-CX10-CCX1-CCX2-CX01=CCX2-CCX1-CCX0-Swap12-Swap01-CX10-CX20-CCX0) )
p105-act CX20-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX0 • CCX1 • CCX2 , CX12 • CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-CX10-CCX2-CCX1=CCX0-CCX1-CCX2-CX12-CX21-CX10-CX20-CCX0) )
p105-act CX20-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( X2 • CCX0 • CCX2 • CCX1 , X2 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-CX10-CCX2-CCX1-CX01=X2-CCX0-CCX2-CCX1-X2-CX20-CCX0) )
p105-act CX20-gen (gen CX10-gen • gen CX12-gen • gen CCX1-gen) = Just ( CX12 • CCX1 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX20-CX10-CX12-CCX1=CX12-CCX1-CX21-CX20) )
p105-act CX20-gen (gen CX10-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX10 • CX02 • CCX1 , CX12 • CX21 • CX10 , up-to-assoc auto (axiom ax-CX20-CX10-Swap12-CCX2-Swap01=CX10-CX02-CCX1-CX12-CX21-CX10) )
p105-act CX20-gen (gen CX20-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX01 • CCX2 , ε , up-to-assoc auto (axiom ax-CX20-CX20-CX01-CCX2=CX01-CCX2) )
p105-act CX20-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX1 • CCX2 , ε , up-to-assoc auto (axiom ax-CX20-CX20-CCX1-CCX2=CCX1-CCX2) )
p105-act CX20-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CX20-CX20-CCX1-CCX2-Swap01=CCX1-CCX2-Swap01) )
p105-act CX20-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CX20-CX20-CCX1-CCX2-CX01=CCX1-CCX2-CX01) )
p105-act CX20-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX1 • CCX2 • CX02 , ε , up-to-assoc auto (axiom ax-CX20-CX20-CCX1-CCX2-CX02=CCX1-CCX2-CX02) )
p105-act CX20-gen (gen CX20-gen • gen CCX2-gen) = Just ( CCX2 , ε , up-to-assoc auto (axiom ax-CX20-CX20-CCX2=CCX2) )
p105-act CX20-gen (gen CX20-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CX20-CX20-CCX2-Swap01=CCX2-Swap01) )
p105-act CX20-gen (gen CX20-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CX20-CX20-CCX2-CX01=CCX2-CX01) )
p105-act CX20-gen (gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CCX2 • CX02 , ε , up-to-assoc auto (axiom ax-CX20-CX20-CCX2-CX02=CCX2-CX02) )
p105-act CX20-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CCX1 , ε , up-to-assoc auto (axiom ax-CX20-CX20-CCX2-CCX1=CCX2-CCX1) )
p105-act CX20-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX2 • CCX1 • CX01 , ε , up-to-assoc auto (axiom ax-CX20-CX20-CCX2-CCX1-CX01=CCX2-CCX1-CX01) )
p105-act CX20-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX2 • CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-CX20-CX20-CCX2-CCX1-CX02=CCX2-CCX1-CX02) )
p105-act CX20-gen (gen CX20-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX21 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CX20-CX20-CX21-CCX2-CX01=CX21-CCX2-CX01) )
p105-act CX20-gen (gen CCX0-gen • gen Swap01-gen) = Just ( CCX0 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CX20-CCX0-Swap01=CCX0-Swap01-CX21) )
p105-act CX20-gen (gen CCX0-gen • gen CX01-gen) = Just ( CCX0 • CX01 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX20-CCX0-CX01=CCX0-CX01-CX21-CX20) )
p105-act CX20-gen (gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX2 • CCX0 • CX12 • Swap01 , CX21 • CX12 • CX10 , up-to-assoc auto (axiom ax-CX20-CCX0-CX01-CCX2=CCX2-CCX0-CX12-Swap01-CX21-CX12-CX10) )
p105-act CX20-gen (gen CCX0-gen • gen CX02-gen) = Just ( CCX0 • Swap12 • Swap01 , Swap12 • CX20 , up-to-assoc auto (axiom ax-CX20-CCX0-CX02=CCX0-Swap12-Swap01-Swap12-CX20) )
p105-act CX20-gen (gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX0 • Swap12 • CCX2 • Swap01 , CX21 • CX12 • CX20 , up-to-assoc auto (axiom ax-CX20-CCX0-CX02-CCX1=CCX0-Swap12-CCX2-Swap01-CX21-CX12-CX20) )
p105-act CX20-gen (gen CCX0-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX0 • CCX1 • CX12 • Swap01 , Swap12 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX20-CCX0-CCX1-CX02=CCX0-CCX1-CX12-Swap01-Swap12-CX10-CX20) )
p105-act CX20-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX10 • CCX2 • CCX1 , CX21 • CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-CCX0-CCX1-CCX2=CX10-CCX2-CCX1-CX21-CX12-CX10-CX20-CCX0) )
p105-act CX20-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX21 • CCX0 • CCX2 • Swap01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-CCX0-CCX1-CCX2-Swap01=CX21-CCX0-CCX2-Swap01-CX20-CCX0) )
p105-act CX20-gen (gen CCX0-gen • gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CX02 , Swap12 • CX10 • CX20 , up-to-assoc auto (axiom ax-CX20-CCX0-CCX1-CX12-Swap01=CCX0-CCX1-CX02-Swap12-CX10-CX20) )
p105-act CX20-gen (gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CX20-CCX0-CCX2-Swap01=CCX2-CCX0-Swap01-CX21) )
p105-act CX20-gen (gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CCX0 • CX01 , CX21 • CX20 , up-to-assoc auto (axiom ax-CX20-CCX0-CCX2-CX01=CCX2-CCX0-CX01-CX21-CX20) )
p105-act CX20-gen (gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CX10 • CCX1 , CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CX20-CCX0-CCX2-CCX1=CCX2-CX10-CCX1-CX21-CX10-CX20-CCX0) )
p105-act CX20-gen (gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CX12 • CCX0 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CX20-CCX0-CX12-Swap01=CX12-CCX0-Swap01-CX21) )
p105-act CX20-gen (gen CCX0-gen • gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CCX0 • CX01 • CCX2 , CX21 • CX12 • CX10 • CCX0 , up-to-assoc auto (axiom ax-CX20-CCX0-CX12-CCX1-CX02=CCX1-CCX0-CX01-CCX2-CX21-CX12-CX10-CCX0) )
p105-act CX20-gen (gen CCX0-gen • gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • CCX0 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CX20-CCX0-CX12-CCX2-Swap01=CX12-CCX2-CCX0-Swap01-CX21) )
p105-act CX20-gen (gen CCX0-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX21 • CCX0 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CX20-CCX0-CX21-CCX2-CX01=CX21-CCX0-CCX2-CX01) )
p105-act CX20-gen (gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX0 • CX02 , Swap12 • CX10 , up-to-assoc auto (axiom ax-CX20-CCX0-Swap12-Swap01=CCX0-CX02-Swap12-CX10) )
p105-act CX20-gen (gen CCX0-gen • gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • CX02 • CCX1 , CX12 • CX21 • CX10 , up-to-assoc auto (axiom ax-CX20-CCX0-Swap12-CCX1-CCX2-Swap01=CCX2-CCX0-CX02-CCX1-CX12-CX21-CX10) )
p105-act CX20-gen (gen CCX0-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CX02 • CCX1 , CX12 • CX21 • CX10 , up-to-assoc auto (axiom ax-CX20-CCX0-Swap12-CCX2-Swap01=CCX0-CX02-CCX1-CX12-CX21-CX10) )
p105-act CCX0-gen ε = Just ( ε , CCX0 , general-assoc auto )
p105-act CCX0-gen (gen Swap01-gen) = Just ( CCX0 • Swap01 , ε , general-assoc auto )
p105-act CCX0-gen (gen CX01-gen) = Just ( CCX0 • CX01 , ε , general-assoc auto )
p105-act CCX0-gen (gen CX01-gen • gen CCX2-gen) = Just ( CCX0 • CX01 • CCX2 , ε , general-assoc auto )
p105-act CCX0-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX01 • CCX2 • CCX0 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CX01-CCX2-CCX0-Swap01=CX01-CCX2-CCX0-Swap01-CCX0) )
p105-act CCX0-gen (gen CX01-gen • gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CCX2 • CX02 • CCX1 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CX01-CCX2-CCX0-CX01=CCX2-CX02-CCX1-CCX0) )
p105-act CCX0-gen (gen CX01-gen • gen CX20-gen • gen CCX2-gen) = Just ( CCX1 • CCX0 • CX01 • CCX2 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX0-CX01-CX20-CCX2=CCX1-CCX0-CX01-CCX2-CX20-CCX0) )
p105-act CCX0-gen (gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CX01-CCX0-Swap01=CX01-CCX0-Swap01-CCX0) )
p105-act CCX0-gen (gen CX01-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX1 • CX12 • CCX0 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX0-CX01-CCX0-CX02=CCX1-CX12-CCX0-Swap01-CX12-CX10) )
p105-act CCX0-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • CCX2 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX0-CX01-CCX0-CCX2-Swap01=CCX1-CCX0-CCX2-Swap01-CX12-CX10) )
p105-act CCX0-gen (gen CX01-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CCX2 • CX02 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CX01-CCX0-CCX2-CX01=CCX1-CCX2-CX02-CCX0) )
p105-act CCX0-gen (gen CX02-gen) = Just ( CCX0 • CX02 , ε , general-assoc auto )
p105-act CCX0-gen (gen CX02-gen • gen CX01-gen) = Just ( CX12 • CCX0 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX0-CX02-CX01=CX12-CCX0-Swap01-CX12-CX10) )
p105-act CCX0-gen (gen CX02-gen • gen CCX1-gen) = Just ( CCX0 • CX02 • CCX1 , ε , general-assoc auto )
p105-act CCX0-gen (gen CX02-gen • gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CCX1 • CX01 • CCX2 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CX02-CCX1-CCX0-CX02=CCX1-CX01-CCX2-CCX0) )
p105-act CCX0-gen (gen CX02-gen • gen CX10-gen • gen CCX1-gen) = Just ( CCX2 • CCX0 • CX02 • CCX1 , CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX0-CX02-CX10-CCX1=CCX2-CCX0-CX02-CCX1-CX10-CCX0) )
p105-act CCX0-gen (gen CX02-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX12 • CCX2 • CCX0 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX0-CX02-CCX0-CX01=CX12-CCX2-CCX0-Swap01-CX12-CX10) )
p105-act CCX0-gen (gen CCX1-gen) = Just ( CX10 • CCX1 , CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX0-CCX1=CX10-CCX1-CX10-CCX0) )
p105-act CCX0-gen (gen CCX1-gen • gen CX01-gen) = Just ( CCX1 • CX01 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CCX1-CX01=CCX1-CX01-CCX0) )
p105-act CCX0-gen (gen CCX1-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX02 • CCX1 • CCX0 • CX02 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CCX1-CX01-CCX2=CX02-CCX1-CCX0-CX02-CCX0) )
p105-act CCX0-gen (gen CCX1-gen • gen CX02-gen) = Just ( CCX0 • CCX1 • CX02 , ε , general-assoc auto )
p105-act CCX0-gen (gen CCX1-gen • gen CCX2-gen) = Just ( CCX0 • CCX1 • CCX2 , ε , general-assoc auto )
p105-act CCX0-gen (gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CCX2 • Swap01 , ε , general-assoc auto )
p105-act CCX0-gen (gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX1 • CCX2 • CX01 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CCX1-CCX2-CX01=CCX1-CCX2-CX01-CCX0) )
p105-act CCX0-gen (gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX01 • CCX0 • CCX2 • CX01 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CCX1-CCX2-CX02=CX01-CCX0-CCX2-CX01-CCX0) )
p105-act CCX0-gen (gen CCX1-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • CCX0 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CCX1-CCX2-CCX0-Swap01=CCX1-CCX2-CCX0-Swap01-CCX0) )
p105-act CCX0-gen (gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CCX1 • CX12 • Swap01 , ε , general-assoc auto )
p105-act CCX0-gen (gen CCX1-gen • gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • CX02 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX0-CCX1-CX12-CCX0-Swap01=CX01-CCX0-CX02-CX12-CX10) )
p105-act CCX0-gen (gen CCX1-gen • gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( X1 • CCX0 • CCX2 • CCX1 , X1 • CX21 , up-to-assoc auto (axiom ax-CCX0-CCX1-CX20-CCX2-CX02=X1-CCX0-CCX2-CCX1-X1-CX21) )
p105-act CCX0-gen (gen CCX1-gen • gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX01 • CX20 • CCX2 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX0-CCX1-CCX0-CX01-CCX2=CX01-CX20-CCX2-CX20-CCX0) )
p105-act CCX0-gen (gen CCX1-gen • gen CCX0-gen • gen CX02-gen) = Just ( CX10 • CCX1 • CX02 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX0-CCX1-CCX0-CX02=CX10-CCX1-CX02-CX12-CX10) )
p105-act CCX0-gen (gen CCX1-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX01 • CCX0 • CCX2 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX0-CCX1-CCX0-CCX2-Swap01=CX01-CCX0-CCX2-Swap01-CX12-CX10) )
p105-act CCX0-gen (gen CCX1-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CX10 • CX02 • CCX1 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX0-CCX1-CCX0-CX12-Swap01=CX10-CX02-CCX1-CX12-CX10) )
p105-act CCX0-gen (gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CX10 • Swap12 • CCX2 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CCX0-CCX1-CCX0-Swap12-Swap01=CX10-Swap12-CCX2-Swap01-CX21) )
p105-act CCX0-gen (gen CCX2-gen) = Just ( CX20 • CCX2 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX0-CCX2=CX20-CCX2-CX20-CCX0) )
p105-act CCX0-gen (gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CCX2 • Swap01 , ε , general-assoc auto )
p105-act CCX0-gen (gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CCX2 • CX01 , ε , general-assoc auto )
p105-act CCX0-gen (gen CCX2-gen • gen CX02-gen) = Just ( CCX2 • CX02 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CCX2-CX02=CCX2-CX02-CCX0) )
p105-act CCX0-gen (gen CCX2-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX01 • CCX2 • CCX0 • CX01 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CCX2-CX02-CCX1=CX01-CCX2-CCX0-CX01-CCX0) )
p105-act CCX0-gen (gen CCX2-gen • gen CCX1-gen) = Just ( CCX0 • CCX2 • CCX1 , ε , general-assoc auto )
p105-act CCX0-gen (gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX20 • CCX2 • CCX1 • CX01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX0-CCX2-CCX1-CX01=CX20-CCX2-CCX1-CX01-CX20-CCX0) )
p105-act CCX0-gen (gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX2 • CCX1 • CX02 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CCX2-CCX1-CX02=CCX2-CCX1-CX02-CCX0) )
p105-act CCX0-gen (gen CCX2-gen • gen CCX1-gen • gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( CCX2 • CCX1 • CCX0 • Swap12 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CCX2-CCX1-CCX0-Swap12-Swap01=CCX2-CCX1-CCX0-Swap12-Swap01-CCX0) )
p105-act CCX0-gen (gen CCX2-gen • gen CX10-gen • gen CCX1-gen) = Just ( CX20 • CCX2 • CCX1 , CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX0-CCX2-CX10-CCX1=CX20-CCX2-CCX1-CX21-CX10-CX20-CCX0) )
p105-act CCX0-gen (gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX20 • CCX2 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CCX0-CCX2-CCX0-Swap01=CX20-CCX2-Swap01-CX21) )
p105-act CCX0-gen (gen CCX2-gen • gen CCX0-gen • gen CX01-gen) = Just ( CX20 • CCX2 • CX01 , CX21 • CX20 , up-to-assoc auto (axiom ax-CCX0-CCX2-CCX0-CX01=CX20-CCX2-CX01-CX21-CX20) )
p105-act CCX0-gen (gen CCX2-gen • gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX02 • CX10 • CCX1 , CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX0-CCX2-CCX0-CX02-CCX1=CX02-CX10-CCX1-CX10-CCX0) )
p105-act CCX0-gen (gen CCX2-gen • gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CX20 • CX01 • CCX2 , CX12 • CX21 • CX10 • CX20 , up-to-assoc auto (axiom ax-CCX0-CCX2-CCX0-CX12-Swap01=CX20-CX01-CCX2-CX12-CX21-CX10-CX20) )
p105-act CCX0-gen (gen X1-gen • gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX20 • CCX1 • CCX2 • CX02 , X1 , up-to-assoc auto (axiom ax-CCX0-X1-CCX0-CCX1-CCX2=CX20-CCX1-CCX2-CX02-X1) )
p105-act CCX0-gen (gen X1-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX1 • CX20 • CCX2 • CX02 , X1 • CX21 , up-to-assoc auto (axiom ax-CCX0-X1-CCX0-CCX2-CCX1=CCX1-CX20-CCX2-CX02-X1-CX21) )
p105-act CCX0-gen (gen X2-gen • gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX10 • CCX2 • CCX1 • CX01 , X2 , up-to-assoc auto (axiom ax-CCX0-X2-CCX0-CCX2-CCX1=CX10-CCX2-CCX1-CX01-X2) )
p105-act CCX0-gen (gen CX12-gen • gen Swap01-gen) = Just ( CCX0 • CX12 • Swap01 , ε , general-assoc auto )
p105-act CCX0-gen (gen CX12-gen • gen CX01-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX12 • CCX1 • CX01 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CX12-CX01-CCX0-Swap01=CX12-CCX1-CX01-CCX0) )
p105-act CCX0-gen (gen CX12-gen • gen CCX1-gen) = Just ( CX12 • CCX1 , CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX0-CX12-CCX1=CX12-CCX1-CX10-CCX0) )
p105-act CCX0-gen (gen CX12-gen • gen CCX1-gen • gen CX01-gen) = Just ( CX12 • CX01 • CCX0 • Swap01 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CX12-CCX1-CX01=CX12-CX01-CCX0-Swap01-CCX0) )
p105-act CCX0-gen (gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX0 • CX12 • CCX1 • CX02 , ε , general-assoc auto )
p105-act CCX0-gen (gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • CX12 • CCX2 • Swap01 , ε , general-assoc auto )
p105-act CCX0-gen (gen CX12-gen • gen CCX2-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX02 • CCX0 • CX01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX0-CX12-CCX2-CCX0-Swap01=CX02-CCX0-CX01-CX12-CX10) )
p105-act CCX0-gen (gen CX12-gen • gen CCX0-gen • gen Swap01-gen) = Just ( CX02 • CX01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX0-CX12-CCX0-Swap01=CX02-CX01-CX12-CX10) )
p105-act CCX0-gen (gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX0 • CX21 • CCX2 • CX01 , ε , general-assoc auto )
p105-act CCX0-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX20 • CCX1 • CCX2 • Swap01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX0-CX21-CCX0-CCX2-Swap01=CX20-CCX1-CCX2-Swap01-CX20-CCX0) )
p105-act CCX0-gen (gen CX21-gen • gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CX21 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CCX0-CX21-CCX0-CCX2-CX01=CX20-CX21-CCX2-CX01) )
p105-act CCX0-gen (gen Swap12-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • Swap01 , ε , general-assoc auto )
p105-act CCX0-gen (gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • CCX1 • CCX2 • Swap01 , ε , general-assoc auto )
p105-act CCX0-gen (gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX0 • Swap12 • CCX2 • Swap01 , ε , general-assoc auto )
p105-act CCX0-gen (gen CX10-gen • gen CX02-gen • gen CCX1-gen) = Just ( CCX1 • CCX0 • CX12 • Swap01 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX0-CX10-CX02-CCX1=CCX1-CCX0-CX12-Swap01-CX12-CX10) )
p105-act CCX0-gen (gen CX10-gen • gen CCX1-gen) = Just ( CCX1 , CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX0-CX10-CCX1=CCX1-CX10-CCX0) )
p105-act CCX0-gen (gen CX10-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CCX0 • CX02 , CX12 • CX10 , up-to-assoc auto (axiom ax-CCX0-CX10-CCX1-CX02=CCX1-CCX0-CX02-CX12-CX10) )
p105-act CCX0-gen (gen CX10-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX10 • CCX1 • CCX2 • CX01 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CX10-CCX1-CCX2-CX01=CX10-CCX1-CCX2-CX01-CCX0) )
p105-act CCX0-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CX20 • CCX1 • CCX2 , CX12 • CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX0-CX10-CCX2-CCX1=CX20-CCX1-CCX2-CX12-CX21-CX10-CX20-CCX0) )
p105-act CCX0-gen (gen CX10-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( X2 • CCX0 • CCX2 • CCX1 , X2 , up-to-assoc auto (axiom ax-CCX0-CX10-CCX2-CCX1-CX01=X2-CCX0-CCX2-CCX1-X2) )
p105-act CCX0-gen (gen CX10-gen • gen CX12-gen • gen CCX1-gen) = Just ( CX10 • CX12 • CCX1 , CX10 • CCX0 , up-to-assoc auto (axiom ax-CCX0-CX10-CX12-CCX1=CX10-CX12-CCX1-CX10-CCX0) )
p105-act CCX0-gen (gen CX10-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX0 • Swap12 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CCX0-CX10-Swap12-CCX2-Swap01=CCX1-CCX0-Swap12-Swap01-CX21) )
p105-act CCX0-gen (gen CX20-gen • gen CX01-gen • gen CCX2-gen) = Just ( CCX2 • CCX0 • CX12 • Swap01 , CX21 • CX12 • CX10 , up-to-assoc auto (axiom ax-CCX0-CX20-CX01-CCX2=CCX2-CCX0-CX12-Swap01-CX21-CX12-CX10) )
p105-act CCX0-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CX10 • CCX2 • CCX1 , CX21 • CX12 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX0-CX20-CCX1-CCX2=CX10-CCX2-CCX1-CX21-CX12-CX10-CX20-CCX0) )
p105-act CCX0-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX21 • CCX0 • CCX2 • Swap01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX0-CX20-CCX1-CCX2-Swap01=CX21-CCX0-CCX2-Swap01-CX20-CCX0) )
p105-act CCX0-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX20 • CCX1 • CCX2 • CX01 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CX20-CCX1-CCX2-CX01=CX20-CCX1-CCX2-CX01-CCX0) )
p105-act CCX0-gen (gen CX20-gen • gen CCX1-gen • gen CCX2-gen • gen CX02-gen) = Just ( X1 • CCX0 • CCX1 • CCX2 , X1 , up-to-assoc auto (axiom ax-CCX0-CX20-CCX1-CCX2-CX02=X1-CCX0-CCX1-CCX2-X1) )
p105-act CCX0-gen (gen CX20-gen • gen CCX2-gen) = Just ( CCX2 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX0-CX20-CCX2=CCX2-CX20-CCX0) )
p105-act CCX0-gen (gen CX20-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • CCX0 • Swap01 , CX21 , up-to-assoc auto (axiom ax-CCX0-CX20-CCX2-Swap01=CCX2-CCX0-Swap01-CX21) )
p105-act CCX0-gen (gen CX20-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CCX0 • CX01 , CX21 • CX20 , up-to-assoc auto (axiom ax-CCX0-CX20-CCX2-CX01=CCX2-CCX0-CX01-CX21-CX20) )
p105-act CCX0-gen (gen CX20-gen • gen CCX2-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CX02 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CX20-CCX2-CX02=CX20-CCX2-CX02-CCX0) )
p105-act CCX0-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CX10 • CCX1 , CX21 • CX10 • CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX0-CX20-CCX2-CCX1=CCX2-CX10-CCX1-CX21-CX10-CX20-CCX0) )
p105-act CCX0-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX01-gen) = Just ( CCX2 • CCX1 • CX01 , CX20 • CCX0 , up-to-assoc auto (axiom ax-CCX0-CX20-CCX2-CCX1-CX01=CCX2-CCX1-CX01-CX20-CCX0) )
p105-act CCX0-gen (gen CX20-gen • gen CCX2-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX20 • CCX2 • CCX1 • CX02 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CX20-CCX2-CCX1-CX02=CX20-CCX2-CCX1-CX02-CCX0) )
p105-act CCX0-gen (gen CX20-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX21 • CCX0 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CCX0-CX20-CX21-CCX2-CX01=CX21-CCX0-CCX2-CX01) )
p105-act CCX0-gen (gen CCX0-gen • gen Swap01-gen) = Just ( Swap01 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-Swap01=Swap01) )
p105-act CCX0-gen (gen CCX0-gen • gen CX01-gen) = Just ( CX01 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-CX01=CX01) )
p105-act CCX0-gen (gen CCX0-gen • gen CX01-gen • gen CCX2-gen) = Just ( CX01 • CCX2 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-CX01-CCX2=CX01-CCX2) )
p105-act CCX0-gen (gen CCX0-gen • gen CX02-gen) = Just ( CX02 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-CX02=CX02) )
p105-act CCX0-gen (gen CCX0-gen • gen CX02-gen • gen CCX1-gen) = Just ( CX02 • CCX1 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-CX02-CCX1=CX02-CCX1) )
p105-act CCX0-gen (gen CCX0-gen • gen CCX1-gen • gen CX02-gen) = Just ( CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-CCX1-CX02=CCX1-CX02) )
p105-act CCX0-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen) = Just ( CCX1 • CCX2 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-CCX1-CCX2=CCX1-CCX2) )
p105-act CCX0-gen (gen CCX0-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX1 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-CCX1-CCX2-Swap01=CCX1-CCX2-Swap01) )
p105-act CCX0-gen (gen CCX0-gen • gen CCX1-gen • gen CX12-gen • gen Swap01-gen) = Just ( CCX1 • CX12 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-CCX1-CX12-Swap01=CCX1-CX12-Swap01) )
p105-act CCX0-gen (gen CCX0-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-CCX2-Swap01=CCX2-Swap01) )
p105-act CCX0-gen (gen CCX0-gen • gen CCX2-gen • gen CX01-gen) = Just ( CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-CCX2-CX01=CCX2-CX01) )
p105-act CCX0-gen (gen CCX0-gen • gen CCX2-gen • gen CCX1-gen) = Just ( CCX2 • CCX1 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-CCX2-CCX1=CCX2-CCX1) )
p105-act CCX0-gen (gen CCX0-gen • gen CX12-gen • gen Swap01-gen) = Just ( CX12 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-CX12-Swap01=CX12-Swap01) )
p105-act CCX0-gen (gen CCX0-gen • gen CX12-gen • gen CCX1-gen • gen CX02-gen) = Just ( CX12 • CCX1 • CX02 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-CX12-CCX1-CX02=CX12-CCX1-CX02) )
p105-act CCX0-gen (gen CCX0-gen • gen CX12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( CX12 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-CX12-CCX2-Swap01=CX12-CCX2-Swap01) )
p105-act CCX0-gen (gen CCX0-gen • gen CX21-gen • gen CCX2-gen • gen CX01-gen) = Just ( CX21 • CCX2 • CX01 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-CX21-CCX2-CX01=CX21-CCX2-CX01) )
p105-act CCX0-gen (gen CCX0-gen • gen Swap12-gen • gen Swap01-gen) = Just ( Swap12 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-Swap12-Swap01=Swap12-Swap01) )
p105-act CCX0-gen (gen CCX0-gen • gen Swap12-gen • gen CCX1-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX1 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-Swap12-CCX1-CCX2-Swap01=Swap12-CCX1-CCX2-Swap01) )
p105-act CCX0-gen (gen CCX0-gen • gen Swap12-gen • gen CCX2-gen • gen Swap01-gen) = Just ( Swap12 • CCX2 • Swap01 , ε , up-to-assoc auto (axiom ax-CCX0-CCX0-Swap12-CCX2-Swap01=Swap12-CCX2-Swap01) )

p105-act _ _ = Nothing

module P = CosAct' (record { nf = P384.nfhn' ; lemma-nf = P384.lemma-nfhn' }) p105-act (\ x y -> Nothing)
